Welcome to System Mechanic

Welcome to the System Mechanic Dashboard

When System Mechanic starts, the Home window presents the Dashboard interface. The Dashboard is arranged for easy access to System Mechanic tools and wizards, system status, analysis report, and statistics, Tips, News, and Updates area and the comprehensive Power Tools.

The Dashboard has the following components:

Category Tabs

Category tabs are vertically arranged on the left-side of the window. Select a tab: Home, Optimize, Clean, Repair, Protect, Maintain, or Options. Each category contains several tools or wizards. Within the category, click the link to select the specific tool or wizard. An arrow next to the link indicates multiple tools and wizards to choose from.

System Status

When System Mechanic starts, the system analyzes the overall health and security of your PC. This process may take a few minutes. To stop the analysis, click Cancel.

Analysis Report

When System Mechanic starts, the system analyzes the PC's condition in terms of Clutter, Speed, Safety, Fitness, Update, and Active Care. This process may take more than a few minutes. To stop the analysis, click Cancel or click Cancel this Analysis to stop a specific condition report.

When the analysis is complete, each condition is rated: Good, Fair, or Poor. An explanation for the rating ands recommendation are provided. Click Details for more information: red details denote areas to fix and green is ok. Then click the recommendation link to perform the suggested tool or wizard.

Power Tools

The Power Tools section is in the top right side of the window. Each tool incorporates several tools into wizards to perform cleanup, acceleration, security optimization or repair. Click the tool link and then you can select Quick or Basic mode to automatically run, or select the Deep or Comprehensive mode to configure which tools and options are run.

Statistics

The Statistics box under Power Tools summarizes results of the tools and wizards you ran including date. If you click the More Info link, it takes you to the SafetyNet Event log, where you can see the logged events.

Tips, News, and Updates

Take a look inside the box at the bottom of the window to see suggestions for improvement.

Other tabs

Click the tabs at the bottom of the Category window to access iolo.com, purchase System Mechanic, update System Mechanic or access Help.

Go to System Mechanic Overview.


System Mechanic Overview

Computers are more like cars than home appliances, requiring cleaning and servicing just like a vehicle does. And like your car, your computer will begin to run poorly and even break down if not maintained. You maintain your car because of the large investment you have in it, and you should maintain your computer just as carefully.

Maintaining your computer is difficult, if not downright impossible, without the right tools. Unfortunately, not all maintenance tools are included with your operating system. System Mechanic solves this problem with its complete collection of tools that keep your system running smooth, fast, and error free.

This Help system provides information about System Mechanic, System Mechanic Professional, and System Mechanic Mobile Toolkit.

System Mechanic helps you:

  • Remove junk files and folders and duplicate files

  • Protect against security vulnerabilities

  • Protect your privacy

  • Stop popups

  • Block online advertisements (Internet Explorer, version 5.01 and later)

  • Clean your system registry

  • Fix or remove broken shortcuts

  • Uninstall or relocate software

  • Get rid of old uninstaller links

  • Recover deleted data

  • Perform routine PC maintenance through a wizard or a scheduler

  • Optimize your Internet performance

  • Manage your system startup

  • Customize Windows

  • Speed up your hard drives

  • Manage your memory

  • Track system changes

  • Remove parasites including spyware, adware, and keyboard loggers

System Mechanic Professional also helps you:

  • Protect against viruses

  • Block Internet threats

  • Find and recover deleted files and data on your hard drives and removable media

  • Securely scrub your hard drives of sensitive information or deleted files

  • Completely erase hard drives so that no data can be recovered

Use System Mechanic regularly, and you'll be amazed by how much better your computer runs!


How to Use Help

This Help system provides information about System Mechanic, System Mechanic Professional, and System Mechanic Mobile Toolkit. You can use the Help to answer questions about the tools and wizards. Some Help topics might not be applicable to your edition of System Mechanic.

Main Tabs

Contents Tab

  1. Click the Contents tab.

  2. Double-click a book to display the topics within the book.

  3. Click a topic to display it.

Search Tab

    1. Click the Search tab.

    2. Type the keyword in the Type in the keyword to find box, and then click List Topics.

Note: Type "and" between each search term to only find topics that include all the search terms. Type "or" between each search term to find topics that include one term or the other, but not both.

The results appear in the Select Topic to display box.

    3. To display a topic, in the list, click the topic name to highlight it, and then click Display

Help Navigation

Help has three main buttons: Back, Forward, and Print.

    • Click Back and Forward to navigate through Help topics. To print a topic, click Print.

To print a topic:

  1. Open the topic to print, and then click Print.

  2. Select either Print the select topic or Print the selected heading and all subtopics.

  3. Click OK.

The Print dialog box appears.

  4. Click Print.


What's New in This Release

  • Faster Disk Defrag

Defragment drives up to 300% faster than previous System Mechanic versions, and up to ten times faster than Windows built-in defragmenter.

  • Fix Windows Security Holes

New Security Optimizer Wizard finds dangerous security flaws in Windows and automatically repairs them .

  • One-Click Power Tools

Easily perform important system maintenance with just one click. Repair, accelerate, clean, and secure your PC using comprehensive new Power Tools.

  • Full Service in One Pass with PC TotalCare™

Repair, accelerate, clean, and secure your PC with one click using PC TotalCare tool.

  • Repair Hard Drive Problems

New Drive Medic™ finds and fixes hard drive problems before they can cause data loss or system failure.

  • Full Disaster Recovery

Recover from even the worst system crashes with Drive Medic Disaster Recovery™. Rescue PCs that won’t start and revive hard drives that have been reformatted, repartitioned, or worse.

  • PC Accelerator Wizard

System Mechanic proprietary PC optimization techniques increase system responsiveness, decrease boot times, and speed up Internet and download rates by up to 300%

  • Advanced Process Manager

Take a look under the hood with the new Advanced Process Manager and see what’s running – visibly or otherwise. Automatically block dangerous items from starting again. Great for troubleshooting stubborn problems.

  • Advanced Startup Manager

Review comprehensive about the more than 20 different places where programs can hide to automatically startup with Windows. Automatically find and eliminate dangerous and unnecessary programs. Even permanently block programs from starting again through integration with Startup Guard™ technology.

  • Decrease Boot Time with Startup Optimizer™

Find dangerous and unnecessary startup items and remove or delay them so Windows starts up faster, allowing you to get to work instead of waiting for unnecessary programs to load.

  • Enhanced Registry Optimization

Newly augmented optimization technology finds and fixes even more problems that can arise from the Registry and cripple your system.

  • Improved Spyware Protection

Spython™ integrates new proactive “always on” protection from dangerous spyware, malware, adware, and unauthorized surveillance software.

  • New Comprehensive System Inspector Tool

Get an ultra-detailed report of everything in your PC, from installed software, to attached peripherals, to core system hardware, and everything in between.


Before You Use System Mechanic

Caution! Before you manipulate any important data, it is strongly advised to make a current backup.

System Mechanic interacts with intricate parts of your PC and can encounter unexpected configurations, incompatibilities, or a pre-existing system corruption. iolo technologies has extensively researched and tested System Mechanic compatibility and safety; however there might be instances where its tools could fail or lead to a loss or corruption of data. This behavior has never been encountered in our testing, but we cannot guarantee that it will never happen.

Please read, understand, and accept the System Mechanic license agreement before using this product.


How to Purchase System Mechanic

How Do I Purchase System Mechanic?

During Installation

Select to purchase during installation and you receive a serial number in your email.

Online

Visit http://www.iolo.com/purchase.cfm to securely purchase System Mechanic products online using a credit card.

Toll-free by Telephone

Call 8:00 AM - 5:00 PM Pacific time, Monday–Friday.

From the US

1-877-239-IOLO

Non-US orders

1-323-257-8888

By Mail or Fax

Print out and complete an order form. Then fax it to the following number, or mail it to the address below. We will deliver System Mechanic when we receive your payment. See View and Print an Order Form.

Fax

1-323-257-8885

Mailing Address:

iolo technologies, LLC

Attn: System Mechanic Orders

7470 N. Figueroa St.

Los Angeles, CA 90041

Purchase Order

In qualifying circumstances (for instance, applicable volume or corporate orders), purchase orders are accepted. Please contact iolo for more details.

Upgrades

Upgrades to major versions of the product are available at special discount price rates for existing licensed users. For more information on how to obtain special discount upgrade pricing, visit the iolo Web site, or contact iolo directly.

For more than 4 copies, contact iolo for special upgrade and site license pricing.

Multiple Licenses

See License More Than One Copy of System Mechanic.

What Do I Get if I Purchase?

  • Free unlimited access to telephone, e-mail, Web, and fax-based technical support.

  • Free updates of minor releases and all service releases and fixes.

  • Notifications for all new major version upgrades

  • Discounts on major version upgrades

  • Great software created by people dedicated to providing quality products to people like you!

How Much Does it Cost?

  • Single computer installation of System Mechanic: $49.95 (upgrade discounts apply to licensed owners of previous versions)

  • Single computer installation of System Mechanic Professional: $69.95 (upgrade discounts apply to licensed owners of previous versions)

Note: For more than four copies, contact iolo for special upgrade and site license pricing.

  • System Mechanic Mobile Toolkit Edition: $299.95

Note: Prices and availability are subject to change without notice.

Can I Pay by Bank Transfer?

Yes, bank transfers are accepted for amounts over $100. Please contact iolo technologies at 1-323-257-8888 or http://www.iolo.com/contactus.cfm for our incoming payment bank details.

Can I Be a Reseller?

We are always looking for interested resellers for our products. If you are interested in reselling System Mechanic or any other iolo technologies product, please contact iolo for more details.

Important Note!

Resellers, consultants, VARs, and MIS/IT managers: System Mechanic is available in a Mobile Toolkit edition that is specially made for your line of work.


View and Print an Order Form

Use this order form to fax or mail orders for System Mechanic. The information requested on this form is required to process your order.

To print this form, click Print in the top-left corner of the Help window, and then select Print the selected topic.

FAX to 1-323-257-8885, or mail to

iolo technologies l ATTN: Customer Service/Sales l 7470 North Figueroa St. l Los Angeles, CA l 90041

Order Information

Company Name (if applicable):

Your Name:

Phone Number: Fax Number:

Email Address (please verify):

Street Address:

City:

State/Country:

Zip/Postal Code:

Where did you obtain System Mechanic?

I Would Like to Purchase

[_____ ] Copies of System Mechanic at $49.95 per copy. For more than 4 copies, contact iolo for special upgrade and site license pricing.

[_____ ] Copies of System Mechanic Professional at $69.95 per copy. For more than 4 copies, contact iolo for special upgrade and site license pricing.

[_____ ] Copies of System Mechanic Mobile Toolkit Edition at $299.95 for one CD-ROM and $99.95 for each additional CD-ROM.

Delivery Method (check all that apply)

[__] Invoice with user name and serial number provided via e-mail: FREE

[__] Postal delivery: $10.00 for U.S. orders, $15.00 for all others. Please allow up to 10 days for U.S. delivery and 20 days for all others.

Payment Method

Credit Card

I would like to pay using:

[__] MasterCard/Eurocard [__] Visa [__] American Express

Name on Card:

Credit Card Number: Expiration Date:

Check or Money Order

[__] I am enclosing a check or money order paid in U.S. Dollars, drawn on a U.S. Bank, and payable to iolo technologies, LLC.

There is a $20.00 processing fee for company purchase orders under $100.00 requesting net payment terms. Checks or money orders must be paid in U.S. dollars and drawn on a U.S. Bank. Orders are processed Monday through Friday, excluding U.S. holidays. Please allow 24 hours for order processing. Prices and availability are subject to change without notice.


License Agreement

Use of System Mechanic for any period of time binds you to this license agreement. Please read and understand it before using the software. If you do not understand or cannot agree to these terms, please discontinue use of the product immediately.

SYSTEM MECHANIC LICENSE AGREEMENT

IOLO TECHNOLOGIES, LLC DISCLAIMS ALL WARRANTIES, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WITH RESPECT TO THE SOFTWARE OR DOCUMENTATION. SHOULD THE PROGRAM PROVE DEFECTIVE, THE PURCHASER ASSUMES THE RISK OF PAYING THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION AND ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES. IN NO EVENT WILL IOLO TECHNOLOGIES, LLC BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING WITHOUT LIMITATION TO DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION AND THE LIKE) ARISING OUT OF THE USE OR THE INABILITY TO USE THIS PRODUCT EVEN IF IOLO TECHNOLOGIES, LLC HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN PARTICULAR, IOLO TECHNOLOGIES, LLC SHALL HAVE NO LIABILITY FOR ANY DATA STORED OR PROCESSED WITH THIS SOFTWARE, INCLUDING THE COSTS OF RECOVERING SUCH DATA. AS A RESULT, THIS SOFTWARE AND DOCUMENTATION ARE LICENSED "AS IS" AND YOU, THE LICENSEE, ARE ASSUMING THE ENTIRE RISK AS TO ITS QUALITY AND PERFORMANCE.

Information in this document is subject to change without notice and does not represent a commitment on the part of iolo Technologies, LLC. The software described in this document is furnished under this license agreement. The software may be used or copied only under the terms of the agreement. It is against the law to copy the software on any medium except as specifically allowed in the license agreement.

USE OF THIS PRODUCT FOR ANY PERIOD OF TIME CONSTITUTES YOUR ACCEPTANCE OF THIS AGREEMENT AND SUBJECTS YOU TO ITS CONTENTS.

US GOVERNMENT RESTRICTED RIGHTS

Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subdivision (b)(3)(ii) of the Rights in Technical Data and Computer Software clause at 25 2.227-7013. Contractor/manufacturer is:

IOLO TECHNOLOGIES, LLC

7470 North Figueroa St.

Los Angeles, CA 90041

Copyright and Trademark Acknowledgments

System Mechanic and System Mechanic Professional are copyrighted 1999-2005, iolo Technologies, LLC. The System Mechanic software, name, logo, documentation, marketing materials, slogans, and the iolo Technologies, LLC logo are trademarks or registered trademarks of iolo Technologies, LLC.

Windows, Windows 98, Windows 2000, Windows Millennium, Windows Me, Windows XP, and Windows NT are trademarks of Microsoft Corporation. All other trademarks are the property of their respective owners.


License More Than One Copy of System Mechanic

System Mechanic is licensed on a per-computer basis. This means that you must purchase a license for each separate computer that it will be installed or used on, regardless of the number of people using each computer. Licenses for less than five PCs are sold at single-user prices.

Pricing for Multiple Licenses

Number of Computers | System Mechanic | System Mechanic Professional
1-4 | $49.95 each | $69.95 each
More than 4 | Contact iolo | Contact iolo

Mobile Toolkit Edition

$299.95 for the first CD

$99.00 for each additional CD

Important Note! Prices and availability are subject to change without notice.

See also

Purchase System Mechanic


Contact iolo

If you require additional assistance, please contact iolo technologies:

On the Web: http://www.iolo.com

Technical Support: 323-257-8886

Toll-Free Purchases: 877-239-4656

Non-technical Customer Service: 323-257-8888

Telephone service hours are 8 AM to 5 PM Pacific time, Monday–Friday (excluding U.S. holidays).


PC TotalCare™ Wizard Introduction

The PC TotalCare Wizard provides you all the power of System Mechanic or you can select specific tools and sub-options to perform. The Quick Tune-Up automatically takes care of your PC using the fastest modes of System Mechanic tools. The Comprehensive Tune-up allows you to select the actions that PC TotalCare Wizard will perform using the more comprehensive mode.

Modes

The PC TotalCare Wizard has two modes: Quick Tune-Up and Comprehensive Care.

  1. To use Quick Tune-Up selections to cleanup, repair, optimize and maintain your PC, select Quick Tune-Up from the Select Operation Mode tab.

  2. To select which items to find and remove, and which repairs and optimizations to perform, select Comprehensive Care from the Select Operation Mode tab.

  3. To configure options for either mode, click Options.

  4. Select the Display a summary of suggested actions prior to execution check box to be able to confirm actions before running the tool.

  5. When PC TotalCare finishes, select one of the following options:

  6. Display a summary of optimizations performed

  7. Shut down System Mechanic

  8. Restart my computer automatically

  9. Shut down my computer automatically


PC Total Care Quick Tune-up - More Info

Quick Tune-Up - More Info

The Quick Tune-Up runs the fastest set of options in all its associated tools. Quick Tune-Up automatically runs the following tools:

Cleanup

Internet Cookie Files

Empty Recycle Bin

Offline Files

Temporary Offline Files

Unused Downloaded Internet Program files

Internet Cache Files

Temporary Windows files

Repair

Remove Broken Shortcuts

Eliminate Spyware and other PC Parasites

Fix Registry Errors

Repair Hard Drive Problems

Security

Find and Fix PC Security Flaws

Backup System Registry

Speed

Defrgament Hard Drives

Compact the Registry

Recover and Defragment System Memory

Optimize Windows Startup

Optimize Internet and Download Performance


Perform a PC TotalCare

Perform a PC TotalCare Quick Tune-Up

To perform a Quick Tune-Up:

  1. On the Select Operation Mode tab, select Quick Tune-Up.

  2. To configure undo and automatic scheduling, click Options.

  3. Click Next to continue.

  4. The Tune-Up Progress bar tracks progress. To stop the process, click Cancel.

  5. The Tune-Up Complete window displays the Action Description and Status for each category: Cleanup, Repair, Security, and Speed.

  6. To do another Tune-Up, click Perform another TotalCare Operation.

  7. To automatically schedule, click Schedule.

  8. To return to the Home tab, click Exit.


Automatic PC TotalCare™ Options

These options apply to both Quick Tune-Up and Comprehensive Care modes.

To configure automatic options:

  1. Select either Quick Tune-Up or Comprehensive Care, and then click Options.

  2. To save undo information, in the Undo section, select the Save information required to undo optimizations (recommended) check box.

  3. To schedule automatic acceleration, click Schedule Automatic PC TotalCare™, select either Quick Tune-Up or Comprehensive Care.

  4. Click OK.

  5. Back to Perform a PC TotalCare Quick Tune-Up.


Confirm Repairs

Confirm Actions

If you checked the Display a summary of suggested actions prior to execution, the Systems Analysis Complete window displays the actions and associated recommendations whether to run or not.

  1. To select the recommended actions, click Select only recommended.

  2. To select all actions, click Select All.

  3. Then click Next.

Go to Tune-Up Complete.


PC Total Care Tune-up Complete

PC TotalCare ™ Complete

The PC TotalCare™ Report displays the Action Description and Status.

  1. Expand the category by clicking the + (plus) sign to see the action and status of each item.

  2. To do another PC TotalCare Operation, click Perform another TotalCare Operation.

  3. To automatically schedule, click Schedule.

  4. For optimizations to take effect, click the Restart Now link, if present.

  5. Click Exit to return to the Home tab.


Comprehensive Care - More Info

Comprehensive Care allows you to select which of the following tools and sub-options to run. It performs a more thorough cleanup than the Quick Tune-Up and takes considerably more time to complete.

Cleanup

Internet Cookie Files

Empty Recycle Bin

Offline Files

Temporary Offline Files

Unused Downloaded Program Files

Internet Cache Files

Temporary Windows Files

Repair

Repair Broken Shortcuts

Remove Invalid Program Uninstallers

Eliminate Spyware and other PC Parasites

Fix Registry Errors

Repair Hard Drive problems

Security

Find and Fix PC Security Flaws

Backup System Registry

Speed

Defragment Hard Drives

Compact the Registry

Recover and Defragment System Memory

Optimize Windows Startup

Optimize Internet and Download Performance


Perform Comprehensive Care

Perform PC TotalCare Comprehensive Care

To perform a Comprehensive Care:

  1. On the Select Operation Mode tab, select Comprehensive Care.

  2. To configure undo and automatic scheduling, click Options.

  3. To configure which tools and sub-options to run, click the Configure link.

  4. On each of the four tabs, select or clear the actions and sub-options to perform

  5. To return to the system default, click the Set Defaults link and then click OK.

  6. Click Next and the wizard performs the tasks you selected.

  7. The Tune-Up Progress bar tracks progress. To stop the process, click Cancel.

  8. The Comprehensive Care Complete window displays the PC TotalCare Report with Action Description and Status.

  9. To do another Tune-Up, click Perform another TotalCare Operation.

  10. To automatically schedule, click Schedule.

  11. For optimizations to take effect, click the Restart Now link, if present.

  12. To return to the Home tab, click Exit.


Configure Comprehensive Care

The Comprehensive Care Configuration window has four tabs: Cleanup, Repair, Security and Speed.

  1. Within each tab, select or clear the check box next to the action to perform. To restore defaults, click the respective defaults: Set Cleanup Defaults, Set Repair Defaults, Set Security Defaults, or Set Speed Defaults. The tabs contain the following actions:

Cleanup

Temporary Windows Files

Perform deep scan for temporary files

Internet Cache Files

Internet Cookie Files

Unused Downloaded Program Files

Empty Recycle Bin

Temporary Offline Files

Offline Files

Broken Shortcuts

Perform deep shortcuts scan (requires more time)

Repair

Repair Hard Drive problems

Analyze on reboot if drive is locked

Perform full surface scan (may take several hours)

Fix Registry Errors

Perform deep registry scan (requires more time)

Eliminate Spyware and other PC Parasites

Perform deep parasite scan (requires more time)

Repair Broken Shortcuts

Remove Invalid Program Uninstallers

Security

Backup System Registry

Skip registry backup if performed in the last 10 days

Find and Fix PC Security Flaws

Speed

Optimize Internet and Download Performance

Optimize Windows Startup

Recover and Defragment System Memory

Skip memory defrag if 50% or more physical RAM is available

Defragment Hard Drives

Skip defrag if fragmentation quotient is less than 10%

Perform deep defragmentation (requires more time)

Compact the Registry

Skip registry compacting if done in the last 10 days

  2. When complete, click OK.


PC Cleanup Wizard Introduction

The PC Cleanup Wizard combines several System Mechanic tools that find and remove unnecessary items.

Modes

The PC Cleanup Wizard has two modes: Quick Clean and Deep Clean.

  1. To remove temporary Windows files, Internet cache files and cookies, unused downloaded Internet program files, empty the Recycle bin, and remove temporary and off-line files, select Quick Clean from the Select Cleanup Mode tab.

  2. To select which item categories to clean and repair, select Deep Clean from the Select Cleanup Mode tab.

  3. Click the Analyze link next to Quick Clean or Deep Clean and the wizard analyzes your PC for the potential cleanup amount which appears in place of the Analyze link.

  4. To configure options for either Quick Clean or Deep Clean, click Options.

  5. Select the Display a summary of suggested actions prior to execution check box to be able to confirm actions before running the tool.


PC Quick Clean - More Info

The Quick Clean mode in the PC Cleanup Wizard provides the following functions:

  • Remove temporary Windows files

  • Remove Internet cache files

  • Remove Internet cookies

  • Remove unused downloaded Internet program files

  • Empty the Recycle Bin

  • Remove temporary files

  • Remove off-line files

To perform a Quick Clean:

  1. On the Select Cleanup Mode tab, select Quick Clean.

  2. Click Next.

The wizard searches your computer for unnecessary files and removes them automatically. The number of items removed and space freed is displayed.

  3. To do another cleanup, click Perform another Cleanup.

  4. To automatically schedule, click Schedule.

  5. Click Exit.


Perform a PC Quick Clean

To perform a Quick Clean:

  1. On the Select Cleanup Mode tab, select Quick Clean.

  2. Click Analyze to see the potential freed space.

  3. To configure undo and automatic scheduling, click Options.

  4. Click Next and the wizard searches your computer for unnecessary files and removes them automatically.

  5. To stop the process, click Cancel.

  6. When the cleanup process is complete, the Cleanup Complete window displays the Cleanup Report with a description of the files removed and the space freed.

  7. To do another cleanup, click Perform another Cleanup.

  8. To automatically schedule, click Schedule.

  9. Click Exit.


Automatic PC Cleanup Options

These options apply to both Quick Clean and Deep Clean modes.

To configure automatic options:

  1. Select either Quick Clean or Deep Clean, and then click Options.

  2. To save undo information, in the Undo section, select the Save information required to undo cleanup actions (recommended) check box.

  3. To automatically schedule, click Schedule Automatic PC Cleanup, select either Quick Clean or Deep Clean.

  4. Click OK.


Confirm Cleanup

If you checked the Display a summary of suggested actions prior to execution, the Confirm Cleanup window displays the cleanup actions and associated recommendation whether to run or not.

  1. To select the recommended actions, click Select only recommended.

  2. To select all actions, click Select All.

  3. Then click Next.

Go to PC Cleanup Complete.


PC Cleanup Complete

When the cleanup process is complete, the Cleanup Complete window displays the Cleanup Report which contains descriptions and total space freed.

  1. For optimizations to take effect, click the Restart Now link, if present.

  2. To do another cleanup, click Perform another Cleanup.

  3. To automatically schedule, click Schedule.

  4. Click Exit.


PC Deep Clean - More Info

The Deep Clean mode in the PC Cleanup Wizard allows you to select which item categories to find and remove unnecessary files.

  • Remove temporary Windows files

  • Remove Internet cache files

  • Remove Internet cookies

  • Remove unused downloaded Internet program files

  • Empty the Recycle Bin

  • Remove temporary files

  • Remove off-line files

  • Remove shortcuts not possible to repair

To perform a Deep Clean:

  1. On the Select Cleanup Mode tab, in the Automatic section, select Deep Clean.

  2. To configure undo and automatic scheduling, click Options.

  3. To configure which item categories to find and remove, click the Configure link.

  4. Click Next and a progress bar tracks the tool searching your computer for unnecessary files and removes them automatically.

  3. To begin a new search, click New search.


Perform a PC Deep Clean

To perform a Deep Clean:

  1. On the Select Cleanup Mode tab, select Deep Clean.

  2. To configure undo and automatic scheduling, click Options.

  3. To configure which item categories to find and remove, click the Configure link.

  4. Click Next and the wizard searches your computer for unnecessary files and removes them automatically. The number of items removed and space freed is displayed.

  5. To stop the process, click Cancel.

  6. When the cleanup process is complete, the Cleanup Complete window displays the Cleanup Report with a description of the files removed and the space freed.

  7. For optimizations to take effect, click the Restart Now link, if present.

  8. To do another cleanup, click Perform another Cleanup.

  9. To automatically schedule, click Schedule.

  10. Click Exit.


PC Cleanup Configure Categories

To specify which items to find and remove:

  1. Under the Items to Find and Remove section, select or clear the items to find and remove check boxes accordingly.

  2. To restore defaults, click Set Defaults.

  3. Click Analyze to find the potential freed space, which is displayed in the Total Cleanup Potential section for each hard drive.

  4. Click OK.


PC Accelerator Introduction

The PC Accelerator Wizard combines several System Mechanic tools that tune up and increase the speed of your PC. Your applications launch quicker, work faster, operate smoother, perform with greater reliability, keeping your computer running at peak performance.

Modes

The PC Accelerator Wizard has two modes: Basic Acceleration and Comprehensive Acceleration.

  1. To optimize Internet and download performance, optimize Windows startup, recover and defragment system memory, and compact the registry, from the Select Acceleration Mode tab, select Basic Acceleration.

  2. To select which categories to choose: optimize Internet and download performance, optimize Windows startup, recover and defragment system memory, defragment hard drives, and compact the registry, select Comprehensive Acceleration from the Select Acceleration Mode tab.

  3. To configure options for either Basic Acceleration or Comprehensive Acceleration, click Options.

  4. Select the Display a summary of suggested actions prior to execution check box to be able to confirm actions before running the tool.


Basic Acceleration - More Info

The Basic Acceleration mode provides the following functions:

  • Optimize Internet and download performance

  • Optimize Windows startup

  • Recover and defragment system memory

  • Compact the registry

To perform a Basic Acceleration:

  1. From the Select Acceleration Mode tab, select Basic Acceleration.

  2. To configure undo and automatic scheduling options, click Options.

  3. Then click Next and an Optimization progress bar tracks the optimization process.

  4. Click Cancel, if needed.

  5. The Optimizations Complete window displays the Optimization Report which includes a description and status.

  6. To automatically schedule, click Schedule.

  7. To do another acceleration, click Perform another Acceleration.


Perform a Basic Acceleration

To perform a Basic Acceleration:

  1. From the Select Acceleration Mode tab, select Basic Acceleration.

  2. To configure undo and automatic scheduling options, click Options.

  3. Then click Next and a Optimization progress bar tracks the optimization process.

  4. Click Cancel, if needed.

  5. When the optimization process is complete, the Optimizations Complete window displays the Optimization Report which includes a description and status of the optimization.

  6. To automatically schedule click Schedule.

  7. To do another optimization, click Perform another Acceleration.

  8. To return to the Home tab, click Exit.


PC Acceleration Automatic Options

These options apply to both Basic and Comprehensive modes.

To configure automatic options:

  1. Select either Basic Acceleration or Comprehensive Acceleration, and then click Options.

  2. To save undo information, in the Undo section, select the Save information required to undo optimizations (recommended) check box.

  3. To schedule automatic acceleration, click Schedule Automatic PC Acceleration and then select Basic Acceleration or Comprehensive Acceleration.

  4. Click OK.


Confirm Optimizations

If you checked the Display a summary of suggested actions prior to execution, the Confirm Optimizations window displays the optimization actions and associated recommendations whether to run or not.

  1. To select the recommended actions, click Select only recommended.

  2. To select all actions, click Select All.

  3. Then click Next.

Go to Acceleration Optimizations Complete.


Acceleration Optimizations Complete

When the optimization process is complete, the Optimizations Complete window displays the Optimization Report which includes a description and status of the optimization.

  1. To see details of the optimization task, click Details.

  2. To do another optimization, click Perform another Acceleration.

  3. To automatically schedule, click Schedule.

  4. For optimizations to take effect, click the Restart Now link, if present.

  5. Click Exit.


Comprehensive Acceleration - More Info

The Comprehensive Acceleration mode provides the following functions:

  • Optimize Internet and download performance

  • Optimize Windows startup

  • Recover and defragment system memory

  • Defragment Hard Drives

  • Compact the registry

To perform a Comprehensive Optimization:

  1. On the Select Acceleration Mode tab, select Comprehensive Optimization.

  2. To select which optimizations to perform, click the Configure link.

  3. Configure Options.

  4. Optimizations Complete.


Perform a Comprehensive Optimization

To perform a Comprehensive Optimization:

  1. On the Select Acceleration Mode tab, select Comprehensive Optimization.

  2. To select which optimizations to perform, click the Configure link.

  3. Configure Automatic Options.

  4. When the optimization process is complete, the Optimizations Complete window displays the Optimization Report containing a description and status of the optimization.

  5. To do another acceleration, click Perform another Acceleration.

  6. To automatically schedule, click Schedule.

  7. For optimizations to take effect, click the Restart Now link, if present.

  8. To return to the Home tab, click Exit.


Configure Comprehensive Optimization

The Comprehensive Acceleration mode allows you to select which optimizations to perform.

To select the optimizations to perform:

  1. Click the Configure link and the Comprehensive PC Acceleration Configuration window displays the list of Optimizations and sub-options.

  2. To restore defaults, click Set Defaults.

  3. Select or clear the optimizations, as needed.

  • Optimize Internet and download performance

  • Optimize Windows startup

  • Recover and defragment system memory

  • Skip memory defrag if 50% or more physical RAM is available

  • Defragment Hard Drives

  • Skip hard drives if drive fragmentation is below 10%

  • Perform deep defragmentation (requires more time)

  • Compact the registry

  • Skip registry compacting if performed in the last 10 days

  3. Click OK.

  4. Then click Next.

  5. Go to Confirm Optimizations or Acceleration Optimizations Complete.


PC Security Wizard Introduction

The PC Security Wizard combines several System Mechanic tools that optimize the security of your PC.

Modes

The PC Security Wizard has two modes: Quick Security Optimization and Comprehensive Security Optimization.

  1. To backup the System Registry and find and fix PC security flaws, from the Select Operation Mode tab, select Quick Security Optimization.

  2. To select which categories to choose: backup the System Registry and find and fix PC security flaws, from the Select Operation Mode tab, select Comprehensive Security Optimization.

  3. To configure automatic options for either Quick Security Optimization and Comprehensive Security Optimization, click Options.

  4. Select the Display a summary of suggested actions prior to execution check box to be able to confirm actions before running the tool.


Quick Security Optimization - More Info

The Quick Security Optimization mode in the PC Security Optimization Wizard provides the following functions:

  • Backup System Registry

  • Find and fix PC Security Flaws

To perform a Quick Security Optimization:

  1. On the Select Operation Mode tab, select Quick Security Optimization.

  2. To configure undo and automatic scheduling, click Options.

  3. Click Next and a progress bar tracks progress. Click Cancel, if necessary to stop.

The wizard finds and repairs your problems.

  4. To do another cleanup, click Perform another Repair.

  5. To automatically schedule, click Schedule.

  6. Click Exit.


Perform a Quick Security Optimization

To perform a Quick Security Optimization:

  1. On the Select Operation Mode tab, select Quick Security Optimization.

  2. To configure undo and automatic scheduling, click Options.

  3. Click Next and a progress bar tracks progress. Click Cancel, if necessary to stop.

  4. The Security Optimizations Complete window displays the Security Optimization Report which displays the Description and Status of the repairs.

  5. To do another cleanup, click Perform another Repair.

  6. To automatically schedule, click Schedule.

  7. To return to the Home tab, click Exit.


Automatic PC Security Optimization Options

These options apply to both Quick Security Optimization and Comprehensive Security Optimization.

To configure automatic options:

  1. Select either Quick Security Optimization or Comprehensive Security Optimization, and then click Options.

  2. To save undo information, in the Undo section, select the Save information required to undo optimizations (recommended) check box.

  3. To schedule automatic acceleration, click Schedule Automatic Security Optimization, select either Quick Security Optimization or Comprehensive Security Optimization.

  4. Click OK.


Confirm Optimizations

If you checked the Display a summary of suggested actions prior to execution the Confirm Optimizations window displays the optimization actions and associated recommendations whether to run or not.

  1. To select recommended optimizations, click Select only recommended.

  2. To select all optimizations, Select All.

  3. Then click Next.

  4. Go to Security Optimization Complete.


Security Optimization Complete

The Security Optimizations Complete window displays the Security Optimization Report which displays the Description and status of the repairs.

  1. To see details of the optimization task, click Details.

  2. To do another optimization, click Perform another security optimization

  3. To automatically schedule, click Schedule.

  4. Click Exit.


Comprehensive Security Optimization - More Info

The Comprehensive Security Optimization mode in the PC Security Optimization Wizard allows you to select the following functions:

  • Backup System Registry

  • Find and fix PC Security Flaws

To perform a Comprehensive Security Optimization:

  1. On the Select Operation Mode tab, select Comprehensive Security Optimization.

  2. To configure undo and automatic scheduling, click Options.

  3. Click Next and a progress bar tracks progress. Click Cancel, if necessary to stop.

  4. To do another cleanup, click Perform another Repair.

  5. To automatically schedule, click Schedule.

  6. Click Exit.


Perform a Comprehensive Security Optimization

To perform a Comprehensive Security Optimization:

  1. On the Select Operation Mode tab, select Comprehensive Security Optimization.

  2. To configure undo and automatic scheduling, click Options.

  3. To select the optimizations to perform, click the Configure link.

  4. Click Next and a progress bar tracks progress. Click Cancel, if necessary to stop.

  5. When the optimization is complete, the Security Optimizations Complete window displays the Security Optimization Report which displays the description and status of the repairs.

  5. To do another cleanup, click Perform another Repair.

  6. To automatically schedule, click Schedule.

  7. To return to the Home tab, click Exit.


Configure Comprehensive Acceleration

The Comprehensive Acceleration mode allows you to select which optimizations and sub-options to perform.

To select the optimizations to perform:

  1. Click the Configure link and the Comprehensive PC Comprehensive Security Optimization Configuration window displays the list of Optimizations and sub-options.

  2. Select or clear the optimizations, as needed.

  • Backup System Registry

  • Skip backup if performed in the last 10 days

  • Find and fix Security Flaws

  3. To restore defaults, click Set Defaults.

  4. Click OK.


PC Repair Wizard Introduction

The PC Repair Wizard combines several System Mechanic tools that find and repair systems problems to eliminate error and crashes.

Modes

The PC Repair Wizard has two modes: Quick Repair and Comprehensive Repair.

  1. To repair hard drive problems, fix registry errors, eliminate Spyware, remove invalid program uninstallers, and repair broken shortcuts, select Quick Repair.

  2. To select which item categories to scan and repair, from the Select Operation Mode tab, select Comprehensive Repair.

  3. To configure options for either Quick Clean and Deep Clean, click Options.

  4. Select the Display a summary of suggested actions prior to execution check box to be able to confirm actions before running the tool.


Quick PC Repair - More Info

Quick Repair - More Info

The Quick Repair mode in the PC Repair Wizard provides the following functions:

  • Repair hard drive problems

  • Fix registry errors

  • Eliminate Spyware

  • Remove invalid program uninstallers

  • Repair broken shortcuts

To perform a Quick Repair:

  1. On the Select Operation Mode tab, select Quick Repair.

  2. To configure undo and automatic scheduling, click Options.

  3. Click Next and a progress bar tracks progress. Click Cancel, if necessary to stop.

The wizard finds and repairs your problems.

  3. To do another repair, click Perform another Repair.

  4. To automatically schedule, click Schedule.

  5. Click Exit.


Perform a Quick PC Repair

To perform a Quick Repair:

  1. On the Select Operation Mode tab, select Quick Repair.

  2. To configure undo and automatic scheduling, click Options.

  3. Click Next and a progress bar tracks progress. Click Cancel, if necessary to stop.

  4. When the repair process is complete, the Repairs Complete window displays the Repair Report containing a description and status of the repairs.

  5. To do another repair, click Perform another Repair.

  6. To automatically schedule, click Schedule.

  7. For the repairs to take effect, click Restart Now.

  8. To return to the Home tab, click Exit.


Automatic PC Repair Options

These options apply to both Quick Repair and Comprehensive Repair modes.

To configure automatic options:

  1. Select either Quick Repair or Comprehensive Repair, and then click Options.

  2. To save undo information, in the Undo section, select the Save information required to undo repairs (recommended) check box.

  3. To schedule automatic repair, click Schedule Automatic PC Repairs, select either Quick Repair or Comprehensive Repair.

  4. Click OK.


Confirm Repairs

If you checked the Display a summary of suggested actions prior to execution the Confirm Optimizations window displays the optimization actions and associated recommendations whether to run or not.

  1. To select recommended optimizations, click Select only recommended.

  2. To select all optimizations, Select All.

  3. Then click Next.

  4. Go to PC Repair Complete.


PC Repair Complete

When the repair process is complete, the Repairs Complete window displays the Repair Report which contains descriptions and total space freed.

  1. To see details of the repair task, click Details.

  2. To do another repair, click Perform another Repair.

  3. To automatically schedule, click Schedule.

  4. Click Exit.


PC Comprehensive Repair - More Info

Comprehensive Repair - More Info

The Comprehensive Repair mode in the PC Repair Wizard allows you to select which of the following problem categories and sub-options to select:

  • Repair hard drive problems

  • Fix registry errors

  • Eliminate Spyware

  • Remove invalid program uninstallers

  • Repair broken shortcuts

To perform a Comprehensive Repair:

  1. On the Select Operation Mode tab, select Comprehensive Repair.

  2. To select which problem categories to scan and repair, click the Configure link.

  3. To configure undo and automatic scheduling, click Options.

  4. Click Next and a progress bar tracks progress. To stop anytime, click Cancel.

The wizard finds and repairs your problems.

  3. To do another repair, click Perform another Repair.

  4. To automatically schedule, click Schedule.

  5. Click Exit.


Perform a Comprehensive PC Repair

To perform a Comprehensive Repair:

  1. On the Select Operation Mode tab, select Comprehensive Repair.

  2. To select which problem categories to scan and repair, click the Configure link.

  3. To configure undo and automatic scheduling, click Options.

  4. Click Next and a progress bar tracks progress. Click Cancel, if necessary to stop.

  5. When the cleanup process is complete, the Repairs Complete window displays the Repair Report which contains a description and status of the repairs.

  6. To do another repair, click Perform another Repair.

  7. To automatically schedule, click Schedule.

  8. For the repairs to take effect, click Restart Now.

  9. To return to the Home tab, click Exit.


PC Repair Configure

The Comprehensive Repair mode allows you to select which repairs to perform.

To specify which items to find and repair:

  1. Click the Configure link and the Comprehensive Repair window displays the list of Repair categories in the Repairs to perform section.

  2. Select or clear the category and sub-category check boxes accordingly.

  3. Repair hard drive problems

  • Analyze on reboot if drive is locked

  • Perform full surface scan (may take up to several hours)

  • Fix registry errors

  • Perform deep registry scan (requires more time)

  • Eliminate Spyware and other PC Parasites

  • Perform deep parasite scan (requires more time)

  • Remove invalid program uninstallers

  • Repair broken shortcuts

  3. To restore defaults, click Set Defaults.

  4. Click OK.


Deep Analysis

Deep Analysis – More Info

Deep Analysis is a comprehensive check of system health. When you click the Analyze All link next to the Analysis Report, select Perform Quick Analysis or Perform Deep Analysis. Deep Analysis takes significantly more time to perform than Quick Analysis.

When a Quick Analysis is complete, click Details to see the status and health of your system. Click Update, if available, and Deep Analysis will be performed.


Speed Analysis - Dangerous MI

Dangerous and Unnecessary Programs - More Info

Dangerous startup items may be associated with spyware, viruses, trojans and other parasites that can cause minutes-long boot ups, sluggish PC performance, and random crashes. In addition, certain applications, drivers, and services automatically start at the beginning of each Windows session. Some of these items may also be unnecessary.

The Startup Optimizer wizard finds and removes dangerous and unnecessary programs. If you want to see these items before they are removed from your system, run the Custom Mode of the Startup Optimizer.


NetBooster Introduction

NetBooster optimizes the Windows configuration settings that directly affect Internet connection speeds. When Windows is installed, these settings are not optimized for your specific Internet connection and may even prevent you from reaching maximum download and upload speeds.

Many people experience increases in throughput speed of over 200% when using NetBooster optimizations. NetBooster does not allow your modem or other connection device to establish a faster connection rate than before, it allows transferring more data over that connection. This results in faster, more reliable downloads and uploads, e-mail transfers, Web browsing, and online gaming NetBooster optimization benefits all Internet-based applications, including Web browsers, e-mail clients, and America Online.

NetBooster works with DSL, cable modem, ISDN, or other LAN connections to maximize performance. Users frequently experience download speed increases of up to 200%.

Although NetBooster can automatically set all configuration data to the optimum values for your specific connection and system, you can also manually view and edit each setting. The real-time graphical network/Internet analyzer, and the a tool to test your relative download speed, provide accurate reports of true performance. Sometimes, certain configuration values work well with a specific application like an online game, and another set works better for downloading large files. With the NetBooster Advanced Internet Configuration tool, it is easy to switch back and forth between optimization settings by saving and loading different NetBooster profiles.

  1. To select an optimization procedure, select either:

  • Optimize your Internet connection speed, or

  • Restore original settings

  2. Then click Next.


NetBooster Specify Connection Type

Specifying the correct Internet connection type is very important to achieve the best Internet performance.

If you are unsure of your connection type, ask your Internet Service Provider or other knowledgeable source.

To specify connection type:

  1. Select one of the following connection types:

  2. LAN, Cable, DSL, Satellite, ISDN, T1, or Wireless or other high speed connection

  3. Cable, DSL or Satellite, or Wireless running PPPoE

  4. 56 kps (or higher) modem connection

Caution: f you use a separate program to log on to the Internet with your cable, DSL or satellite connection, check with your Internet Service Provider before using this tool.

  2. Click Next.

The Optimizing Internet settings is processed.

  3. Go to Optimization complete.


NetBooster Optimization Complete

Comprehensive system configuration analysis was done and settings applied to maximize the highest performance level.

  1. For automatic scheduling, click Schedule.

  2. Click the Restart Now link to have the new settings take effect.

  3. To wait to restart later, click Exit.


NetBooster Original Setting Restored

  1. The Original Settings Successfully Restored window is displayed.

  2. For the settings to take effect, click the Restart Now link.

  3. To restart later, click Exit.


NetBooster Restore - More Info

Restore original settings resets your Internet connection settings to the Windows default.


Optimize your Internet connection - More Info

The default Internet connection settings in Windows may not always be the best for your connection type. NetBooster Internet Speed Optimizer will help you optimize your connection for speed and stability.


NetBooster Advanced Configuration Tool

NetBooster lets you edit your Windows network settings using a graphical interface. If you do not understand this information, do not manually edit your settings: use the preset optimizations instead.

To use the tool:

  1. To manage your settings, click one of the following buttons from the Advanced Optimization Options window: Set All to Optimal, Set All to Default, or Restore All to Original.

  2. To set up and save profiles, click Profiles.

  3. From the Optimization Categories pane, highlight a specific category and the associated Description and Configuration information is displayed.

  1. Follow the specific instructions for the parameter within the category as described below.

  2. Click Use Optimal or Use Default, if needed.

  4. Click Apply when you make individual changes; click OK when complete.

Optimization Categories

Maximum Transfer Unit (MTU)

MTU is the default packet size that Windows sends and receives information over the Internet or across your network. When your PC establishes a connection with another computer via Internet or LAN, the two computers must use a common MTU value to send and receive data. The computer with the lowest MTU value determines the value both must use.

If the MTU value is larger than the MTU used by any network routers, the routers split the data packets into chunks they can handle. Splitting the packets causes network fragmentation, which can actually double the time it takes to send a single packet of information. To dramatically increase performance, set the Windows MTU manually.

Windows 95, Windows 98, and Windows Me can globally set the MTU value for all network adapters including NICs and Dial Up adapters. Windows NT-based systems (including Windows 2000 and Windows XP) allow selectively setting the MTU for installed network adapters.

Enable this option unless experimentation reveals that your specific connection operates more efficiently without it.

To specify a MTU value:

  1. Select the Specify MTU (Maximum Transfer Unit) check box.

  2. Click the drop-down menu to select the MTU value. See MTU values for recommended values.

  3. Click Use Optimal or Use Default to revert to the default settings.

TCP Receive Window Size

The TCP Receive Window Size (RWIN) is the amount of data in bytes that can be received before the sender must await confirmation that the data arrived properly. The related Maximum Segment Size (MSS) parameter is the maximum amount of data that may be received in one network segment at one time. It is calculated as the MTU value minus 40 bytes (40 bytes are allocated for basic TCP and IP information in each segment).

To increase the percentage of full-sized data segments used during transmission for more efficient downloading, uploading, and network-based data exchanges, set the TCP Receive Window size to even increments of the MSS.

Recommended values are 128, 64 , and 32.

To manually set your RWIN value:

  1. Select Specify RWIN (TCP Receive Window size).

  2. Use the slider located underneath the setting. The exact value is displayed as Calculated RWIN value. See RWIN values for recommended values.

  3. Click Use Optimal or Use Default to revert to the default settings.

Time to Live

Time To Live (TTL) is included with each segment of transmitted data. TTL indicates how long the data survives before being discarded. TTL is based on how many hops (or network server transitions) the data segment travels over before it is a transmission failure. The larger the TTL value, the greater chance the data eventually arrives at its destination. However, a too-large TTL may result in unnecessary delays when data transmission will fail due to network errors.

To manually set your TTL value:

  1. Select Specify RWIN (TCP Receive Window size).

  2. Use the slider located underneath the setting. The exact value is displayed under the slider.

  3. Click Use Optimal or Use Default to revert to the default settings.

Black Hole detection

A Internet black hole is a situation when your system attempts to automatically determine the MTU of a system on the other end, and is unable to do so because that system does not respond properly to MTU requests. If black hole detection is enabled, your system attempts to discover if the connected systems support automatic MTU discovery. If automatic MTU discovery is not supported, the MTU is detected using alternate and less efficient methods, causing performance degradation.

To set Black Hole Detection:

  1. To specify Black Hole detection, select the Specify Black Hole Detection check box.

  2. To enable Black Hole detection, select the Enable Black Hole Detection check box.

  3. Click Use Optimal or Use Default to revert to the default settings.

MTU detection

Enabling this setting causes your system to attempt to discover the MTU over the path to a remote host. By discovering the remote host MTU and limiting TCP segments to this size, TCP can automatically eliminate fragmentation at routers along the path that connect networks with different MTUs. Fragmentation adversely affects TCP throughput and causes network congestion.

To set Automatic MTU detection:

  1. To specify MTU detection, select the Specify Automatic MTU Detection check box.

  2. To enable MTU detection, select the Enable Automatic MTU Detection check box.

  3. Click Use Optimal or Use Default to revert to the default settings.

TCP large windows

Windows 98 and later accept larger amounts of data before acknowledgement of receipt is required, enhancing performance for higher-speed connections for networks with large bandwidth delay products, such as high-speed transcontinental connections or satellite links.

The default value is 3. With this setting, large window (RWIN) support is automatically enabled if an application requests sizes greater than 64 KB.

To enable support for TCP large windows:

  1. Select the Support for TCP Large Windows check box.

  2. Then select one of the following options from the drop-down menu:

  3. 0 : No Window scaling or Timestamp options

  4. 1 : Window scaling but no Timestamp options

  5. 3 : Window scaling and Timestamp options

  3. Click Use Optimal or Use Default to revert to the default settings.

Selective Acknowledgements

Windows 98 and later support Selective Acknowledgements (SACK) that allow the TCP network to recover from IP packet loss without re-sending packets already received by the receiver. SACK is most useful when employed with TCP large windows.

To enable support for selective acknowledgements:

  1. Select the Specify SACK (Support for Selective Acknowledgements) check box.

  2. Then select the Enable SACK (Support for Selective Acknowledgements) check box.

  3. Click Use Optimal or Use Default to revert to the default settings.

Fast retransmission and recovery support

Windows 98 and later support Fast Retransmission and Fast Recovery of TCP connections that encounter network IP packet loss. These mechanisms allow a sender to quickly infer a single packet loss from the reception of duplicate acknowledgements for a previously sent and acknowledged network packet. This mechanism is useful when the network or Internet is intermittently congested. The reception of 3 (by default) successive duplicate acknowledgements indicates to the sender that it can re-send the last unacknowledged packet (fast retransmit) and not go into "slow start" due to a single packet loss (fast recovery).

To enable and specify fast retransmission and recovery support:

  1. Select the Specify Fast Retransmission and Recovery Support value check box.

  2. Use the slider located underneath the setting. The exact value is displayed under the slider.

  3. Click Use Optimal or Use Default to revert to the default settings.

HTTP 1.0

According to standard HTTP protocol, browsers should have no more than two connections established to a single Web site at one time. With this option you can override this restriction and allow Internet Explorer to establish up to ten connections to a single Web server at one time, drastically improving performance.

To configure HTTP 1.0 simultaneous connections

  1. Select the Specify Maximum Simultaneous HTTP 1.0 Connections check box.

  2. Use the slider to increase or decrease the number. Best results are achieved with a connection limit of 10.

  3. Click Use Optimal or Use Default to revert to the default settings.

Note: Altering this setting breaks the standard HTTP rules and protocol by allowing your browser to consume much more bandwidth than the HTTP standard allows.

HTTP 1.1.

To configure HTTP 1.1 simultaneous connections

  1. Select the Specify Maximum Simultaneous HTTP 1.1 Connections check box.

  2. Use the slider to increase or decrease the number. Best results are achieved with a connection limit of 8.

  3. Click Use Optimal or Use Default to revert to the default settings.


NetBooster Profiles

  1. From the NetBooster window, click Profiles.

  2. From the NetBooster Profiles dialog box, type a name for your profile or select a name form the drop-down menu in the Save current setting as new profile box and click Save.

  3. To access previous profiles, from the drop-down menu in the Previously Saved Profiles box, select a profile and click Load or Delete.

  4. Then click OK.


NetBooster MTU values

The key to increasing performance using the MTU is to attempt to match its value with your Internet Service Provider as closely as possible. Some helpful ISPs readily provide this information if asked, which saves you a great deal of experimentation.

For dial up connections:

As a general rule, most users with dial-up connections experience better results with an MTU value specifically set to 576.

For cable, xDSL, LAN and other dedicated connections:

Most people with faster, dedicated connections experience the best performance with an MTU value of 1500.

For cable, xDSL, LAN and other dedicated connections using PPoE:

In order to gain maximum performance, set the MTU to 1492.

Note: If you have two or more network interface cards (NIC) in your PC, the above values should be applied to the NIC used for your internet connection.


NetBooster RWIN Suggested values

The RWIN default is 8192 bytes, rounded up to the nearest Maximum Segment Size (MTU - 40) increment for the connection. If that value isn't at least 4 times the MSS, it is adjusted to 4 times the MSS, with a maximum size of 64 KB (unless TCP large window support is enabled, where the maximum value is 1 GB). If the Windows 95 default MaxMTU of 1500 is used, the default RWIN is rounded up to 8760 (1460 * 6).

In some cases, manually setting RWIN may decrease performance because it takes control away from Windows. If the MTU is negotiated to a different value, then the size of the RWIN is no longer a whole integer multiple. For this to be effective , make sure your MTU is set so that it is not negotiated to a lower value.

For dial up connections:

You can dramatically improve performance by setting to a lower value such as 4 times your MSS (MTU-40). The goal with dial-up networking is to bring it to a value below the default 8192. You may have better success with 6, 8 or even 10 times the MSS value.

For cable, xDSL, LAN and other dedicated connections:

At the recommended MTU value of 1500, a good starting RWIN value under Windows 98 or greater is 372300, using 255 as a multiplier for your MSS (maximum segment size), calculated at MTU value - 40, which in this case is (1500 - 40) * 255.

Other values that have been reported to work well with high-speed connections are the following:

  • 513920, or 352 * your MSS at an MTU of 1500

  • 256960, or 176 * your MSS at an MTU of 1500

  • 128480, or 88 * your MSS at an MTU of 1500

  • 93440, or 64 * your MSS at an MTU of 1500

  • 64240, or 44 * your MSS at an MTU of 1500

  • 32120, or 22* your MSS at an MTU of 1500

  • 8760, or 6 * your MSS at an MTU of 1500


NetBooster More values

TTL suggested values

As the Internet grows, the average number of required data transmission hops increases, which increases the effectiveness of a larger TTL value. Recommended values, in order of preference, are 128, 64, and 32.

Blackhole detection suggested value

This setting is applicable only if Automatic MTU detection is enabled. The need for black hole detection is rare due to the fact that the average equipment used on the Internet supports automatic MTU detection if necessary, and setting this parameter when not needed can cause performance degradation.

Note: If you are experiencing slow data transfers with this setting unchecked, it might be helpful to turn it on to see if you experience better results. Black hole detection is disabled by default.

Automatic MTU detection suggested value

Since automatic MTU detection help determine the remote connection MTU, it can greatly improve performance. Enable this option unless experimentation reveals that your specific connection operates more efficiently without it.

Support for TCP large windows suggested values

Enabling this feature greatly enhances Windows to accept more data at once. It is recommended to use this to its full advantage by selecting 3 - Window Scaling and Timestamp Options. This setting is only available for Windows 98 or later.

Fast retransmission and recovery support suggested values

The recommended setting is 3. This setting is only available for Windows 98 or later.

Support for Selective Acknowledgements suggested value

Since Selective Acknowledgement is a performance enhancing option, it is recommended that this option is enabled. This setting is only available for Windows 98 or later.

HTTP 1.0

Best results can usually be achieved by setting the HTTP 1.0 connection limit to 10.

HTTP 1.1

Best results can usually be achieved by setting the HTTP 1.1 limit to 8.

Note: By altering these HTTP settings, you are breaking standard HTTP rules and protocol by allowing your browser to consume much more bandwidth than the HTTP standard allows.


NetBooster Internet Diagnostics Tool Introduction

NetBooster Diagnostics provides a real-time graphical network/Internet analyzer, giving you access to the following options and data. There are three tabs: Traffic Analysis, Download Speed Test and Test Logs.

Traffic Analysis

The data graphs display current and historic throughput values in real time, information especially useful to determine data transfer patterns, how much data is transmitted, and various performance dips and peaks. Peak and midrange levels of data are shown at the right of the graph.

Incoming Data

This graph indicates the amount of data being received in real time by your computer.

Outgoing Data

This graph indicates the amount of data being sent in real time by your computer.

Total Data

This graph displays the total amount of data throughput your computer is handling in real time. The value is computed by adding the incoming and outgoing graphs together.

Transfer interval

The displayed data appears at specific intervals. By default, data throughput is measured and graphs updated every second. To measure network data throughput at different intervals, adjust the slider. The range is from every 250 milliseconds to every 2.5 seconds.

Data Points

The number of data points on the graphs determine the length of time that information is displayed. For example, when measuring network data every second with a value of 50 data points assigned to the graphs, you can see traffic levels up to 50 seconds ago. To adjust the number of data points displayed on the graphs, adjust the slider.

Network Transfer Statistics

The Network Transfer Statistics displays information useful in analyzing network performance:

  • Current Incoming Rate is the amount of data per set transfer interval currently being received by your computer.

  • Current Outgoing Rate is the amount of data per set transfer interval currently being sent by your computer.

  • Total Throughput Rate is the total amount of data per set transfer interval currently being sent and received by your computer.

Graph style

To modify the graph visual formats, select the desired style: 3D Bars, Flat Bars, Points, Lines, or Filled Lines.

Go to Download Speed Test.


NetBooster Diagnostic Download Speed Test

When experimenting with various NetBooster settings, analyze the results of the changes to discover the best-working configurations. The Relative Speed Test keeps as many of the test elements as constant as possible, including the file downloaded, where the file was downloaded from, and the exact amount of data downloaded. Although various network or Internet conditions may skew any test results when you are not in total control, this is the most reliable method for judging a real download transfer speed.

The Download Speed Test contains two sections: Tests to Perform and Test Results.

Tests to Perform

When comparing download performance improvements, it is important to perform the same test with the same amount of data each time. Speed Test offers three standard amounts of data, all downloaded from the same source site.

To set up a test:

  1. Select either Download 100 kilobytes of data, Download 500 kilobytes of data or Download 1 megabyte of data, or

  2. Select Manually specify a file to download, and then enter a file location in http format.

For example, http://www.website.com/filename.exe

  3. Click Start Test to test.

Test Results

In Display in: select either Bytes or Kilobytes.

Note that the displayed test data changes as you change the selection.

Elapsed Time: is the total time to download. Speed Test does not increment this value until the first physical byte of data arrives, thereby providing real results of physical data transfer.

Data Received: is the total amount of data received by your PC on this download. Other network activity is ignored.

Current Speed: is the actual amount of data received over the last second. This is an excellent opportunity to see what is happening during the transfer. View certain performance dips and peaks as they occur by watching this value change.

Average Speed: is the best indication of the physical throughput capabilities. This value is computed by averaging the data received every second over the download elapsed time. If this value increases or decreases after modifying network settings, you can be fairly certain it shows the effects of your modifications.

Peak Speed: is the fastest recorded amount of data that came through to your PC over a one-second period. This value is a good indication of the total "burst" capacity of your connection. Peak speeds are usually quite a bit higher than average speeds because a connection cannot maintain the peak transmission speed for very long without slowing down to "catch up with itself."

Hint: Remember to use the logs.

Go to Test Logs.


NetBooster Diagnostic Test Logs

The Logs tab displays log information from one or more test runs so you can make educated decisions when testing new configurations. The log shows a history of the configurations used, tests performed, and results achieved.

To use the logs:

  1. Click View in Text Editor to see (and print) the log in Notepad or other text editor of your choice.

  2. Click Clear Log to empty the log.


Startup Optimizer Wizard Introduction

The Startup Optimizer wizard optimizes your computer to eliminates performance bottlenecks that cause minutes-long boot ups, sluggish PC performance, and random crashes. It also finds and removes dangerous startup items that may be associated with spyware, viruses, trojans and other parasites.

When you turn on your PC certain applications, drivers, and services automatically start at the beginning of each Windows session. The information that tells Windows to automatically start these items is located in many places: a Start Menu program, initialization files executed when Windows starts, or in the System Registry.

The Startup Optimizer works in conjunction with the System Guard tool. The Startup Guard™ tool for Windows XP and Windows 2000 gives you ultimate proactive control over your startup configuration. When activated, it detects any application attempt to configure a new program to load the next time Windows does. When an attempt is intercepted, Startup Guard handles it by allowing items on the White list to always start, silently preventing items on the Black list from ever succeeding, or prompting you for a specific action.

Modes

The Startup Optimizer Wizard has three modes: Quick Optimization, Deep Optimization, and Custom Optimization.

  1. To perform a quick optimization, select Quick Optimization from the Operation Mode tab.

  2. To perform a deeper optimization, select Deep Optimization from the Operation Mode tab.

  3. To configure options for either Quick Optimization or Deep Optimization, click Options.

  4. To define what types of files and locations to scan and then inspect the found files, and which files to remove, select Custom Optimization from the Operation Mode tab.


Quick Startup Optimization - More Info

The Quick Optimization mode searches in the System Registry for Current User startup settings and All Users startup settings for dangerous and unnecessary items.

You can also configure the automatic cleanup options so that the Quick Optimization automatically analyzes your computer when you open the tool.

To perform a Quick Optimization:

  1. On the Operation Mode tab, select Quick Optimization.

  2. Click Next and a progress bar displays progress during the search for dangerous and unnecessary files and removes them automatically.

  3. To stop the search, click Cancel.

  4. The Optimization Complete window displays the number of Unnecessary Items Removed and the number of Dangerous Items Removed. To see details, click the View Details link.

  5. To hide details, click the Hide Removal Details.

  6. To automatically schedule, click Schedule.

  7. To do another optimization, click Perform Another Optimization.

  8. Click Finished.


Perform a Quick Startup Optimization

To perform a Quick Optimization:

  1. On the Operation Mode tab, select Quick Optimization.

  2. Click Next and a progress bar displays progress during the search for dangerous and unnecessary files and removes them automatically.

  3. To stop the search, click Cancel.

  4. The Optimization complete window displays the number of Unnecessary Items Removed and the number of Dangerous Items Removed. To see details, click the View Details link.

  5. To hide details, click the Hide Removal Details.

  6. To automatically schedule, click Schedule.

  7. To do another optimization, click Perform Another Optimization.

  8. Click Finished.


Configure Automatic Startup Optimization Options

When you select Quick Optimization or a Deep Optimization you can configure automatic cleanup options, removal options, schedule an automatic cleanup, and automatically estimate the space to be freed.

To configure automatic optimization options:

  1. From the Operation Mode tab, select either Quick Optimization or Deep Optimization, and then click Options.

  2. To configure removal options select one of the following:

  3. Delete - save undo information

  4. Delete - do not save undo information

  3. To automatically estimate quick optimization results, in the Preemptive Analysis section, select the Automatically estimate quick optimization results check box.

  4. To schedule an automatic optimization, click Schedule Automatic Optimization.

  5. Click OK.


Startup Optimization Removal

Startup Optimization Complete

  1. The Optimization Complete window displays the number of Unnecessary Items Removed and the number of Dangerous Items Removed. To see details, click the View Details link.

  2. To hide details, click the Hide Removal Details.

  3. To do another Optimization, click Perform another optimization.

  4. To automatically schedule, click Schedule.

  5. Click Exit.


Deep Startup Optimization - More Info

The Deep Optimization mode searches in the System Registry in the Current User startup settings and All Users startup settings, the Startup Folder: All Users, Browser Extensions, and Startup Libraries for dangerous and unnecessary items.

You can also configure the automatic cleanup options so that the Deep Optimization automatically analyzes your computer when you open the tool.

To perform a Deep Optimization:

  1. On the Operation Mode tab, select Deep Optimization.

  2. Click Next.

The wizard searches your computer for dangerous and unnecessary files and removes them automatically. The total number of each category removed is displayed.

  3. To see details, click the View Details link.

  4. To hide details, click the Hide Removal Details.

  5. To automatically schedule, click Schedule.

  6. To do another optimization, click Perform Another Optimization.


Perform a Deep Startup Optimization

To perform a Deep Optimization:

  1. From the Operation Mode tab, select Deep Optimization.

  2. Click Next.

The wizard searches your computer for dangerous and unnecessary files and removes them automatically. The total number of each category removed is displayed.

  3. To see details, click the View Details link.

  4. To hide details, click the Hide Removal Details.

  5. To automatically schedule, click Schedule.

  6. To do another Optimization, click Perform Another Optimization.


Custom Optimization - More Info

The Custom Optimization mode searches for unnecessary and dangerous items in the following locations:

  • Current User startup settings in the Registry

  • All Users startup settings in the Registry

  • Current User in the Startup folder

  • All Users in the Startup folder

  • Browser Extensions (Internet Explorer)

  • Startup libraries

To perform a Deep Optimization:

  1. On the Operation Mode tab, select Deep Optimization.

  2. Click Next and the Tests tab appears.

  3. Configure Tests.

  4. Configure Options.

  5. Search and Remove.


Perform a Custom Optimization

To perform a Custom Optimization:

  1. On the Operation Mode tab, in the Automatic section, select Custom Optimization.

  2. Click Next and the Tests tab appears.

  3. Configure Tests.

  4. Configure Options.

  5. Search and Remove.


Startup Optimizer Configure Tests

To configure tests of startup locations for a custom optimization:

  1. On the Tests tab in the Standard Locations section, select or clear one or more of the following check boxes:

  1. Registry: Current User startup settings

  2. Registry: Current User startup settings

  3. Startup Folder: Current User

  4. Startup Folder: All Users

  5. Browser Extensions

  6. Startup Libraries

  2. Then click Next.

  3. Go to Configure Options.


Configure Startup Optimization Options

  1. From the Options tab, select or clear Save information required to undo removal actions (recommended).

  2. Under the Exclusions section, click Add to exclude a filename. Select the Partial Matching check box, if needed.

  3. Highlight a filename and then click Edit to edit an existing filename.

  4. Highlight a filename and then click Remove to delete the filename. Answer Yes to the confirmation message.

  5. Then click Next.

  6. Go to Removal.


Add a Folder to Exclude

To add a new folder to exclude for a Custom Optimization:

  1. In the New Startup Exclusion box, type the folder name, or

  2. Click Browse to navigate the folder structure and find the folder to add.

  3. Click OK and the location of the folder appears in the New Startup Exclusion box.

  4. To include partial matches, select the Partial match OK check box.

  5. Click OK and the folder is added to the list.


Edit a Folder to Exclude

To edit a folder to exclude from a Custom Optimization

  1. Under the Exclusions section, highlight the folder to exclude.

  2. Click Edit and then type the location in the New Startup Exclusion box, or

  3. Browse the folder structure to locate the file, and then highlight the file;

  4. To include partial matches, select the Partial match OK check box.

  5. Click OK and the edited folder appears in the list.


Startup Optimizer Removal

To disable dangerous items:

  1. To disable an entire group, click Disable Group.

  2. To disable an item, highlight it, then click Disable and select either Disable selected or Disable and block using Startup Guard or Disable checked.

  3. Click Tools and the following options are available:

  4. Open containing folder

  5. Open reference location

  6. Ask Google about selected item

  7. Manage blocked items

  8. Startup Item Properties

  3. Click Sort by and select either Command or Type.

  4. To automatically schedule, click Schedule.

To remove unnecessary items:

  1. To remove an item, highlight it, then click Disable and select either Disable selected or Disable and block using Startup Guard, or Disable Selected. You can also click Disable Group..

  2. Click Tools and the following options are available:

  3. Open containing folder

  4. Open reference location

  5. Ask Google about selected item

  6. Startup Item Properties

  3. Click Sort by and select either Command or Type.

  4. To automatically schedule, click Schedule.


Advanced Startup Manager Introduction

The Advanced Startup Manager allows you to manage items that start with Windows. When it starts, it scans all locations on your PC that load items when Windows loads. It is designed to list and administer all items currently configured to load each time Windows starts up. You can enable and disable items, create, load, and save startup profiles, adjust startup settings on remote computers across a network, and more.

The Startup Manager window has two panes: Folders and the associated detail information on the right-hand side. The folders include Startup Folders, Registry Autorun, INI Files, Batch Files, Internet Explorer elements, and Services.

To toggle the Status and Category icons, click Show Legend/Hide Legend.

To use the tool:

  1. To change the mode, click View and select either Basic Mode or Expert Mode. Do not use Expert Mode unless you are highly experienced with Windows internals.

  2. Expand or collapse the Folders and Files on the left pane and you see the detail information where you click the links for filename, location, reference and available options: enable/disable or delete.

  3. When you first use Advanced Startup Manager all displayed items are enabled, and marked by a green checkmark. To temporarily disable one or more of these items, click Disable.

  4. If you decide that a listed startup item (or set of items) is not worth keeping, even in a disabled state, you may permanently remove it from your list.

  1. Highlight the items to permanently remove.

  2. Click Delete and answer Yes to the confirmation message.

It is highly recommended to disable items before permanently removing them to verify the item is not needed.

  3. If you accidentally remove a startup item, you may undo the actions with SafetyNet.

  5. To see item properties, highlight the item, click Properties and the Startup Item Properties dialog box is displayed where you can click links to Ask Google®, open the file location, look at Registry entries and more.

  6. Click Options to configure Automatic Refresh times and to exclude items from starting.

  1. To configure auto refresh, select or clear the Automatically update startup list when changes are detected and type or use the arrows to select the number of seconds.

  2. To add an excluded item, click New.

  3. To edit an excluded item, highlight the filename and then click Edit.

  4. To remove, highlight the item and click Remove. Answer Yes to the confirmation message.

  5. Click OK.

  7. To add a new items to startup, click Tools, click New, select either General Startup Item, NT Service or Startup Library and then fill in the New Startup Item dialog box. Then click OK.

  8. To save a report, click Tools and then select Save Report. Save it to your desired location. To view the report, click Open Report. You may want to associate the report with Notepad or other text editor.

  9. To connect to a server, click Network and select Connect to remote computer. From the dialog box, browse the network and select a remote computer. then click OK.

Note: To connect to a remote computer on a network, you must have administrator privileges and proper rights to access the System Registry on the target PC. Advanced Startup Manager is restricted to accessing only items located under the HKEY_LOCAL_MACHINE section of a remotely connected PC System Registry.

Profiles

Startup profiles are startup item settings that can be collectively saved and loaded at once. They are extremely useful for system administrators or support staff to make widespread changes to a PC's startup items, while retaining the ability to re-enable old settings in one step.

Profiles can restart the PC with "nothing running" to maximize performance for a resource intensive game or graphics program. There are also times when certain applications need groups of items to be pre-loaded during the Windows startup process that you may normally find inconvenient to "wait" for.

  1. After you make the desired changes to the startup items, click Profiles, select Save Profiles and then type a name for the profile in the Save As window File Name box. Then click OK.

  2. To load a different profile, click Profiles, select Load Profiles and the Saved Profile dialog box appears with Standard Registry items to select or clear.

Warning: All current startup items are disregarded when you load a new profile, so exercise caution before loading a new profile. It is a good idea to have a saved profile of existing startup items before beginning this process.

  3. To restore defaults, click Restore Original Settings.


Advanced Startup Manager Properties

To see item properties, highlight the item, click Properties and the Startup Item Properties dialog box is displayed where you can click links to Ask Google®, open the file location, look at Registry entries and more.


O_ASM_Status

Status

When you expand Services in the left pane, the right shows details about the service. Depending on the service, you can select Stop, Pause, Restart, Automatic, Manual, Disable, and Delete.


Add Exclusion for Advanced Startup

  1. From the New Startup Exclusion box, browse or type the name of the item to exclude.

  2. Select or clear the Partial match OK box.

  3. Then click OK.


Edit Exclusion for Advanced Startup

  1. From the Edit Startup Exclusion box, browse or type the name of the item to exclude.

  2. Select or clear the Partial match OK box.

  3. Then click OK.


Set Filters for Advanced Startup

You can use filters to view items of a specific type or category. If a category is selected, all items found in that category are shown and populated in the list. Conversely, if a category is cleared, all items are hidden. This is useful to quickly view the specific categories you are directly concerned about.

To set filters:

  1. Select or clear the following check boxes to Show Item Categories and Publishers, as appropriate:

  • Necessary

Necessary processes are essential for the normal operation of your PC. These files are typically part of security applications, device drivers, or other important system components.

  • Optional

If selected, all startup items categorized as Optional are shown as normal.

  • Unknown

Unknown processes are items that are currently not listed in the System Mechanic Process database

  • Unnecessary

Unnecessary processes are in no way essential to the normal operation of your PC. These files are typically running to provide quick access to various programs but may inadvertently clutter and slow your system.

  • Dangerous

Dangerous processes are known security risks that hinder the normal operation of your PC. These files typically account for viruses, Spyware, or any other processes which may potentially cause harm.

  • Enabled

Enabled items are active and ready to be started next time Windows starts. They are also deemed as items with a valid path and filename.

  • Disabled

Disabled items are valid entries, but are marked as inactive. These items can be marked as active at any time, but in their current state they do not load when Windows starts.

  • Invalid

Invalid items may be active or inactive but do not have a valid path. It is recommended to fix these items by adjusting their targets, or disable until further investigation is performed, as they decrease performance during the Windows startup process.

  • Include Microsoft Corporation ®

If this box is selected, all startup files pertaining to Microsoft applications are shown.

  2. Click OK.


Startup Profile

Apply Saved Profile

Clear the registry key items that will not be associated with your saved profile.

After you save a Profile, check or clear the corresponding check boxes to make sure you will not overwrite changes you made and did not save as a different Profile.


Disk Defragmentation Wizard Introduction

Your PC stores hard drive files in chunks of data called clusters. Initially, the hard drive is nearly empty of data, and each file is written to the hard drive into a series of consecutive (or contiguous) clusters, located next to each other. Contiguous clusters are quickly read by the PC, enhancing file access performance and speeding up operations.

Over time, as the hard drive fills with data, the available blocks of unused clusters get smaller and smaller. When you save a file larger than the largest available block of clusters, the file is chopped up and is stored in non-contiguous clusters. This file "fragmentation" is invisible and results in slower performance when the file is read again and the PC has to look for clusters in different drive locations. The more you use your computer, the more fragmented files become as they are written, removed, and rewritten. Eventually, system performance suffers drastically as your computer scans the hard drive more frequently to find and compile all of the pieces of the file together.

It is recommended that you defragment your hard drive periodically to maintain system performance, and prevent data or file corruption. Defragmenting the disk rearranges the hard drive files so each file is stored in a series of consecutive clusters that can be read quickly.

Modes

The Disk Defragmentation Wizard has three modes: Quick Defragmentation, Deep Defragmentation, and Custom Defragmentation.

  1. To determine the recommended defragmentation mode, click Recommend and the recommendation appears in the Automatic section.

  2. To quickly defrag all files without packing or relocating, select Quick Defragmentation from the Operation Mode tab.

  3. To do a more comprehensive defragmentation, select Deep Defragmentation from the Operation Mode tab.

  4. To configure options for either Quick Defragmentation or Deep Defragmentation, click Options.

  5. To do a complete defragmentation, select Complete Defragmentation from the Operation Mode tab.


Quick Defragmentation - More Info

Over time as Windows writes and rewrites files to your hard drive, the files can be split into pieces and scattered in fragments all over the drive slowing access time and causing a general slow down of your system. Defragmentation gathers up these fragmented files and rewrites each back to the drive in one piece.

Quick Defragmentation will quickly defragment your hard drive but leave most files in their original place. Your main drive is defragmented.


Perform Quick Defragmentation

To perform a Quick Defragmentation:

  1. On the Operation Mode tab in the Automatic section, select Quick Defragmentation.

  2. To configure automatic options, click Options.

  3. Click Next.

  4. The Performing Defragmentation and Optimization window shows progress. You can click Pause or Cancel, if needed.

  5. Click View Report to see the Fragmentation Analysis Report.

  6. To automatically schedule, click Schedule Automatic Defrag.

  7. Click Exit when finished.


Configure Automatic Defragmentation Options

To configure automatic defragmentation options:

  1. In the Automatic section, select Quick Defragmentation or Deep Defragmentation and then click Options.

  2. To automatically recommend the defrag action, in the Preemptive Analysis section, select the Automatically recommended defragmentation action on start check box.

  3. In the Miscellaneous section, check or clear the following options:

  4. Perform a quick PC Cleanup operation before defragmentation (recommended)

  5. Automatically defragment locked files next time the system restarts

  6. Ignore prefetch cache files

  4. To schedule an automatic cleanup, click Schedule Automatic Defragmentation..

  5. Click OK.


O_DDW_QD_Complete

Quick Defragmentation Complete

When the defragmentation is complete, the results are displayed.

  1. Click View Report to see the Fragmentation Analysis Report.

  2. To automatically schedule, click Schedule Automatic Defrag.

  3. Click Exit when finished.


Fragmentation Analysis Report

Fragmentation Analysis Report - Not defragmented

The files listed in this report cannot be defragmented when Windows is running; they must be defragmented before Windows boots.

To use the report:

  1. Click Defragment at boot-time and select either Schedule checked, Schedule selected, All, or Schedule All.

  2. Click Select and select either Check all, Select all, Invert checked states, or Invert selection.

  3. Close the window.


Deep Defragmentation - More Info

Over time as Windows writes and rewrites files to your hard drive, the files can be split into pieces and scattered in fragments all over the drive slowing access time and causing a general slow down of your system. Defragmentation gathers up these fragmented files and rewrites each back to the drive in one piece.

All drives are defragmented.


Perform Deep Defragmentation

To perform a Deep Defragmentation:

  1. On the Operation Mode tab in the Automatic section, select Deep Defragmentation.

  2. To configure automatic options, click Options.

  3. Click Next.

  4. The Performing Defragmentation and Optimization window shows progress. You can click Pause or Cancel, if needed.

  5. Click View Report to see the Fragmentation Analysis Report.

  6. To automatically schedule, click Schedule Automatic Defrag.

  7. Click Exit when finished.


Defragmentation Complete

When the defragmentation is complete, the results are displayed.

  1. Click View Report to see the Fragmentation Analysis Report.

  2. Click View Fragmentation Map (if you have more than one hard drive).

  3. To automatically schedule, click Schedule Automatic Defrag.

  4. Click Exit when finished.


Custom Defragmentation - More Info

Custom Defragmentation allows you to control which drives to defragment, the mode: faster Optimized Defrag or the slower Low Level Defrag.

It's a good idea to perform a quick PC Cleanup to get rid of junk files before the defragmentation.


Perform Custom Defragmentation

To perform a Custom Defragmentation:

  1. On the Operation Mode tab in the Automatic section, select Custom Defragmentation.

  2. To configure advanced options, click Options.

  3. Click Next.

  4. The Performing Defragmentation and Optimization window shows progress. You can click Pause or Cancel, if needed.

  5. Click View Report to see the Fragmentation Analysis report showing items not defragmented.

  6. To automatically schedule, click Schedule Automatic Defrag.

  7. Click Exit when finished.


Custom Defragmentation Options

Advanced Defrag Options

To configure advanced defrag options:

  1. In the Drives section, select or clear the drives to defragment. Click Analyze to find the fragmentation quotient, which determines if you need to defragment the drive.

  2. Click Analyze All to analyze all drives.

  1. To see the 30 most fragmented files, click View Report.

  2. To see the drive map if you have multiple drives, click View Fragmentation Map.

  3. Go to Fragmented tab.

  1. From the Preferences tab in the Defragmentation Mode section, select either Optimized Defrag (faster) or Low Level Defrag (very slow).

  2. In the Miscellaneous section, select or clear the following options:

  3. Perform a quick PC Cleanup operation before defragmentation (recommended)

  4. Automatically defragment locked files next time the system restarts

  5. Ignore prefetch cache files

  5. To see a fragmentation map, click the Fragmentation tab.

  6. To schedule automatically, click Schedule Automatic Defrag.

  7. Click OK to return to the Operation Mode tab and click Next.


Fragmented tab

Fragmented files tab

The Fragmentation Analysis Report contains information about items that are still fragmented.

  1. Click Defragment and select Checked, Selected, All or Boot-time Defragmentation and then select Schedule checked, Scheduled selected or Schedule All.

  2. To refresh, click Re-Analyze.

  3. To filter the analysis report, click Filter and the Filter Analysis Report dialog box is displayed. Select one of the following options:

  4. Display top (number) most fragmented files

  5. Display top (number) largest files

  6. Display all fragmented files (Warning: This may take a long time)

  4. Click Select and select either Check all, Select all, Invert checked states, or Invert selection.

  5. Close the window.


Optimized defrag - More Info

An Optimized Defragmentation takes longer to complete than a Quick Defragmentation, but results in a drive data layout that actually prevents future fragmentation for substantially longer periods of time than Quick Defragmentation, and also increases overall performance and efficiency of the file system. During the defragmentation process, all files on a drive are moved to the beginning of the drive, to free up more continuous segments of clusters and allow the drive’s mechanical parts to move less before finding files, thus reducing wear and tear and extending the life of the device.


Low Level Defrag - More Info

A Low Level Defragmentation eliminates data fragmentation and also relocates and packs all data to facilitate file access, write, and load speeds. This approach drastically reduces the tendency for future fragmentation to occur and ensures that data remains defragmented for a longer time. It also reduces wear and tear on your hard drives by eliminating superfluous drive access, and increases overall system speed and stability by packing data into the most efficient locations available.

Low level defrag is the most comprehensive defragmentation operation mode. The defragmentation operation could take a long time depending on the fragmentation of the drive, the speed of your PC and memory, even up to two days in extreme cases.


Perform a Deep Clean before Defragmentation - More Info

A PC clean up will remove unnecessary files before defragmentation. This speeds up the defragment process by not having too work on these unnecessary files.


Add files to boot-time defrag - More Info

Automatically defragment locked files - More Info

Windows locks some files on your hard drive at startup. These files can only be defragmented before Windows starts. The Boot-time defrag tool will defragment these files before Windows starts.


Ignore Prefetch cache files - More Info

Windows stores expendable copies of frequently-used items in a location to speed up access time. These files are defragmented by Windows.

If the Ignore prefetch cache files check box is not selected, the Fragmentation Analysis takes longer to generate. In addition, the prefetch files are unavailable to select anyway and they clutter the Fragmentation Analysis Report.


Boot-TIme Defragmentation Tool Introduction

The Boot time Defragmentation Tool can be configured to quickly defragment frequently used files without worrying about programs accessing them or otherwise hindering the process.

System files such as Registry items such Registry Hives, the System Page File, and the MFT (Master File Table) can only be defragmented before the PC starts up and Windows is loaded.

The Boot-time Defragmentation tool contains two tabs: Custom List and System Files.

To configure boot-time items:

  1. From the Custom List tab, to add a boot-time item, click Add Item(s).

Note: You may also add new items by dragging them from Windows Explorer with your mouse or pointing device.

  2. To remove an item, highlight it and then click Remove or use the Delete key. Answer Yes to the Confirm message.

  3. To change defragmentation frequency, click Options and select either Defrag selected at each restart or Defrag selected on next restart only.

Note: Heavily used files are a candidate for defragmentation on every restart.

  2. To manage selections, click Tools and select either Select all items or Invert selection.

  3. To enable or disable items, click Tools and select either Disable all items or Enable all items or individually highlight an item and select Disable all items or Enable all items.

  4. To view property information about an item, highlight it and select either Get file properties or Open Explorer to file location. Then click OK.

  5. To configure system file options, go to System Files.


Add new boot-time item

To add new items to the Custom List:

  1. Click Add Item(s) and then click Browse to navigate in the Add new item(s) window to locate items to add.

  2. Click Open to add to the list.

  3. Click Options to select either Defragment new items on each restart or Defragment new items only on next restart.

  4. To remove items, highlight the item and click Remove. It disappears.

  5. Then click OK.


System files

Windows XP, Windows 2000 and Windows NT, 2000 contain special set of system files that cannot accessed when Windows is loaded. These system files are used constantly by the operating system and are dynamically growing and shrinking in size every day, thus usually causing extensive file fragmentation and system performance degradation. The Boot-time defragmentation process defragment these normally inaccessible files before Windows locks them.

To configure system files:

  1. Select or clear the following options:

  1. Defragment the Registry Hives

Registry Hives are the Windows main storage area for all system configuration data. They are constantly accessed and modified and become severely fragmented over time. Because Windows needs to access these files at all times, the performance decrease resulting from over-fragmentation of the Registry Hives can be very significant.

  2. Defragment the system Page file

The system page file is a large file where Windows store its virtual memory data. Because this file grows and shrinks incessantly as you use your PC, it can become extremely fragmented very quickly. It is prudent to keep this file as congruous as possible to avoid massive slow-downs and excessive disk access activity.

  3. Defragment the MFT

The MFT (master file table) is a large database that stores information about all the files on your system. Because it is used so frequently by Windows, it normally encounters relatively increased levels of defragmentation that can cause Windows to spend longer searching for files to load, save, remove, or create.

  2. Select a restart option:

  1. Next restart only

  2. Each restart


Registry Hives - More Info

Registry Hives are the Windows main storage area for all system configuration data. They are constantly accessed and modified and become severely fragmented over time. Because Windows needs to access these files at all times, the performance decrease resulting from over-fragmentation of the Registry Hives can be very significant.


System Page File

The system page file is a large file where Windows store its virtual memory data. Because this file grows and shrinks incessantly as you use your PC, it can become extremely fragmented very quickly. It is prudent to keep this file as congruous as possible to avoid massive slow-downs and excessive disk access activity.


MFT_ More Info

MFT - More Info

The MFT (master file table) is a large database that stores information about all the files on your system. Because it is used so frequently by Windows, it normally encounters relatively increased levels of defragmentation that can cause Windows to spend longer searching for files to load, save, remove, or create.


Right-click Defragmentation Introduction

From Windows Explorer, you can right-click an item and select the option that lets you defragment individual files (for example, large media files that you need to run regularly and that demand high performance).


Windows Customizer Introduction

The Systems Customizer tool provides an easy way to tweak and fine-tune both visible and hidden features in Windows. You can change the appearance, behavior, response, security, and availability of many operating system features including:

  • Windows general appearance

  • Advanced security settings

  • Windows updates

Navigating the System Customizer tool

The System Customizer window contains three panes: Customization categories arranged hierarchically on the left side and corresponding Options with descriptions on the right and associated settings in the lower half of the right pane.

To use the tool:

  1. In the Categories pane, highlight a category in the left pane and the associated Options are displayed in the right pane.

Note: Categories with + sign have additional sub-categories. Click the + sign to expand.

  2. In the Options pane, highlight an option in the right pane and the associated setting is displayed below.

  3. In the Settings pane, select or clear the corresponding check box or fill in the text box, depending on the specific option.

  4. Click Apply to save settings.

  5. To restore defaults, click Load Section Defaults.

  6. Click Exit to save settings and close the System Customizer window.

  7. To undo any setting, use the System Mechanic SafetyNet™ tool.


Memory Mechanic Introduction

The Memory Mechanic tool reclaims improperly allocated memory and combats the problems associated with memory leaks. Memory defragmentation and recovery results in:

  • Increase in the performance of most applications

  • Reduction in application errors

  • Improved system stability

All computer programs need memory to operate properly. Random Access Memory (RAM) is built-in volatile memory that allows programs to load data, functions, and files without committing information to a hard drive. RAM acts as an system scratch pad, where information is temporarily stored and accessed in memory rather than the hard drive. When you turn your PC off, all information stored in RAM is automatically discarded.

When a program is launched, it contains instructions on how much RAM it needs to function properly, whether all-at-once, or gradually as the application is used. The program works with Windows to allocate, or reserve, part of the computer memory. Frequently, applications reserve much more memory than initially required, ensuring that memory is readily available, when and if more memory is needed.

The application is responsible to periodically release any non-required RAM so other programs may use and/or allocate it. When an application closes, it is important that it releases all its allocated memory so the previously allocated RAM is available for other tasks. If a program fails to release its RAM periodically during execution or entirely when closed, problems may occur: Other programs opened attempt to reserve memory. Because the earlier amount is still reserved, another program may not open or operate properly, or may run slower because it uses the swap file.

When software does not release memory properly, it is called a memory leak. The many potential causes include improper software operation, system corruption, inefficient or sloppy architecture, application errors or crashes, and even resident operating system bugs.

To use the tool:

There are three tabs in the tool: Memory Tools, Cache-Safe and Options.

The Memory Tools window contains a graph that displays statistics about your PC memory and CPU usage.

  1. From the Memory Tools tab, to recover RAM, click Recover RAM.

Memory no longer needed by programs is reclaimed, making it available to the operating system and applications.

  2. To defragment RAM, click Defrag RAM to rearrange the of data blocks stored in RAM, optimizing memory access times and speeding up program operation.

RAM defragmentation encapsulates an initial RAM recovery procedure and then organizes the available RAM in the most efficient (non-fragmented) structure possible for applications that need to allocate and use RAM in the most efficient way.

  3. Use the memory-monitoring console to view system memory and CPU usage in real time.

  1. Leave it open and view memory usage as you launch and close programs or make other system changes.

  2. Use the slider controls to adjust the Target RAM on the bar to the right of the graph, or click and drag the Target caption on the graph to a desired number. The threshold is the amount of memory that Memory Mechanic attempts to recover during a RAM recovery operation.

  3. The current free memory is represented on the graph in orange. This is the amount of current memory available on your computer.

  4. RAM statistics are listed under the graph to keep track of your Average Free memory, the Peak Free amount of RAM available, and the Lowest Free amount of RAM available.

  5. CPU Usage is represented by the second graph, and in the meter in the right corner of the window to keep track how much CPU resources are accessed by currently running system processes.

  4. Go to Cache-Safe.


Memory Mechanic Cache-Safe

Memory Mechanic will also let you control the use of your system file caching frequency, allowing you to determine and adjust how often you would like your system to commit data to the hard disk.

When your PC stores information such as files or databases on a hard drive, it may initially store the information in RAM before actually writing or committing the data to disk. Committing data to disk occurs at convenient but irregular intervals dictated by operating system activity and performance requirements. This means that your data may not actually be safely stored when you think it is. An ill-timed power outage, system crash, or other problem can cause the loss of data kept in memory (cache). Important data can be held in a memory cache for up to a full minute or longer, depending on operating system activity.

Cache-Safe lets you control how often your system commits cached data to disk. You can instruct the operating system to write data stored in memory cache to disk less often, improving system performance slightly but making an accidental loss of data more likely, or you can set the cache to write to disk more often, making the accidental loss of data much less likely, if not virtually impossible.

To enable Cache-Safe:

  1. To turn the cache-safe on, select the Enable cache-safe check box.

  2. To adjust the cache commitment rate to disk, adjust the Cache Commitment slider. The data commitment interval is shown underneath the slider control.

  3. To select the drives to protect, select the Drive check box.

  4. To recover RAM, click Recover RAM.

Memory no longer needed by programs is reclaimed, making it available to the operating system and applications.

  5. To defragment RAM, click Defrag RAM to rearrange the of data blocks stored in RAM, optimizing memory access times and speeding up program operation.

RAM defragmentation encapsulates an initial RAM recovery procedure and then organizes the available RAM in the most efficient (non-fragmented) structure possible so applications that need to allocate and use RAM do so in the most efficient way.

  6. Go to Options.


Memory Mechanic Options

The Options tab allows you to further customize Memory Mechanic where you can create and enable hot keys, prioritize memory operations, and enable or disable automatic RAM recovery functions.

To configure options:

  1. Select or clear the Give memory operations the highest system priority when running.

When selected, Memory Mechanic is assigned the primary position for system memory and resources making Memory Mechanic as quick and effective as possible. However, other open processes or programs will slow during intensive actions such as recovery and defragmentation.

When cleared, Memory Mechanic yields to other processes during operation. However, it may take longer for Memory Mechanic functions to complete as less total system resources are available to it.

  2. For the Graph update frequency, use the slider to adjust how often Memory Mechanic updates its display of CPU and memory usage.

  3. To automatically schedule, click Schedule.

  4. To return to the Optimize tab, click Exit,


Process Manager Introduction

The Process Manager tool can be used to find unnecessary processes that consume system resources, cause instability or security issues and then block or stop them for performance/stability gains. Process Manager allows you to look under the hood of your PC to see what is really running, visible or not. It's a good tool to find stuck, crashed or frozen applications and freeing them to restore Windows stability, and avoid system restarts.

The Process Manager window shows the Process Names (running), Publisher, Description, User, Startup Mode and dynamic CPU utilization.

  1. Click Options to configure standard or expert mode.

  2. To view additional information about running processes, click the plus sign (+) next to the Process Name. In Standard mode, you can view information and in Expert mode, you can change priority information.

If you do not have Windows internal expertise, do not change anything using this tool.

  3. To get process information from Google, highlight a process and click Info and then select Ask Google® about process. You can also right-click a process and Ask Google,

  4. To stop a process, highlight the process and click Stop.

  1. To stop the process, select Stop Process.

  2. To stop the process and stop from starting again, select Stop [program name] and prevent from starting.

  5. Click Refresh to update the display.

  6. To save report for further analysis, click Tools and then click Save report. To use it, click Open report.


Process Manager_Priority

Process Manager Priority Settings

When running several programs and processes at once, it may be helpful to assign different priority levels to different tasks, as needed. By assigning a higher priority to more important tasks, you can ensure that specific applications do not get interrupted or slowed by less important background tasks such as audio drivers or printer spoolers. Using System Mechanic, you can safely prioritize running processes in order to optimize computer speed and efficiency.

The priority settings may be set as follows:

Low Priority

The system allocates the least amount of resources to this process as possible. Low priority processes consume less memory, but, depending on program functionality, may perform at a slightly reduced capacity. This priority is usually good for programs or processes that are not highly intensive to begin with.

Below-Normal Priority

The system allocates enough resources for the process to run, but will not redistribute to compensate or allow for resource overhead. Expect below-normal priority processes to run relatively normal but, depending on program functionality, may perform at a slightly reduced capacity. This priority is usually good for programs or processes that are not highly intensive to begin with.

Normal Priority

The system allocates resources to the process as needed. Normal priority processes run and function as normal, but memory distributed to them is handled the same as any other process running on the system.

Note: This is the default priority level for all processes.

Above-Normal Priority

The system will moderately revoke resources from lower priority processes and re-allocate such resources to Above Normal priority processes. Processes in this category are typically resource intensive and may require specific resource distribution to ensure the best performance.

High Priority

The system will frequently revoke resources from lower priority processes and re-allocate them to High Priority processes. High priority processes are typically resource intensive and may require specific resource distribution to ensure the best performance.

Real-Time Priority

The system will allocate as many resources as possible to the process. Real-time prioirty processes are usually meant to perform unusually demanding tasks, in which case the system will do everything it can to provide as many resources to the process as possible.

Note: Setting a process to Real-Time means that resources may be pulled from all other running processes, including system services, in order to accommodate for the resource redistribution. This may result in system instability.


Process Manager Category

Process Manager Categories

Necessary

Necessary processes are essential for the normal operation of your PC. These files are typically part of security applications, device drivers, or other important system components. Disabling necessary items is recommended only when absolutely required.

Unnecessary

Unnecessary processes are in no way essential to the normal operation of your PC. These files are typically running to provide quick access to various programs but may inadvertently clutter and slow your system. Disabling unnecessary items is highly recommended.

User Choice

User choice processes may or may not be essential to the normal operation of your PC, depending on your needs. These files are typically running as part of programs or tasks initiated with or without your explicit approval. Disabling User Choice items is personal preference.

Dangerous

Dangerous processes are known security risks that hinder the normal operation of your PC. These files typically account for viruses, Spyware, or any other processes which may potentially cause harm. Disabling Dangerous items is highly recommended for ensuring system security and stability.

Excluded

Excluded processes are absolutely essential to the normal operation of your PC. These files are directly related to the operating system and control critical components from which all other applications run from. Disabling Excluded items is not recommended under any circumstance.

Unknown

Unknown processes are items that are currently not listed in the System Mechanic Process database.


Process Manager Options

  1. Select either Standard mode or Expert mode.

  2. To modify refresh speed, click the arrows to change the number of seconds.

  3. Click OK.


Standard Mode - More Info

Standard Mode gives you a tool set for the average user. Standard mode allows you to stop or start a process, look up more information on a process, save a report on all running processes and sort all processes. If you do not know exactly what you are doing, please do not use this tool.


Expert Mode - More Info

Expert Mode gives you a tool set for the expert user. Expert mode allows you to stop or start a process, block a process, set the priority of a process, look up more information, save a report on all running processes and sort all processes. It gives the expert user complete control. If you do not know exactly what you are doing, please do not use this mode.


Prompt before blocking - More Info

If you want to see a prompt before adding a process to block, select this option.


Add process name to Startup Guard blacklist - More Info

If you want to System Mechanic to add this process to the Startup Guard blacklist, select this option.


Popup Blocker Introduction

Spend time surfing the Internet and you know about pop-up advertisements, small windows that open automatically to promote Web sites or products. Some pop-ups are benign; others more malevolent, spawning new pop-ups as quickly as you can close them – causing your Internet connection to slow dramatically as your browser tries to load all the unwanted incoming data.

With the Popup Blocker, you can block these pop-up Web pages, often shutting them down before you are aware of them. In addition, it also filters many Web page graphical advertisements on the pages you frequent. Preventing these ads speeds your Web page loading times dramatically by cutting out the content you don’t need while leaving the information you do.

The Popup Blocker is installed into the System Tray where you can manage popups as you surf the Internet.

To enable the Popup Blocker tool:

  1. Check the Enable System Mechanic Popup Blocker tool check box.

  2. Click Options and the Popup Blocker window appears with tabs for Black List Window Titles, Black List Server Addresses, White List Windows Titles, White List Server Addresses, and Options.

To work with the Window Titles on the Black List:

The Black List allows you to add, remove, edit, import and export Window titles and Server addresses for popups you never want to see. The default rules lists are extensive, but are only a beginning. As new advertising servers are brought online or new marketing strategies developed, some advertisements may slip by Popup Blocker, and you need to add these popups to your Black List.

If you experience problems accessing a Web page because a Popup Blocker title rule matches a legitimate Web page title, you can remove it so it appears on subsequent visits.

  1. Click the Window Titles tab to manage popups and black-listed items are displayed in the right-hand pane.

  2. To add a new popup window title rule, click Add.

  3. To remove a window title rule, click Remove and answer Yes to the confirmation message.

  4. To broaden a popup window title rule usingf a wildcard character, or narrow it if it is matching legitimate page titles, highlight a title and then click Edit.

  1. In the Black List - Edit window title rule box, edit the name (wildcards allowed).

  2. Click OK.

  5. To export all or part of the black-listed titles to a .trl file to share with another user or to store as a backup, click Export and then select Export Selected or Export All. Then name the file in the Save As window to save the Title Rule list.

Note: Importable lists must be generated using the export function.

    6. To import window title rules, click Import and then navigate in the Open window to find the title to import. Then click Open.

Note: Importing a new Title Rules List only adds new rules to the existing list. No existing rules are replaced, and duplicate entries are ignored.

  7. To search for specific words or phrase, click Find.

To work with the Server Addresses on the Black List:

  1. Click the Server Addresses tab to manage popups and black-listed items are displayed in the right-hand pane.

  2. To add a new popup server address, click Add.

  3. To remove a server address rule, click Remove and answer Yes to the confirmation message.

  4. To filter an existing server address rule, highlight a title and then click Edit.

  1. In the Black List - Edit server filter rule box, edit the name (partial URL allowed).

  2. Click OK.

  5. To export all or part of the black-listed addresses to a .trl file to share with another user or to store as a backup, click Export and then select Export Selected or Export All. Then name the file in the Save As window to save the Title Rule list.

Note: Importable lists must be generated using the export function.

    6. To import server address rules, click Import and then navigate in the Open window to find the server address to import. Then click Open.

Note: Importing a new Server Address List only add new rules to the existing list. No existing rules are replaced, and duplicate entries are ignored.

  7. To search for specific words or phrase, click Find.

To work with the Window Titles on the White List:

The White List provides a way to allow windows and addresses that you always want to see.

  1. Click Window Titles to manage popups and the list of white-listed items is displayed in the right-hand pane.

  2. To add a new popup window title rule, click Add.

  3. To remove a window title rule, click Remove and answer Yes to the confirmation message.

  4. To edit a popup window title rule, highlight a window title and then click Edit.

  1. In the White List - Edit window title rule box, edit the name (wildcards allowed).

  2. Click OK.

  5. To export window titles, click Export and then select Export Selected or Export All. Then name the file in the Save As window to save the Title Rule list.

  6. To import window title rules, click Import and then navigate in the Open window to find the title to import. Then click Open.

  7. To search for specific words or phrase, click Find.

To work with the Server Addresses on the White List:

  1. Click Server Addresses to manage Ad Servers and white-listed items are displayed in the right-hand pane.

  2. To add a new Server address rule, click Add and all further content from the server is allowed..

  3. To remove a Server address rule, click Remove and answer Yes to the confirmation message.

  4. To edit a Server address rule, highlight a title and then click Edit.

  1. In the White List - Edit window title rule box,edit the name (wildcards allowed).

  2. Click OK.

  5. To import Server title rules, click Import and then navigate in the Open window to find the title to import. Then click Open.

  6. To export Server address rules, click Export and then select Export Selected or Export All. Then name the file in the Save As window to save the Ad Server title rule list.

  7. To search for specific words or phrase, click Find.

To manage popups when you are surfing:

  1. Right-click the Popup icon in the System Tray and select any of the following options:

  1. Add New Rule and select either Window Title Rule to Black List, Window Title Rule to White List, Ad Server Filter to Black List, Ad Server Filter to White List.

  2. Add Open Popup for blocking and select an item.

  3. Click Options and the Popper Blocker Black List - Popup Titles window is displayed where you can add Black List and White List entries.

  4. Click Disable to disable or the corresponding Re-Activate toggle.

  2. Click Exit when finished.


Popup Blocker Add Black List Window Title

To add a window title rule to the Black List:

  1. Click Add and the Black List - Add new Popup Window Title Rule window appears. Active browser window titles are listed in the large box.

  2. Type the name of a window to block in the empty text box.

  3. To automatically refresh the list, select the Automatically refresh check box.

  4. Click OK.

Note: When adding an open popup to your black list, the popup window closes immediately and is prevented from appearing in the future. It also adds the browser name to the list. This only works if you use one Web browser. To block that popup from all browsers you use, add a new rule to the list.


Popup Blocker Add Black List Ad Server

To add a Ad Server to the Black List:

  1. Click Add and the Black List - Add New Server window appears. Active Internet Explorer server URLs are listed in the large box. You can highlight the active URL for blocking.

  2. Type the name (or partial name) of a server to block in the empty text box. Be as specific as possible to avoid blocking legitimate servers.

Note: Adding too broad of a URL can prevent legitimate web sites from appearing. If you add the www.msn.com URL to your black list, you would likely experience problems accessing any Microsoft sites that contain the text msn.com.

  3. To automatically refresh the list, select the Automatically refresh check box.

  4. Click OK.


Add Window Title to White List

To add a window title rule to the White List:

  1. Click Add and the Add New Popup Window Title Rule window appears. Open browser window titles are listed in the large box. You can highlight the open browser window for allowing.

  2. Type the name of a window to allow in the empty text box.

  3. To automatically refresh the list, select the Automatically refresh check box.

  4. Click OK.


Add Ad Server to White List

  1. Click Add and the Add New Server to White List window appears. Active Internet Explorer server URLs are listed in the large box.

  2. Type the name (or partial name) of a server to allow in the empty text box.

  3. To automatically refresh the list, select the Automatically refresh check box.

  4. Click OK.


Popup Blocker Options

The Options tab allows you to configure startup options, which browsers to work with, specific Internet Explorer options, customize sounds, and number or Explorer windows. There are five sub-tabs: General, Browsers, Internet Explorer Tools, Sound and Explorer Windows.

General tab

  1. Click the General sub-tab and select or clear the following options:

  1. Enable aggressive mode

  2. Automatically start Popup Blocker with Windows (recommended).

  2. Click Apply.

Browsers tab

  1. Click the Browsers sub-tab and select or clear the following options:

  1. Work with Internet Explorer

  2. Work with Netscape/Mozilla

  3. Work with Opera

  2. Click Apply.

Internet Explorer Tools

  1. Click the Internet Explorer Tools sub-tab and select or clear the following options:

  1. Enable server address blocking

  2. Embed into Internet Explorer right-click context menu

  2. Click Apply.

Sound

  1. Click the Sound sub-tab and select or clear Play sound when window or server is blocked and then select one of the following sub-options:

  1. Default Sound

  2. File and then click the folder icon to browse for the .wav file to play. Select a file and then click Open. Click Listen.

  2. Click Apply.

Explorer Windows

  1. Click the Internet Explorer Tools sub-tab.

  2. To specify the number of Explorer windows to be open at once, select or clear the Limit Explorer to X windows.

  3. Click Apply.


Popup Blocker Enable Aggressive Mode - More Info

In aggressive mode Popup Blocker will stop almost all popups. In some cases, this mode may stop popups you may wish to see such as video windows at news sites such as Fox News and CNN. If you have aggressive mode selected and you no longer see what you want, try clearing this option.


Popup Blocker Enable Server blocking - More Info

Many popups are do not originate at the site they are displayed at. There are servers designed just for the purpose of hosting popups that are then sent to the display site. Server address blocking can stop these popup servers from further cluttering up your browser window.


Embed into Internet right-click - More Info

When Popup Blocker is embedded in Internet Explorer, it is a simple matter of right-clicking on a popup and choosing what to do with it.


Popup Blocker Limit Explorer Windows - More Info

Limiting the number of windows Internet Explorer can have open can prevent those nasty popups that just keep coming and coming one after another faster then you can close them. Limiting windows to a certain number can also stop some windows you may want to see, so experiment with this option and see what’s best for you.


Junk File Removal Tool Introduction

Most Windows applications temporarily create files on the hard drive. These files should be removed and the space recovered when the program closes. Sometimes temporary files are not removed due to program error or program architecture, the system was reset or not shut down properly, or because another application stopped responding or crashed.

Any file left behind remains on the system unless you manually search for and remove it. Over time, these junk and obsolete files can accumulate to total several megabytes or gigabytes of hard drive space. In addition to wasting space, junk and obsolete files can potentially produce very hazardous results.

Symptoms of these garbage files are:

  • Cross-linked invalid drive references

  • Lost network and Internet connections

  • Sudden application lockups

  • Lost data

  • General Protection Faults (GPF) or fatal errors in your applications

  • Virus-like behavior

  • Mysterious reboots

  • Out of Memory errors

Frequency of Use

Over time, every computer system seems to shrink, even if no new software is installed. This is the result of junk and obsolete file accumulation. We recommend cleaning your hard drives at least every 30 days, or when hard drive space drops significantly.

The first time you use the Junk File Removal Tool, select all drives except the floppy and CD-ROM.

Modes

The Junk File Removal Tool has three modes: Quick Clean, Deep Clean, and Custom Clean.

  1. To scan Windows temporary folders and automatically remove junk files from them, select Quick Clean from the Cleanup Mode tab..

  2. To scan all fixed drives and Windows temporary folders and automatically remove junk files from them., select Deep Clean from the Cleanup Mode tab.

  3. To configure options for either Quick Clean or Deep Clean, click Options.

  4. To define what types of files and locations to scan and then inspect the found files, and which files to remove, select Custom Cleanup.


Junk Quick Clean - More Info

Quick Clean - More Info

The Quick Clean mode in the Junk File Removal Tool scans Windows temporary folders and automatically removes junk files.

To analyze the potential freed space after a Quick Clean:

  1. In the Automatic section, select Quick Clean.

  2. Next to the Quick Clean option button, click the Analyze link.

The Junk File Removal Tool analyzes your computer, and the potential cleanup amount appears in place of the Analyze link.

You can also configure the automatic cleanup options so that the Quick Clean automatically analyzes your computer when you open the Junk File Removal Tool.

To perform a Quick Clean:

  1. On the Cleanup Mode tab, in the Automatic section, select Quick Clean.

  2. Click Next.

The Junk File Removal Tool searches your computer for junk files and removes them automatically. The number of items removed and space freed is displayed.

  3. To begin a new search, click New search.


Perform a Junk File Removal Tool Quick Clean

The Quick Clean in the Junk File Removal Tool scans Windows temporary folders and automatically removes junk files from them.

To perform a Quick Clean:

  1. On the Cleanup Mode tab, in the Automatic section, select Quick Clean.

  2. To select removal options and automatic scheduling options, click Options. For details, see Configure Automatic Cleanup Options.

  3. Then click Next.

The Junk File Removal Tool searches your computer for junk files and removes them automatically. The number of items removed and space freed is displayed.

  3. To begin a new search, click New search.


Configure Automatic Junk File Cleanup Options

Configure Automatic Cleanup Options

When you select Quick Clean or a Deep Clean on the Cleanup Mode tab, you can configure automatic cleanup options. You can also configure removal options, schedule an automatic cleanup, and automatically estimate the space to be freed using Quick Clean.

To configure automatic cleanup options:

  1. In the Automatic section, select Quick Clean and then click Options.

  2. To configure removal options, select one of the following:

  3. Delete - save undo information

  4. Delete - do not save undo information

  5. Move to Recycle Bin

  3. To schedule an automatic cleanup, click Schedule Automatic Cleanup.

  4. To automatically estimate the space to free, in the Preemptive Analysis section, select the Automatically estimate the space to be freed using quick cleanup check box.

  5. Click OK.


Junk File Removal Process Complete

After you perform a junk file cleanup and the files are automatically removed, the number of junk files removed and the space that was freed appear on the Removal tab.

  1. To perform another search, click New search.

  2. To automatically schedule, click Schedule.

  3. Click Exit to return to Cleanup Tools.


Junk Deep Clean - More Info

Deep Clean - More Info

The Deep Clean mode in the Junk File Removal Tool scans all fixed drives and temporary folders of junk files. The wizard automatically removes all junk files.

To analyze the potential freed space after a Deep Clean:

  1. In the Automatic section, select Deep Clean.

  2. Next to the Deep Clean option button, click the Analyze link.

The Junk File Removal Tool analyzes your computer, and the potential cleanup space appears in place of the Analyze link. This process may be time-consuming; the Analyzing Cleanup Potential window monitors progress..

To perform a Deep Clean:

  1. On the Cleanup Mode tab, in the Automatic section, select Deep Clean.

  2. Click Next.

The Junk File Removal Tool searches your computer for junk files and removes them automatically.

  3. To begin a new search, click New search.


Perform a Junk File Removal Tool Deep Clean

The Deep Clean mode in the Junk File Removal Tool scans all fixed drives and temporary folders of junk files. The wizard automatically removes all junk files.

To perform a Deep Clean:

  1. On the Cleanup Mode tab, in the Automatic section, select Deep Clean.

  2. Click Next.

The Junk File Removal Tool searches your computer for junk files and removes them automatically.

  3. To begin a new search, click New search.


Configure Automatic Cleanup Options

When you select Quick Clean or a Deep Clean on the Cleanup Mode tab, you can configure automatic cleanup options. You can also configure removal options, schedule an automatic cleanup, and automatically estimate the space to be freed..

To configure automatic cleanup options:

  1. In the Automatic section, select either Quick Clean or Deep Clean, and then click Options.

  2. To configure removal options select one of the following:

  3. Delete - save undo information

  4. Delete - do not save undo information

  5. Move to Recycle Bin

  3. To schedule an automatic cleanup, click Schedule Automatic Cleanup.

  4. To automatically estimate the space to free, in the Preemptive Analysis section, select the Automatically estimate the space to be freed using quick cleanup check box.

  5. Click OK.


Custom Cleanup - More Info

The Custom Cleanup mode in the Junk File Removal Tool allows you to configure what types of files and locations to scan and then inspect the found files, and which files to remove.

Specifically, you can select types of junk files to find:

  • Windows temporary folders

  • Zero-length files

  • the Windows pre-fetch cache folder

You can use the default junk file patterns or specify and then select customized junk file patterns such as:.

  • error files (*.err)

  • backup files (*.xlk, *.nu3, *.nu4, *.bak, *.old, *.dao)

  • log files (*.log)

  • system files (*.dmp, *.chk)

  • temporary files (*.tmp, *.ftg, *.gid, and many more temporary file types)

You also select specific drives and folders and exclude file patterns and folders.

You can ignore files that have been used in the last "X" number of days, read-only and system files and files currently used by an associated applications.

For more information about if a file is safe to remove, see Some Junk File Examples.

Go to Perform a Custom Cleanup.


Perform a Junk File Removal Tool Custom Cleanup

You can perform a Custom Cleanup to clean your computer of junk files. You can select types, patterns, and locations for the Junk File Removal Tool to clean.

To begin a Custom Cleanup:

  1. On the Advanced section of the Cleanup Mode tab, select Custom Cleanup.

  2. Click Next and the Criteria tab appears.

  3. Select types of junk to find.

  4. Select locations to search.

  5. Select Junk File Patterns and Folders to Exclude.

  6. Use Safety Considerations.

  7. Configure Junk File Removal Tool Custom Cleanup Options.

  8. View and Remove Files Found During a Junk File Removal Tool Custom Cleanup.


Select Types of Junk to Find

To select junk file types and patterns for a custom cleanup:

  1. On the Criteria tab in the Standard Locations section, select or clear one or more of the following check boxes:

  1. Find files in Windows Temporary Folder(s)

  2. Find zero-length file s

  3. Find files in Windows Pre-fetch Cache Folder

  2. Under the Junk File Patterns section, click New to create a new junk file pattern.

  3. Highlight a pattern and then click Edit to edit an existing pattern.

  4. Highlight a pattern and then click Delete to delete a junk file pattern.

  5. Click Default to revert to the default junk pattern list and reply Yes to the confirmation message. For definitions of some junk files, see Junk File Examples.

Caution! It should be strongly noted that adding to or editing existing file types may lead to hazardous and/or unexpected results if you are not experienced with such matters. If you have ANY doubts about your ability to perform these modifications, do not change the default settings. iolo technologies cannot be held responsible for any problems that result from the misuse or improper configuration of System Mechanic.

  6. In the Pattern list, select and clear the junk file pattern check boxes accordingly and then click Next.

  7. Go to Locations to Search.


Some Junk File Type Examples

How do I know which files are safe to remove?

Although a full system backup is strongly recommended before performing any removal operation on your system, you can be fairly certain that the files that this tool finds are completely safe to remove. Years of research and testing have gone into the subject of temporary files and obsolete data stored by Windows operating systems. A list of very reliable file types assumed to be junk or obsolete was compiled based on this information. The files the tool looks for are, by their very nature, intended to be removed anyway – yet for some reason were not. There are various additional built-in safety checks and options to ensure that the files found are not currently being used and have not been accessed recently by any other applications.

Types of files

The Types of Junk to Find step displays various default file-types with file name or * and extension, and a description. Some of the default file types are explained, as follows:

*.~*, ~*.*, *.*~, *.---, *.tmp, *._mp, *._mp

These files are all standard Windows temporary files,created by running applications, and should be removed when they close. They are usually used as virtual memory undo information or application scratch pads.

*.old, *.bak, *.syd

These files are backup copies automatically created by installation programs that needed to modify an existing configuration or system file, such as autoexec.bat or config.sys. The purpose is to provide a way to roll-back to the original settings if the new configuration causes problems. If your system is running normally, there is no reason to keep these files.

*.chk

When you use Windows Scandisk utility (a built-in tool that checks hard drives for errors) and it finds errors or lost data on your hard drive, you have the option to save this arbitrary information as a raw file with a .chk extension. These files are only necessary if you have lost information and are attempting to find or extract it from your hard drive (a very difficult and expensive process only achievable by highly skilled forensic data engineers). If the system is currently running normally, there is no reason to keep these files.

*.gid

When you open a Windows help file and select the Search tab, the help system builds a search index with the .gid extension to allow quick search for help system keywords. These index files usually consume a great deal of space and are automatically re-generated the next time you search the help file, so there is little reason to keep them if you need to conserve free space.

mscreate.dir

mscreate.dir files are temporarily created in many common application folders for indexing purposes. Sometimes these files are left behind and become obsolete when you uninstall or manually remove various files from your system. When created, they are marked read-only (meant to be accessed and read from, but not moved, modified, or deleted). Although these files are marked as read-only, they may safely be removed from your system, as they are dynamically re-created when an application needs to access them again.

0???????.nch

When you access Internet newsgroups using programs such as Microsoft Outlook Express®, much of the information is downloaded locally to your hard drive and stored as "cache" in a file with the .nch extension enumerated using a set of 9 numbers. Internet newsgroup information is usually extremely extensive, so when it is saved, over time it accumulates tens, if not hundreds, of megabytes and even gigabytes of disk space. Because Internet newsgroup information is also constantly changing and these files are readily available again for downloading when necessary, it may be a good idea to remove them periodically when drive space conservation is a priority.

*.dmp

When a critical error occurs in Windows, the operating system may automatically save the contents of memory to disk to allow a system administrator to analyze the system state prior to the error. These .dmp files contain this information and are usually extremely large (several megabytes up to multiple gigabytes, depending on your system state, amount of memory installed, and the configuration at the time of the error). These files remain on your system until manually removed, and unless they are needed for analysis purposes, you can preserve a great deal of space by regular removal.


Select Locations for a Junk File Custom Cleanup

The first time you use the Junk File Removal Tool, select all drives except the floppy and CD-ROM.

Over time, every computer system seems to shrink, even if no new software is installed. This is the result of junk and obsolete file accumulation. We recommend cleaning your hard drives at least every 30 days, or when hard drive space drops significantly.

To select drives and folders to search during a Custom Cleanup:

  1. On the Location tab in the Drives section, select and clear the check boxes of the drives accordingly.

  2. Under the Folders section, select the check boxes of the folders to search or add a new folder to the list.

  3. Highlight a folder and then click Edit to edit folders in the list.

  4. Click Delete and answer Yes to the confirmation message..

  5. Click Next.

  6. Go to Select Junk File Patterns and Folders to Exclude.


Select Junk File Patterns and Folders to Exclude

To select file patterns to exclude from a Custom Cleanup:

  1. On the Exclusions tab in the Excluded File Patterns section, click New to add a new file pattern to the list. For additional details, see Add a File Pattern to the Exclusion List.

Adding existing file types may lead to hazardous and/or unexpected results if you are not experienced with such matters. If you have ANY doubts, do not change the default settings – iolo technologies cannot be held responsible for any problems that result from the misuse or improper configuration of System Mechanic.

  3. Click Edit to edit a pattern in the list. For additional details, see Edit a File Pattern in the Custom Cleanup Exclusion List.

  4. Click Delete to delete a file pattern and answer Yes to the confirmation message.

To select folders to exclude from a Custom Cleanup:

  1. In the Excluded Folders section, select and clear the check boxes under Name and Include Subfolders of the drives accordingly.

  2. Click New to add a new file pattern to the list. For additional details, see Add a Folder to Custom Cleanup.

Adding existing file types may lead to hazardous and/or unexpected results if you are not experienced with such matters. If you have ANY doubts, do not change the default settings – iolo technologies cannot be held responsible for any problems that result from the misuse or improper configuration of System Mechanic.

  3. Click Edit to edit a pattern to exclude.

  4. Click Delete to delete a file pattern and answer Yes to the confirmation message.

  5. When finished, click Next.

  6. Go to Safety Considerations.


Safety Considerations (Options tab)

Be aware that some file types may not be safe to remove from your system.

  1. On the Options tab under Additional Options, check or clear the check boxes accordingly.

  1. Ignore files that have been used within the last [ ] days

Use this option to skip files that were accessed recently. It provides a method of finding and removing files that have not been used in a specific time frame.

  2. Ignore read-only and system files

Windows and other applications sometimes mark files with read-only or system attributes. These attributes usually designate an important and necessary file that should not be removed.

  3. Ignore files currently being used by an associated application

It is never advised to attempt to remove a file currently used by another application, as it will most likely cause unexpected and/or hazardous results. Although System Mechanic automatically prevents removing in-use files, if an item name matches the configured search criteria, this option prevents them from being listed when a scan is performed.

  2. Click Next and the Junk File Removal Tool searches for junk files.

  3. View and remove files found during a Custom Cleanup.


View and Remove Files Found in a Custom Cleanup

After the Junk File Removal Tool searches for junk files, a list of file types appears on the Removal tab. You can perform the following tasks when viewing and removing files:

View file types

Remove files

Set the removal method

Exclude a folder from a future search

Exclude a file name from a future search

To view and remove files found during a Custom Cleanup:

To view files:

  1. To view found files of a specific file type, click the + to expand the file type contents.

  2. To expand or collapse items, click Tools or right-click an item and then select Expand All or Collapse All.

  3. To sort the files, expand a file type contents, click Sort by, and then select one of the following:

  4. Name

  5. Size

  6. Type

  7. Location

  8. Creation date

  9. Modified date

  10. Access date

  4. To view file properties, highlight a file and click Tools or right-click and then select Properties.

  5. To open the file or folder, click Tools or right-click and then select Open with folder.

To remove files:

  1. To view files, click the + symbol to expand a file type contents.

  2. To remove a single file, right-click the file and click Remove. Answer Yes to the confirmation message.

  3. To remove selected files, highlight the file name(s) or right-click the selected file name(s), click Remove and then select Remove selected. Answer Yes to the confirmation message.

  4. To remove a group of files, click the Remove Group link to the right of the folder. Answer Yes to the confirmation message.

  5. To remove selected files, select the check box to the left of the file name, click Remove, and then select Remove checked.

  6. To remove all files, click Remove and then select Remove All. Answer Yes to the confirmation message.

To set the removal method:

  1. Click Remove; select Removal method; and the select one of the following options:

  2. Delete - save undo information

  3. Delete - do not save undo information

  4. Move to Recycle Bin

  5. Move to Incinerator

  6. Incinerate immediately

  2. Click OK.

To exclude a folder from a future search:

  1. Highlight the file, click Tools or right-click the folder, and then select Exclude folder from future searches.

The file New Folder Location dialog box displays the folder location.

  3. To change the folder path, click Browse to find another location.

  4. To include subfolders in the search, select the Include Subfolders check box.

  5. Click OK and

To exclude a file name from a future search:

  1. To view files, click the + to expand a file type contents.

  2. Highlight the file, click Tools or right-click the file, and then select Exclude filename from future searches.

The file name is added to the Excluded File Pattern list.


Add a File Pattern to Custom Cleanup

To add a new junk file pattern:

  1. From the New File Pattern dialog box, type the file pattern name.

  2. In the File pattern box, type the pattern name, for example abc.abc.

Note: You can use the ? and * wildcards in the File pattern box, for example, *.abc.

  3. In the Description box, type a description for the junk file pattern.

  4. Click OK and the file pattern is added to the list.


Edit a File Pattern for Custom Cleanup

To edit a junk file pattern:

  1. From the Edit File Pattern dialog box, edit the File name, if necessary.

  2. In the Description box, edit the description, if necessary.

Note: You can use the ? and * wildcards in the File pattern box, for example, *.abc.

  3. Click OK and the list is updated with the edited junk file pattern.


Add a Folder to Search

To add a new folder to search during a Custom Cleanup:

  1. In the New Folder Location box, type the folder name, or

  2. Click Browse to navigate the folder structure and find the folder to add.

  3. Click OK and the location of the folder appears in the Location box.

  4. To include subfolders in the search, select the Include Subfolders check box.

  5. Click OK and the folder is added to the list.


Add a File Pattern to Exclude

It should be strongly noted that adding existing file types may lead to hazardous and/or unexpected results if you are not experienced with such matters. If you have ANY doubts about your ability to perform such modifications, do not change the default settings in this tool – iolo technologies cannot be held responsible for any problems that result from the misuse or improper configuration of System Mechanic.

If you are experienced with the nature of Windows file types, you may wish to customize the pre-built list of items to search for. Perhaps you own an application that chronically leaves behind junk and obsolete files. If you know the extension or wildcard filter for your file types of files to scan for and remove using this tool.

To add a new junk file pattern to the Custom Cleanup exclusion list:

    1. In the File pattern box, type the pattern.

Note: You can use the ? and * wildcards in the File pattern box, for example, *.abc.

    3. In the Description box, type a description for the junk file pattern.

For example: "Files left behind by PhotoShop"

    3. Click OK and the file pattern is added to the list.


Edit a File Pattern to Exclude

To edit a junk file pattern:

  1. From the Edit File Pattern dialog box, edit the File name, if necessary.

  2. In the Description box, edit the description, if necessary.

Note: You can use the ? and * wildcards in the File pattern box, for example, *.abc.

  3. Click OK and the list is updated with the edited junk file pattern.

Wild cards are allowed.


Add a Folder to Exclude

To add a new folder to exclude from the scan:

  1. In the New Folder Location box, enter or browse for the folder location.

  2. To include subfolders, check the box.

  3. Click OK and the file folder is added to the list.


Edit a Folder to Exclude

To edit folders in the Custom Cleanup exclusion list:

  1. In the Edit Folder Location box, type the folder location or,

  2. Click Browse to navigate the folder structure and find the folder to edit.

  3. To include subfolders in the search, select the Include Subfolders check box.

  4. Click OK and the edited folder appears in the list.


Internet Cleanup and Privacy Tool Introduction

The Internet is a powerful tool that can clutter your PC with unnecessary data. The Internet Cleanup and Privacy Tool finds and removes unnecessary Internet debris and clutter. It can also eliminate the tracks left behind from certain Windows applications.

Many PC tasks can be tracked and stored, and may be exposed to prying eyes over the Internet or through other methods without your knowledge. Web sites you visit, Internet files you view and download, applications and files you access on your hard drives, programs you run, and many other presumably private actions are automatically tracked and even distributed to other individuals.

Ensure your privacy and keep sensitive information secure by regularly eliminating the "tracks" you leave behind.

When to use this tool

Use this tool when you are ready to shut down your PC or when you leave it unattended for some time. The tool ensures that no one can access or find any personal information inadvertently stored on your system, discover what programs you use, or know where you have been on the Internet.

Modes

The Internet Cleanup and Privacy Tool has three modes: Quick Clean, Deep Clean and Custom Cleanup.

  1. To find and remove Internet cache files, select Quick Clean from the Cleanup Mode tab.

  2. To find and remove Internet cache files, other Internet debris and privacy violations, select Deep Clean from the Cleanup Mode tab.

  3. To configure options for either Quick Clean or Deep Clean, go to Configure Automatic Cleanup Options.

  4. To specify Internet cache options, select Custom Cleanup.


Quick Clean - More Information

Quick Clean - More Info

The Quick Clean mode scans and removes Internet cache files.

To analyze the potential freed space after a Quick Clean:

  1. In the Automatic section, select Quick Clean.

  2. Next to the Quick Clean option button, click the Analyze link.

The tool analyzes your computer and the potential amount that can be cleaned up appears in place of the Analyze link.

You can also configure the automatic cleanup options so that the Quick Clean automatically analyzes your computer when you access the Internet.

To perform a Quick Clean:

  1. On the Cleanup Mode tab, in the Automatic section, select Quick Clean.

  2. Click Next.

The Internet Cleanup and Privacy tool searches your computer for debris and clutter and removes them automatically. The number of items removed and space freed is displayed.

  3. To begin a new search, click Perform another cleanup.

  4. To automatically schedule, click Schedule.


Perform an Internet Quick Clean

The Quick Clean in the Internet Cleanup and Privacy tool finds unnecessary clutter and debris in automatically removes them.

To perform a Quick Clean:

  1. On the Cleanup Mode tab, in the Automatic section, select Quick Clean.

  2. To select removal option and automatic scheduling options, click Options. For details, see Configure Automatic Cleanup Options

  3. Click Next.

After you perform a Quick Cleanup and the files are automatically removed, the number of Internet Debris items and Privacy Violations items removed and the freed space are displayed on the Search and Removal tab.

  4. To begin a new search, click Perform another cleanup.

  5. To automatically schedule, click Schedule.

  6. Click Exit to return to the Clean tab.


Configure Automatic Internet Cleanup Options

Configure Automatic Cleanup Options

When you select Quick Clean or a Deep Clean on the Cleanup Mode tab, you can configure automatic cleanup options. You can also configure removal options, schedule an automatic cleanup, and automatically estimate the space to be freed.

To configure automatic cleanup options:

  1. In the Automatic section, select Quick Clean or Deep Clean and then click Options.

  2. To configure removal options, select one of the following:

  3. Delete - save undo information

  4. Delete - do not save undo information

  5. Move to Recycle Bin

  3. To schedule an automatic cleanup, click Schedule Automatic Cleanup.

  4. To automatically estimate the space to free, in the Preemptive Analysis section, select the Automatically estimate the space to be freed using quick cleanup check box.

  5. Click OK.


Deep Clean - More Information

The Deep Clean mode in the Internet Cleanup and Privacy Tool finds and removes Internet cache files and privacy violations.

To analyze the potential freed space for a Deep Cleanup:

  1. In the Automatic section, select Deep Clean.

  2. Next to the Quick Clean option button, click the Analyze link.

The Internet Cleanup and Privacy tool analyzes your computer and the potential amount that can be cleaned up appears in place of the Analyze link.

You can also configure the automatic cleanup options so that the Deep Clean automatically analyzes your computer when you open the Internet Cleanup and Privacy tool.

To perform a Deep Clean:

  1. On the Cleanup Mode tab, in the Automatic section, select Deep Clean.

  2. Click Next.

The Internet Cleanup and Privacy tool searches your computer for debris and clutter and removes them automatically. The number of items removed and space freed is displayed.

  3. To begin a new search, click Perform another search.

  4. To automatically schedule, click Schedule.


Perform an Internet Deep Clean

Perform a Deep Clean

The Deep Clean in the Internet Cleanup and Privacy tool finds unnecessary clutter and debris in automatically removes them.

To perform a Deep Clean:

  1. On the Cleanup Mode tab, in the Automatic section, select Deep Clean.

  2. To select removal option and automatic scheduling options, click Options. For details, see Configure Automatic Cleanup Options

  3. Click Next.

After you perform a Quick Cleanup and the files are automatically removed, the number of Internet Debris items and Privacy Violations items removed and the freed space are displayed on the Search and Removal tab.

  4. To begin a new search, click Perform another cleanup.

  5. To automatically schedule, click Schedule.


Custom Cleanup - More Info

The Custom Cleanup mode in the Internet Cleanup and Privacy Tool allows you to select the categories to find and remove Internet clutter and debris. The categories are as follows:

Internet Cleanup

  • Erase Internet cache files from various browsers

  • Erase Internet cache files when browser is closed (Internet Explorer Only)

Internet Privacy

  • Erase Internet Cookies

  • Erase history of visited Web pages

  • Erase recently typed address list

  • Erase recently typed keywords in AOL browser

  • Erase list of recently typed URLs in Google toolbar

Internet Explorer only

  • Automatically erase history older than [X] days

Windows privacy

  • Erase recently opened documents history

  • Erase recently run history

  • Erase recently searched computers history

  • Erase recently found history files

Application Privacy

  • Microsoft Office: Remove list of recently opened documents

  • Outlook Express: Remove container of deleted e-mails

  • Media Player: Remove list of recently played media

  • Real Audio: Remove list of recently played audio clips

  • Winzip: Remove list of archives opened recently

When removing Items

  • Delete- save undo information

  • Delete - do not save information

  • Move to Recycle bin

Go to Perform a Custom Cleanup.


Perform Custom Cleanup

With the Custom Cleanup mode, you can select specific items within the Option Categories to clean.

To begin a Custom Cleanup:

  1. On the Advanced section of the Cleanup Mode tab, select Custom Cleanup.

  2. Click Next and the Options tab appears.

  3. Select Options.

The Detailed Cleanup options window has two panes: the Option Categories and the detailed sections corresponding to the options on the right.

The Option Categories are Internet Cleanup, Internet Privacy, Windows Privacy, Application Privacy and Removal.

  3. Manage Cookies.

  4. After you perform a Custom Cleanup and the files are removed, the number of Internet Debris items and Privacy Violations items removed and the freed space are displayed on the Search and Removal tab.

  5. To complete a new search, click Perform another cleanup.

  6. To schedule a regular cleanup schedule, click Schedule.

  7. Click Exit to return to the Clean tab.


Custom Clean Options

The Detailed Cleanup Options window has two panes: the Option Categories and the corresponding detailed sections.

The categories are:

  • Internet Cleanup

  • Internet Privacy

  • Windows Privacy

  • Application Privacy

  • Removal

  1. Click the Option Category on the right to view the specific options on the left.

  2. Select or clear the check boxes accordingly.

Internet Cleanup

To manage Internet browser cache files:

  • Internet debris: Erase Internet cache files from various browsers

  • Internet Explorer: Erase Internet cache files when browser is closed

To speed loading Web pages, your browser saves parts of Web pages on your hard drive for the next time you access the site. Sooner or later,these files accumulate and occupy a great deal of system space, and may provide prying eyes with an information trail of where you have been on the Internet.

Internet Privacy

To manage browser history lists, use these options:

  • Erase Internet cookies

  • Manage Internet cookies

  • Erase history of visited Web pages

  • Erase recently typed address list

  • Erase recently typed keywords in AOL browser

  • Erase list of recently typed URLs in Google toolbar

  • Internet Explorer only

  • Automatically erase history older than "X" days

Windows privacy

To manage Windows privacy:

  • Erase recently opened documents history

  • Erase recently run history

  • Erase recently searched computer history

  • Erase recently found files history

Application Privacy

To manage application privacy:

  • Microsoft Office: Remove list of recently opened documents

  • Outlook Express: Remove container of deleted e-mails

  • Media Player: Remove list of recently played media

  • Real Audio: Remove list of recently played audio clips

  • Winzip: Remove list of archives opened recently

Removal

When removing items, select one of the following:

  • Delete - save undo information

  • Delete - do not save undo information

  • Move to Recycle Bin


Manage Internet Cookies

A cookie file is sent to your PC by an Internet site and stored on your hard drive. It stores identity and preference information. Sometimes cookie files can contain private information about where you were on the Internet and other personal statistics.

The original intent of cookies was to speed the re-logging process to a previously visited Web site, nowadays cookies are used for more dishonorable activities like providing marketing companies with your personal information, demographics, and purchasing preferences, regularly-visited sites, the state or country you live in, and so on.

By using this tool you can periodically remove the stored information in cookie files from your system, ensuring your Internet privacy.

To manage cookies:

  1. From the Internet Privacy category and Erase Internet cookies selection, click the Manage Cookies link.

The Cookie Protector window displays your Internet cookies. The Responsible Web site pane lists each Internet site and the number of associated cookies and the Web site Details pane provides details, including the Web site name.

The number of cookies and the associated number of Web sites is displayed at the bottom of the window.

  2. From the Responsible Web site pane, highlight and select the Web site to protect. The lock symbol indicates the Web site cookies are protected.

Note: Once you protect a Web site, the Protect button is unavailable and the Un-Protect button is available.

  1. To see the associated cookies, click the + sign to expand the selection. You can select or clear individual cookies.

  2. To see the Web site associated with the cookies, click the Web site link under the Web site details pane.

  3. To un-protect a Web site or cookie, clear the check box next to a protected site or cookies, or highlight the Web site and click Un-Protect.

  4. To search for specific cookie values, click Search and then select either Search Cookie data values or Web site and cookie names.

  1. Type a value or name in the Find box and click Find Next.

  2. Click OK.

  4. Click Refresh to renew the window, if needed.

  5. Close the window and return to Options.


Cleanup Complete

Removal Process Complete

After you perform a Cleanup and the files are removed, the number of Internet Debris items and Privacy Violations items removed and the freed space are displayed on the Search and Removal tab.

  1. To complete a new search, click Perform another cleanup.

  2. To schedule a regular cleanup schedule, click Schedule.

  3. To complete the process, click Restart Now.

  4. To complete the cleanup later, click Exit to return to the Clean tab.


Internet Debris - More Info

To speed loading Web pages, your browser saves parts of Web pages on your hard drive for the next time you access the site. Sooner or later,these files accumulate and occupy a great deal of space on your system, and may provide prying eyes with an information trail of where you have been on the Internet.

Using this tool you can conveniently remove these files, clear the occupied space and remove the information that exposes your Web surfing habits.


Internet Explorer Only - More Info

To speed loading Web pages, your browser saves parts of Web pages on your hard drive for the next time you access the site. Sooner or later,these files accumulate and occupy a great deal of space on your system, and may provide prying eyes with an information trail of where you have been on the Internet.

Using this tool you can conveniently remove these files, clear the occupied space and remove the information that exposes your Web surfing habits when Internet Explorer is closed.


Manage Cookies - More Info

Some Internet browser cookies contain helpful information that present a more customized and convenient interface for users. Storing user data and passwords alleviates the need for users to type them for each login. Special preferences and customized layouts can deliver a specifically constructed view of a Web site inside your browser window.

If all cookies are removed, this potentially helpful information is also eliminated requiring you to rebuild it when needed. The solution to this dilemma is to use the Cookie Protector tool to protect the cookies you need, and remove the ones you do not need.

Buttons

  • Protect

  • Un-protect

  • Search

  • Cookie data values

  • Web site and cookie names

  • Refresh

  • Help

Panes

The Cookies Protector window has two panes: Responsible Web site on the left and Web site Details on the right, which contain the following information:

  • Domain Name

  • Cookie Count

  • Last Accessed

  • Occupied Space

  • Status


Cookie Protector

To use the Cookie Protector:

  1. From the Responsible Web site pane, expand the URL entry to see the associated cookies and then select or clear the URL and cookies accordingly.

  2. To protect the URL and/or cookie, click Protect.

  3. To un-protect, click Un-Protect.

  4. To search for Cookie data values or Web site and cookie names, click Search and enter the string in the Find box. Then click Find Next. Answer OK to the Warning message. Then click Cancel.

  5. To refresh, click Refresh.


Erase Visited Pages History - More Info

Each time you visit a Web site, whether you type the site address or click a link that takes you to another Web site, your Web browser stores the site name and location locally on your hard drive This process is a good way to look where you have been on the Internet, it also reveals each and every site you visited, even if you did not intend to go there.

Use this option to eliminate the "trail of bread crumbs" left behind by your browsers when you surf the Internet.


Erase Recently Typed Address List - More Info

When you type an URL into your Internet browser, the information is stored so that if you type the same address in the future, the browser automatically completes the rest of the address and displays the URL from the drop-down box. Although this behavior is sometimes helpful, it openly reveals which Web sites you recently visited.


Erase AOL keywords - More Info

This option removes the list of recently typed America Online® keywords and addresses stored on your hard drive.


Erase Google Toolbar URL list - More Info

For Google, this option erases the list of recently typed URLs in the Google toolbar.


IE Erase History Older - More Info

To keep records of visited pages for a limited number of days, use the up and down arrows to select the number days Internet Explorer should save a history of the web pages you visit. If you select 0 days, Internet Explorer will erase all cache information more than 24 hours old each time it is closed..


Erase Recently Opened Documents History - More Info

Whenever you open any Microsoft Office document, it is stored in a Most Recently Used or My Recent Documents list, which makes the last several documents you accessed available from a Office application menu. The list may be useful to quickly access frequently used documents and files, it also exposes information to prying eyes about what you do in Office.


Erase Recently Run History - More Info

Whenever you use the Run command from the Windows Start Menu, a list of recently run commands is stored in the drop-down menu.


Erase recently searched computer history - More Info

Whenever you use search in Windows, a list of the searches is stored in Windows.


Erase Recently Found Files History - More Info

Whenever you use search in Windows, a list of the found items is stored in Windows.


Remove MS Office recently opened documents - More Info

Whenever you open a document in any Microsoft Office application, it is stored in a Most Recently Used list, which makes the last several documents you accessed available from the Office application menu. The list may be useful to quickly access frequently-opened documents and files, but it also exposes information to prying eyes about what you do in Office.


Remove container - More Info

When you delete an email message in Microsoft Outlook Express, the message is sent to a "deleted items" folder, and remains there until it is actually permanently deleted.


Media Player - More Info

The Windows Media Player stores information about the last several media files that you have played.


Real Audio - More Info

Real Audio stores information and lists about the last several files it has played.


WinZip - More Info

WinZip stores information and lists about the last several files it has opened or created.


Uninstall Software Introduction

The Uninstaller tool is designed to allow you to easily remove software from your PC using advanced techniques to ensure safe and thorough elimination of any application, whether or not the application has its own built-in uninstallation function. The Uninstaller tool allows you to:

  • Manage list of installed applications on your system and invoke native uninstaller from a central interface

  • Detect and remove invalid uninstallation entries from the installed application list

  • Uninstall applications on your system that do not appear in the Windows Add/Remove Programs list

  • Provides a comprehensive search and report engine for you to selectively inspect and configure the uninstallation process for greatest level of accuracy and safety

Startup

At startup, the Uninstall software tool loads the installed application list associated with the native uninstallation function. It is always best to use native uninstaller of the software, if available.

The Removal using Native Installer window contains five buttons and list of uninstallation programs with the Program Description, Internal Name, and Uninstaller Application.

Note: Invalid uninstaller entries indicating corrupt, invalid or missing files may be marked with a red square at the left of the name. Valid entries are designated with green squares.

To use the uninstaller process:

  1. To remove an uninstaller entry, click Remove Entry and answer Yes to the confirmation message.

  2. To filter the list of uninstallers, click Filter View and select either Invalid uninstallers or All uninstallers.

  3. Highlight the desired item from the list to uninstall and then click Start Selected Uninstaller. The uninstallation program should begin. Follow the instructions for the associated uninstaller.

  4. If an uninstallation process does not begin within a few seconds, the uninstaller may be invalid or corrupt. Click Uninstall Program Not Listed and from the Select Installed Program to Remove window, click Uninstall a Different Program and go to the Manually Select a Program window.

  5. Click Refresh to make sure the program was uninstalled.

  6. To select an application not listed in the window to uninstall, click Uninstall Program Not Listed and the Selected Installed Program to Remove window displays a list of programs with Name, Path and Description information. Go to Select Installed Program to Remove.


Select Installed Program to Remove

The Select Installed Program to Remove window displays a list of programs with Name, Path and Description information.

To manually remove a program:

  1. Highlight a program to manually remove and then click Next.

  2. The Configure Uninstall Search Options window appears. Go to Configure Uninstall Search Options.

To uninstall a different program:

  1. Click Uninstall a Different Program.

  2. The Manually Select a Program window appears. Go to Manually Select a Program.


Configure Uninstall Search Options

The window contains Uninstallation Depth and Uninstallation Scope options. Uninstallation depth relates to how far down in a hierarchical folder structure to search for items to remove. Uninstallation scope defines the item types related to the specified application that the Uninstaller searches for and optionally removes.

To configure options:

  1. Select Only install specified application, ignoring any associated elements check box.

This option excludes items that do not match the specified application program file name. For example, program.exe uninstallation scope options only identify items matching the file name and ignore any items that match files or folders within the folder structure where program.exe is.

  2. Select the uninstall specified application and all elements contained in its folder check box.

This option includes the main executable file and items within its folder structure.

  3. To include subfolders, select Include items within application subfolders check box.

This option applies to any items located within all subfolders of the main executable file folder.

  4. To select scope items, select or clear the following entries:

Option | Details
Find registry items | Finds all registry entries that reference the application and components.
Find shortcut items | Finds all shortcuts that reference the application and components.
Find related files and folders | Finds the specified application main executable file and any associated files and folders to include in the search results.
Find entries from system configuration files | Locates and reports all references to the specified application and its components within system configuration files (.ini and .bat files).

  5. Click Next and the searching for application components progress bar tracks progress and the Uninstall items are displayed by category: Files and Folders, Registry Items, and Configuration. Go to Uninstall tab.


Manually Select a Program to Uninstall

Manually Select a Program

To manually select an executable to uninstall:

  1. Select Uninstall executable by main executable

The main executable file is what Window uses to launch the program. It usually ends with an .exe extension and is located in the top level folder where the application is installed.

  2. Click Browse to locate the executable file or main program folder and after you select the executable file, click Open.

  3. Then click Next and the Configure Uninstall Search Options window is displayed. Go to Configure Uninstall Search Options.

To manually select a folder to uninstall:

  1. Select Uninstall application by main folder.

If you know where the folder is located or if the application main executable is located in a subfolder of the main root installation folder and includes all items in a specified folder and optionally those contained within it as candidates for removal.

  2. Click Browse to locate the executable file or main program folder and after you select the executable file, click Open.

  3. Then click Next and the Configure Uninstall Search Options window is displayed. Go to Configure Uninstall Search Options.


Uninstall tab

After the search is complete, the Searching for Associated Elements window is displayed. The window contains two panes: Item Categories on the left and buttons and the Item list on the right. Item Categories include Files and Folders, Registry Items, Shortcuts, and Configuration. A total of the number of items is listed under the buttons for each category.

Note: By default, all items are marked for uninstallation.

To remove Files and Folders:

  1. Click File and Folders and the details appear in the right pane.

  2. To view file information, highlight the entry, click Tools and select Open selected location in Windows Explorer. You can also right-click and select the Open selected location in Windows Explorer option.

  3. To view Windows properties, highlight the entry, click Tools and select Properties. You can also right-click and select the Properties option. Then click OK.

  4. To mark or unmark items to relocate, click Edit and select the appropriate option.

  5. To unmark items in unmarked locations, click Options and select Automatically unmark items contained within unmarked locations.

Note: For example, use this option when you unmark a folder location and want the items also to be automatically unmarked, instead of manually finding and unmarking them individually.

  6. To disable the undo function, click Options and select Temporarily disable SafetyNet.

  7. To remove files, click Remove and then select either Marked items in this section or All marked items in all sections.

To remove Registry Items:

  1. Click Registry Items and the details appear in the right pane.

  2. To view a Registry entry, highlight the entry, click Tools and select Open selected location in Windows Registry Editor. You can also right-click and select the Open selected location in Windows Registry Editor option.

  3. To mark or unmark items to relocate, click Edit and select the appropriate option.

  4. To unmark items in unmarked locations, click Options and select Automatically unmark items contained within unmarked locations.

  5. To disable the undo function, click Options and select Temporarily disable SafetyNet.

  6. To remove files and folders, click Remove and then select either Marked items in this section or All marked items in all sections.

To remove shortcuts:

  1. Click Shortcuts and the details appear in the right pane.

  2. To view a Shortcut entry, highlight the entry, click Tools and select Open shortcut location in Windows Explorer, Open shortcut target location in Windows Explorer, Shortcut properties or Shortcut target properties. You can also right-click to select these options.

  3. To mark or unmark items to remove, click Edit and select the appropriate option.

  4. To unmark items in unmarked locations, click Options and select Automatically unmark items contained within unmarked locations.

  5. To disable the undo function, click Options and select Temporarily disable SafetyNet.

  6. To remove files and folders, click Remove and then select either Marked items in this section or All marked items in all sections.

To remove configuration files:

  1. Click Configuration and the details appear in the right pane.

  2. To view a Configuration entry, highlight the entry, click Tools and select Open configuration file location in Windows Explorer, Open configuration file location in Notepad, or Configuration file properties. You can also right-click to select these options.

  3. To mark or unmark items to relocate, click Edit and select the appropriate option.

  4. To unmark items in unmarked locations, click Options and select Automatically unmark items contained within unmarked locations.

  5. To disable the undo function, click Options and select Temporarily disable SafetyNet.

  6. To remove configuration files, click Remove and then select either Marked items in this section or All marked items in all sections.

To complete the uninstall process:

  1. When you click a Remove option, then answer Yes to the confirmation message. Press <Esc> to cancel. A summary of items removed is displayed under the buttons.

  2. When finished, click Exit.


Duplicate Files Inspector Introduction

One of the most common technical support issues is duplicate drivers and system files. Duplicate files are also a major cause of diminishing hard drive space.

Duplicate files appear in your system for many reasons, having detrimental results, plus wasting hard drive space. Various applications may install the same driver files, .DLL files, and ActiveX files in different system locations, or you may copy or download the same files into different folders without knowing it. The result may be wasted hard drive space, but often multiple copies of the same driver or vital system file, your system may become confused about which file to use. The system may crash or sporadically freeze, causing data loss or other disastrous outcomes.

With the powerful reporting features of the Duplicate File Inspector tool, you can easily find, inspect and determine to remove duplicate files before they wreak system havoc. A duplicate file is a copy of another file on the system, not necessarily a file that can be deleted or removed. If you are unsure about removing the file, don't remove it.

Modes

The Duplicate Files Inspector has three modes: Quick Search, Deep Search, Custom Search.

  1. To do a quick scan of the system to identify duplicate files and then remove them, select Quick Search from the Cleanup Mode tab.

  2. To do a more thorough scan of the system, select Deep Search from the Cleanup Mode tab.

  3. To configure options for either Quick Clean or Deep Clean, go to Configure Automatic Cleanup Options.

  4. To define what types of files and locations to scan and then inspect the found files, and which files to remove, select Custom Search.


Quick Search - More Information

Quick Search - More Info

The Quick Search quickly scans your computer to locate duplicate files.

To analyze the potential freed space after a Quick Search:

  1. In the Automatic section, select Quick Search.

  2. Next to the Quick Search option button, click the Analyze link.

The Analyzing Duplicate File Pools progress bar appears. Click Cancel to stop.

The Duplicate File Inspector analyzes your computer, and the amount occupied by duplicate files appears in place of the Analyze link.

You can also configure the option to automatically estimate the size of the duplicate pool.


Perform a Duplicate File Inspector Quick Search

The Duplicate File Inspector Quick Search quickly inspects the duplicate files on your computer.

To perform a Quick Search:

  1. On the Search Mode tab, in the Automatic section, select Quick Search.

  2. Click Next.

The Duplicate File Inspector searches your computer for duplicate files.

  3. To stop the scan and only display the files found so far, click Cancel.

  4. Inspect found duplicate files.


Configure Automatic Duplicate Search Options

When you select a search mode on the Search Mode tab of the Duplicate File Inspector, you can configure automatic search options. These options only apply to a Quick Search or a Deep Search.

To configure automatic search options:

  1. In the Automatic section, select Quick Search or Deep Search, and then click Options.

  2. To automatically estimate the space occupied by duplicate files, in the Preemptive Analysis section, select the Automatically estimate size of duplicate file pool using quick search check box.

  3. Click OK.


Inspect Duplicate Files

After you run the Duplicate File Inspector tool, carefully inspect the duplicate files that were found.

Warning: Not all files you find are candidates for removal. Be sure to carefully scrutinize each set of duplicated files before deciding to remove any of them. It is always recommended to have a current backup of your system before performing intensive operations with the Duplicate File Inspector tool.

To inspect duplicate files:

  1. To view the found files of a duplicate pool, click the + symbol to expand the duplicate pool contents. To expand or collapse all files, right-click a file or click Tools and then select Expand All or Collapse All.

  2. To sort the files, expand a duplicate pool's contents, click Sort by, and then select one of the following:

  3. Name

  4. Size

  5. Type

  6. Location

  7. Creation date

  8. Modified date

  9. Access date

  10. Version

  4. To locate the folder to open the file, select an item and right-click it or click Tools, and then select Open containing folder. Then you can open the file to see what is in it.

  5. To view file properties, right-click the file or click Tools, and then select Properties.

Note: You can also exclude folders, files, and duplicate pools from a future search as well as remove duplicate files.

  6. To begin a new search, click New Search.

Remove

To remove files:

  1. Expand the duplicate pool contents.

  2. To set the removal method, click Tools, select Removal Method and then select either Delete - Save undo information or Move to Recycle Bin.

  3. To remove files, highlight the file name, click Tools, select Remove, and then select Remove selected. Answer Yes to the confirmation messages.

  4. To remove all files in a duplicate pool except the selected file, highlight the file name, click Tools, then Remove, and then select Keep selected and remove all other items in the pool. Answer Yes to the confirmation message.

Exclude

To reset exclusions:

  1. To view files, expand the duplicate pool contents and then highlight the file to exclude.

  2. Click Exclude and then select Reset all exclusions.

To exclude a file or folder from a future search:

  1. Expand the folder to view the duplicate pool file contents.

  2. Highlight the file, click Exclude, and then select Selected file from future searches, Selected file from future searches or Selected duplicate pool from future searches.


Deep Search - More Info

The Deep Search scans your computer to identify duplicate files.

To analyze the potential freed space after a Deep Search:

  1. In the Automatic section, select Deep Search.

  2. Next to the Deep Search option button, click the Analyze link.

The Analyzing Duplicate File Pools progress bar appears. Click Cancel to stop.

The Duplicate File Inspector analyzes your computer, and the amount occupied by duplicate files appears in place of the Analyze link.

You can also configure the option to automatically estimate the size of the duplicate pool.


Perform a Duplicate File Inspector Deep Search

The Duplicate File Inspector can perform a Deep Search to inspect the duplicate files that are on your computer.

To perform a Deep Search:

  1. On the Search Mode tab, in the Automatic section, select Deep Search.

  2. Click Next.

The Duplicate File Inspector tool searches your computer for duplicate files.

  3. To stop the scan and only display the files found so far, click Cancel.

  4. Inspect found duplicate files.


Custom Search - More Info

The Custom Search allows to select drives and folders to search, files and file patterns to search or exclude, specify same time, same name, same size including CRC32 file comparison and advanced options such as skipping sysbackup folders, Windows virtual folders and zero-length files.

Go to Perform a Custom Search.


Perform a Locate Duplicate Files Wizard Custom Search

You can perform a Locate Duplicate File Wizard Custom Search. Select the Custom Search options, and then the Duplicate File Wizard searches for duplicate files and displays them for inspection.

To perform a custom search:

  1. On the Search Mode tab, in the Advanced section, select Custom Search.

  2. Click Next and the Location tab appears.

  3. Select the locations to search during a Custom Search.

  4. Select the Criteria for a Custom Search

  5. Select Files and Folders to Exclude from a Custom Search

  6. Configure Duplicate File Wizard Custom Search Options

  7. Inspect Duplicate Files


Select Locations to Search

The first step to perform before scanning for duplicates is to decide which hard drives to look for duplicate files.

To select locations to search during a Custom Search:

  1. On the Location tab, in the Drives section, select or clear the corresponding check boxes of the drives you want to search.

Note: It is recommended that you clear any CD-ROM, network, and floppy drives.

  2. Under the Folders section, select the check boxes of the folders to search or click New to add a new folder to the list.

  3. Highlight a folder and then click Edit to change or browse folders in the list

  4. To delete a folder, click Delete and a confirmation message appears.

  5. Click Yes and the folder location is deleted from the folders list.

  6. Click Next.

  7. Select the criteria for a Custom Search.


Folders - More Info

Use the New and Edit buttons to enter or browse folders where you want to specifically search for duplicate files.


Select Custom Search Criteria

To select criteria to search during a Custom Search:

  1. On the Criteria tab, do one of the following:

  2. Select Find all duplicates, and then click Next.

  3. Select Find only duplicates of certain files. For additional information, see More Information.

  3. Click New to add a file pattern and description.

  4. To select file types, select or clear the check boxes of the file types accordingly.

  5. Click Edit to modify or change the file pattern.

  6. Click Delete to delete a pattern and answer Yes to the confirmation message.

  7. Click Next.

  8. Select files and folders to exclude during a Custom Search.


Find certain files - More Info

You might want to consider the following types of files before you search for duplicate files.

Executables

Executables files have an .exe, .bat, or .com extension; they are applications that you run such as System Mechanic, Notepad, or Calculator. Often, it is necessary and desirable to only have one copy of a specific executable on your system to prevent confusion.

Dynamic Link Libraries

Dynamic Link Libraries (DLL) files have a .dll extension and contain functions and other vital information which Windows and other programs, access and use. Some very hazardous results can occur if there are multiple copies of the same DLLs with different versions on your system, especially if more than one file is accessible in the Windows search path (the folders that Windows automatically looks for files in). It is highly recommended that any duplicate DLLs are sorted out of your system to ensure reliability.

ActiveX Controls

ActiveX controls are very similar to DLLs and carry the same risk of hazardous results if multiple copies exist on your system.

Text Files

Text files store text information and are usually created with a text-editor such as Windows Notepad™. Many times these files are inadvertently copied to multiple locations on your hard drive during backups or other file transport procedures. It is usually a good idea to keep only one live copy of any document on your system for organizational purposes.

Documents

Documents with the .doc extension are created by word processors such as Microsoft Word™. It is usually a good idea to make sure that only one live copy of a document is on your system for organizational purposes.

Web Documents

Files with the .htm or .html extensions are Hypertext Markup Language (HTML) files read by your Web browser as Web pages. Sometimes multiple copies of the same page are stored on your system when you visit a web site more than once.

Picture Files

Files with the".bmp, .jpg , .jpeg or".gif" extensions are picture files. Many times picture files are very large, making it desirable to remove duplicate copies from your system to conserve storage space.


Select File Patterns and Folders to Exclude

To select file types and patterns to exclude from a Custom Search:

  1. After selecting the locations and criteria for a Custom Search, click Next and the Exclusions tab appears.

  2. Under the Excluded File Names and Patterns section, select the check boxes of the file names and patterns in the list to exclude.

  3. Click New to add a new file pattern to the list.

  4. Click Edit to modify or browse a file pattern and description.

  5. Click Delete to delete a file pattern. Answer Yes to the confirmation message.

To select folders to exclude from a Custom Search:

  1. Under the Excluded Folders section, select the check boxes of the folders to exclude.

  2. Click New to add a new folder to the list.

  3. Click Edit to modify or browse a folder.

  4. To include the subfolders, in the Include Subfolders column in the row of the appropriate folder, select the check box.

  5. Click Delete to delete a folder. Answer Yes to the confirmation message.

  6. Click Next.

  7. Configure Duplicate File Wizard Custom Search options.


Configure Duplicate File Inspector Search Options

Configure Duplicate File Inspector Options

To configure Duplicate File Inspector options:

  1. In the Requirements for duplicate matches section, select one or more of the following check boxes, if necessary:

  • Same creation date and time

  • Same name

  • Same size

  • CRC32 file compression

Important Note! If you select this check box, the wizard examines files byte-by-byte to ensure they are the same size at the binary level. This is a more accurate method of discerning file sizes; however, the Duplicate File Wizard runs more slowly.

  3. In the Advanced Options section, select one or more of the following check boxes, if necessary:

  4. Skip sysbckup folder(s)

  5. Skip Windows virtual folder(s)

  6. Skip zero-length files

  4. To revert to default settings, click Load Defaults.

  5. Click Next.

  6. Inspect Duplicate Files.


Add a Folder for a Custom Search

To add a new folder to search during a Custom Search:

  1. In the New Folder Location box, type the folder name, or

  2. Click Browse to navigate the folder structure by clicking the + symbols, and highlight a folder that you want to search.

  3. Click OK and the location of the folder appears in the Location box.

  4. To include subfolders in the search, select the Include Subfolders check box.

  5. Click OK and the folder is added to the list.


Edit a Folder for a Custom Search

To edit folders that you search during a Custom Search:

  1. From the Edit Folder Location dialog box, type a folder location or,

  2. Click Browse, navigate the folder structure by clicking the + symbols, and highlight the folder to edit.

  3. Click OK and the location of the folder appears in the Location box.

  4. To include subfolders in the search, select the Include Subfolders check box.

  5. Click OK and the edited folder appears in the list.


Add File Pattern for a Custom Search

Add a File Pattern for a Custom Search

To add a new folder to search during a Custom Search:

  1. From the Criteria tab, click New.

  2. In the New File Pattern box, type the file pattern and description option. Wildcards such as "*" and "?" are accepted.

For example, *.doc to look for duplicate Word files and "too many Word files" for a description.

  3. Click Browse to navigate the folder structure by clicking the + symbols, and highlight a folder that you want to search.

  4. Click OK and the location of the folder appears in the Location box.

  5. To include subfolders in the search, select the Include Subfolders check box.

  6. Click OK and the folder is added to the list.


Edit a File Pattern for Custom Search

Make sure you are fully familiar with this type of procedure before engaging in it.

To edit a file type to search for during a Custom Search:

  1. In the Edit File pattern box, edit the file name, if necessary.

  2. In the Description box, edit the description, if necessary.

For example, type *.tmp and in description, type "Files left behind by Widget Creator 5.0"

  3. Click OK.


Add a Folder to Exclude

To exclude a folder:

  1. In the Excluded Folders section, click New and the New Folder Location dialog box appears.

  2. Click Browse to navigate the folder structure by clicking the + symbols.

  3. Highlight the folder and then click OK.

  4. To include subfolders in exclusion list, select the Include Subfolders check box.

  5. Click OK and the folder is added to the list.


Edit a Folder to Exclude

To add a folder to exclude from a Custom Search:

  1. Under the Folders section, highlight the folder to exclude.

  2. Click Edit and then type the location in the Edit Folder Location box, or

  3. Browse the folder structure to locate the file, and then highlight the file;

  4. To add subfolders to the exclusion list, select the Include Subfolders check box.

  5. Click OK and the edited folder appears in the list.


Add File Names and Patterns to Exclude

To add file names and patterns to exclude from a Custom Search:

  1. After selecting the locations and criteria for a Custom Search, click Next and the Exclusions tab appears.

  2. Click New to add a new file pattern to exclude.

  3. In the Excluded File Names and Patterns section, click New.

The New File Pattern dialog box appears.

  4. In the File pattern box, type the pattern or name, for example, abc.abc.

Note: You can use the ? and * wildcards in the File pattern box, for example, *.abc.

  5. In the Description box, type a description for the file name or pattern.

  6. Click OK.

The file name or pattern is added to the list.


Edit File Names and Patterns to Exclude

To edit file names and patterns to exclude from a Custom Search:

  1. In the Edit File Pattern box, edit the file name, if necessary.

  2. In the Description box, edit the description, if necessary.

  3. Click OK and the list is updated with the edited file name or pattern.


Registry Optimizer Introduction

Windows and other applications store configuration information in a hierarchical database called the System Registry. Over time, the System Registry database becomes cluttered with invalid or obsolete data. This invalid data can slow Windows down and cause other problems.

The Registry Optimizer tool cleans up and streamlines your registry by searching for and removing these invalid data references. Other System Mechanic tools backup and restore the Registry, and compact and defragment the Registry for quicker and more efficient information access.

Modes

The Registry Optimizer tool has three modes: Quick Optimization and Repair, Complete Optimization and Repair, and Custom Optimization and Repair.

  1. To search the Registry for invalid data in the following setting categories: uninstallers, Help files, shared Dynamic Link libraries, fonts, sounds, auto-run programs, drivers, services, and unused software keys, and then deletes all the invalid data including bad Registry keys, select Quick Optimization and Repair from the Operation Mode tab.

  2. To configure the tests to find all Registry problems, select Complete Optimization and Repair from the Operation Mode tab.

  3. To configure options for either Quick Optimization and Repair or Deep Optimization and Repair, click Options.

  4. To customize which Registry tests to run, select Custom Optimization and Repair from the Operation Mode tab.


Quick Optimization and Repair - More Info

The Quick Optimization and Repair looks for invalid data in the following setting categories: uninstallers, Help files, shared Dynamic Link libraries, fonts, sounds, auto-run programs, drivers, services, and unused software keys, and then deletes all the invalid data including bad Registry keys. The Invalid Folder and Filename References and Unused Software Keys are not tested.

To perform a Quick Optimization and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Quick Optimization and Repair.

  2. Click Next and the tool searches for invalid data and then displays the results.

  3. To filter the results, click View, and then clear or select Passed, Failed, Repaired and Untested.

  4. To automatically schedule, Schedule.

  5. To perform another optimization, click Perform another Registry Optimization.


Perform a Quick Optimization and Repair

You can clean, fix, and optimize the system registry by performing a Quick Optimization and Repair. You cannot select the tests that are run during the Quick Optimization and Repair. The Invalid Folder and Filename References and Unused Software Keys are not tested.

To perform a Quick Optimization and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Quick Optimization and Repair.

  2. Click Next and a progress bar tracks the progress and then displays the results.

  3. To filter the results, click View, and then clear or select Passed, Failed, Repaired and Untested.

  4. To fix the detected problems, click Fix All. If you cancel the process, the fix button changes to Fix Remaining Problems.

  5. To perform another optimization, click Perform another Registry Optimization

  6. To schedule an automatic Optimizer action, click Schedule.


Automatic Optimization and Repair Options

You can automatically fix problems, save undo information, exclude irreparable items from future searches and schedule an automatic optimization and repair.

To configure automatic optimization and repair options:

  1. Click Options and the Automatic Optimization and Repair Options dialog box appears..

  2. To automatically repair, select the Automatically repair all detected problems (recommended) check box.

  3. To save undo information,, select the Save information required to undo fixes check box.

  4. To exclude irreparable items from future searches, select the Automatically exclude irreparable items from subsequent searches check box.

  5. Click Schedule an Automatic Optimization and Repair to schedule an automatic optimization and repair.

  6. Click OK.


Perform a Complete Optimization and Repair

Tests and Repairs Complete

A progress bar tracks progress through each test and then the Test and Repairs Summary window displays the results.

To view and repair problems:

  1. To filter the results, click View, and select Passed, Failed, Repaired and Untested to show all, some or none of the categories.

  2. To fix problems, click Fix All and the problems are fixed. If you cancel the process, the fix button changes to Fix Remaining Problems.

  3. To perform another optimization, click Perform another Registry Optimization.

  4. Click Schedule to automatically schedule.

  5. Click Exit.


Complete Optimization and Repair - More Info

The Complete Optimization and Repair tool looks for invalid data in the following setting categories: folder and filename references, uninstallers, Help files, shared Dynamic Link libraries, fonts, sounds, auto-run programs, drivers, services, and unused software keys, and then deletes all the invalid data including bad Registry keys.

To perform a Complete Optimization and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Complete Optimization and Repair.

  2. Click the Configure link.

  3. In the Configure Complete Optimization and Repair Actions window, select or clear the check boxes accordingly.

  4. Click OK.

  5. Click Next and the tool searches for problems and non-optimized settings and then displays the results.

  6. To view only problems click View, and then select Only show problems

  7. To view all test results, click View, and then select Show all test results.

  8. To fix problems, click Fix All.


Perform a Complete Optimization and Repair

The Complete Optimization and Repair tool cleans, repairs, and optimizes the system registry. You can choose which tests you want to run, and then you can view and repair registry problems.

To perform a Complete Optimization and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Complete Optimization and Repair.

  2. Click the Configure link.

  3. In the Configure Complete Optimization and Repair Actions window, select or clear the check boxes according and then click OK.

  4. Click Next.

The tool searches for problems and non-optimized settings and then displays the results.

  7. To view results, click View,and then clear or select Passed, Failed, Repaired and Untested

  8. To fix problems, click Fix All. If you cancel the process, the fix button changes to Fix Remaining Problems..


Configure Complete Optimization and Repair Actions

  1. In the Configure Complete Optimization and Repair Actions window, select or clear the check boxes accordingly.

The tests are for:

  • Invalid Application folders

  • Invalid Uninstallers

  • Invalid Help files

  • Invalid Shared Dynamic Link Libraries

  • Invalid Fonts

  • Invalid Sounds

  • Invalid Auto-Run Programs

  • Invalid Drivers

  • Invalid Services

  • Invalid Virtual Devices

  • Unused Software Keys

  • Invalid Folder and Filename References

  2. Click OK.


Custom Optimization and Repair - More Info

The Custom Optimization and Repair tool allows you to select which tests to perform.

To perform Custom Optimization and Repair:

  1. From the Operation tab, select Custom Optimization and Repair and then click Next.

  2. Configure Tests.

  3. Configure Options.

  4. Optimize and Repair.


Perform Custom Optimization and Repair

The Custom Optimization and Repair tool allows you to select the tests to perform and view potential repairs.

  1. From the Operation tab, select Custom Optimization and Repair and then click Next.

  2. Configure Tests.

  3. Configure Options.

  4. Optimize and Repair.


Configure Registry Tests

  1. In the Configure Tests window, select or clear the check boxes accordingly.

The tests are for:

  • Invalid Application folders

  • Invalid Uninstallers

  • Invalid Help files

  • Invalid Shared Dynamic Link Libraries

  • Invalid Fonts

  • Invalid Sounds

  • Invalid Auto-Run Programs

  • Invalid Drivers

  • Invalid Services

  • Invalid Virtual Devices

  • Unused Software Keys

  • Invalid Folder and Filename References

  2. Click Next to go to Configure Options.


Configure Registry Options

To configure options:

  1. To allow automatic repair, select Automatically repair all detected problems using safest fixes, or

  2. To allow individual repair, select Display all detected problems and allow advanced individual repair.

  3. To display all available repair options, select the Automatically search for and display all available repair options check box.

  4. Under the Undo section, select the Save information required to undo fixes check box, if needed.

  5. To exclude irreparable items from future searches, select Automatically exclude irreparable items from subsequent searches.

  1. To add a key or value to exclude, click Add.

  2. To edit an entry, click Edit.

  3. To remove a value or key, highlight the Key Name or Value Name, click Remove and then answer Yes to the confirmation message.

  4. Click Next to begin the search.

Go to Test and Repairs Summary.


Add Registry Exclusion

In the Edit Exclusion dialog box, you can add a key or value to exclude.

Note: Configuring the key and value at the same time will only exclude matching keys and values.

  1. Under Registry Keys, select the Key name: check box and then click Browse to find the key to exclude.

  1. To exclude the key, subkeys and values, select the Exclude this key, all subkeys and values check box.

  2. The Browse for Key to Exclude window appears, where you can navigate to locate the desired key. Click Exclude Selected Key or Cancel to return to the Edit Exclusion dialog box.

  3. Click OK.

  2. Under Registry Values, select the :Value name check box and then Browse to find the value to exclude.

  1. To match on partial text, select the Partial text match OK check box.

  2. The Browse for Key to Exclude window appears, where you can navigate to locate the desired key. Click Exclude Selected Key or Cancel to return to the Edit Exclusion dialog box.

  3. Click OK.


Edit Registry Exclusion

In the Edit Exclusion dialog box, you can add a key or value to exclude.

Note: Configuring the key and value at the same time will only exclude matching keys and values.

  1. Under Registry Keys, select the Key name: check box and then Browse to find the key to exclude.

  1. To exclude the key, subkeys and values, select the Exclude this key, all subkeys and values check box.

  2. The Browse for Key to Exclude window appears, where you can navigate to locate the desired key. Click Exclude Selected Key or Cancel to return to the Edit Exclusion dialog box.

  3. Click OK.

  2. Under Registry Values, select the :Value name check box and then Browse to find the value to exclude.

  1. To match on partial text, select the Partial text match OK check box.

  2. The Browse for Key to Exclude window appears, where you can navigate to locate the desired key. Click Exclude Selected Key or Cancel to return to the Edit Exclusion dialog box.

  3. Click OK.


Browse Key Help

  1. From the Edit Exclusion dialog box, click Browse.

  2. The Browse for Key to Exclude window displays the HKEY entries.

  3. Select a key or group and then click Exclude Selected Key.

  4. The key or group appears in the Key name box of the Edit Exclusion dialog box.

  5. Click OK.


Browse Value Help

  1. From the Edit Exclusion dialog box, click Browse.

  2. The Browse for Value to Exclude window displays the HKEY entries.

  3. Select a key or group and then click Exclude Selected ValueKey.

  4. The key or group appears in the Value name: box of the Edit Exclusion dialog box.

  5. Click OK.


Registry Tests and Repairs Summary

The Optimize Settings and Repair Problems windows, the detected issues are listed by Registry category.

To optimize and repair the problems:

  1. To repair all the items within the folder, click the Repair Group link and answer Yes to the confirmation message.

Caution: Be careful unless you know what you're doing.

  2. Expand the category by clicking the + (plus) sign to see the specific items for repair.

  3. To have the Registry Optimizer recommend a solution, click Tools and then select Standard Mode. In Standard mode, each item contains specific information and a Diagnosis line and Repair suggestion.

  4. To repair items, click Repair.

  1. To fix all items, select Fix all items.

  2. Select the check box next to the folder and/or item (or right-click the item), and then select Fix checked items.

  3. Highlight specific items (or right-click the item) and then select Fix selected items.

  4. Other right-click actions include:

  • Uncheck all

  • Check all

  • Invert checked

  • Unselect all

  • Select all

  • Invert selection

To use Expert mode:

  1. To determine the repair action, click Tools, select Expert Mode and then click the Options link next to the item.

  1. To fix the problem yourself, select (or right-click the item to select) Open item location in Regedit which opens the Microsoft Registry for you to edit.

  2. To exclude the entry from the next search, select (or right-click the item to select) Exclude items from future searches (or right-click the item) which opens the Edit Exclusion box.

  3. To see all repair options, click Search for all possible repair options.

  3. To manage which entries to view, click Tools and select on of the following options:

  4. Uncheck all

  5. Check all

  6. Invert checked

  7. Unselect all

  8. Select all

  9. Invert selection

  4. To automatically schedule, click Schedule.

  5. When finished, click Exit.


Display all repair options - More info

This option initially searches for all invalid file and folder references within the registry, and then searches the hard drives for possible references to display. You can then choose available repair options or decide to delete the reference completely.


R_RO_CU_AutoSearch

Automatically Search and Display Repair Options - More Info

System Mechanic will search the entire System Registry and present all available repair options. This task may be time-consuming.


Registry Backup Introduction

The System Registry is critical to proper system operation and it can become corrupt or damaged or a carrier of misinformation from dangerous rogue programs. The Registry Backup tool is also a component of the PC Security Wizard tool and may be scheduled by either scheduling that tool or by using the scheduling options in the System Mechanic dashboard.

Caution! Before performing any activity with the system registry, it is IMPERATIVE to backup your registry.

To use the tool:

  1. To backup your registry, click Backup Now and the New Registry Backup Profile box appears.

  2. In the box, type a name or accept the default (date and time and date created) and then click OK.

The tool backs up the registry and the backup name appears in the right pane. Click OK to the Information message.

  4. To restore a backup, highlight it, click Restore and then click OK to the Information message to restart.

The scheduled Registry restoration message appears at the top of the window.

  5. To complete the restoration process now,click Restart or the restoration is completed at the next system restart.

  6. To remove a previous backup, highlight the specific backup entry and then click Remove and answer Yes to the confirmation message.

  7. To cancel a scheduled restoration, click Cancel Restore.

  8. For more information about restoring a backup, go to Registry Backup Restore.


Registry Backup Options

Manually created backups are not subject to this threshold mechanism and do not trigger the archival management action.

To manage backup options:

  1. To manage the number of automatic backups to save, select the Replace Oldest backup check box and then use the arrows to specify how many backups to archive.

  2. To schedule automatic Registry backups, click Schedule Automatic Registry Backup.

  3. Then click OK.


Registry Backup Profile Name box

By default, the Profile Name box contains the date and time.

  1. Keep the default name or type an alternative name in the box, if needed.

  2. Then click OK and the backup begins.


Registry Backup Restore

Archives are saved in [system root]\config\SM Registry Backup

To restore a backup:

  1. For Windows 9X, in DOS, use regedit to restore the backup.

  2. For Windows NT based systems, use the Windows NT disaster Recovery Console.

  1. Boot into the recovery console and navigate to the appropriate registry backup folder.

  2. A restore.bat file should be inside each folder.

  3. Type restore.bat and then press Enter. All archive hive files are copied to the appropriate mother hive folder.

  3. Restart the system to complete the change.


Registry Compactor Introduction

The Compact and Defragment the Registry tool provides several options to compress and defragment your registry, making it easier for your computer to access registry data. This is particularly useful after you remove registry entries after using the Registry Optimizer tool, or by uninstalling software.

To compact and defragment your registry:

  1. Select the Compact and Defragment the system registry the next time the computer is restarted check box.

  2. To schedule automatic Registry compact and defragment actions, click Schedule.

  3. Then click Restart PC. Then answer OK to the confirmation message.


Spython Introduction

The Spython ® Spyware Removal tool protects you from threats to your security and privacy and makes it easy to identify and remove:

  • Spyware monitoring your online actions and habits

  • Adware forcing you to watch online advertising

  • Key loggers recording keystrokes, looking for passwords and credit card numbers

  • Malicious software

Spyware is a new, dangerous and rapidly growing computer threat that masquerades as useful downloadable software or secretly installs itself. Your stolen data may be used in identity theft. Symptoms may be excessive pop-pup advertisements, unfamiliar browser toolbars, system or program crashes or errors, or redirection of your browser’s home page or even no symptoms.

You can block reinfection using the Startup Guard.

Modes

The Spython tool has three modes: Quick Clean and Disinfection, Deep Clean and Disinfection and Custom Search and Disinfection.

  1. To search for all parasites using their most common locations, select Quick Clean and Disinfection from the Operation Mode tab.

  2. To search for all specific file names file patterns throughout the hard drives and registry data, select Deep Clean and Disinfection from the Operation Mode tab.

  3. To configure options for either Quick Clean and Disinfection or Deep Clean and Disinfection, click Options.

  4. To configure options for prevention and disinfection, select Custom Search and Disinfection from the Operation Mode tab.

Starting Spython

  1. When you open the Spython tool, the Loading parasite definitions and Interpreting parasite definitions messages appear.

  2. To configure Spython parasite definition options, click the Options link in the Parasite Definitions section at the bottom of the page.

  3. To visit the Spython Web page, click Details.

  4. To update parasite definitions now, click Update Now.


Spython Parasite Definition Options

Parasite definitions are stored in a frequently-updated central database so that Spython can detect and remove Spyware.

To configure definition options:

  1. To modify the folder where the Parasite Definitions are stored, click Change and then navigate to a another location and then click OK.

  2. To download new Parasite Definitions, click Download New Definitions Now. Click OK to the Information message.

  3. For automatic update functions, select or clear the Check for definitions update when Spython starts check box.

  4. Click OK.


Spython Quick Clean and Disinfection - More Info

The Quick Clean and Disinfection mode quickly searches specific system areas for files, folders, and System Registry items pertaining to PC parasites. This mode is designed to quickly and easily clean specific infiltrations.

To perform a Quick Clean and Disinfection:

  1. On the Operation Mode tab, in the Automatic section, select Quick Clean and Disinfection.

  2. To configure options for either Quick Clean or Deep Clean, click Options.

  3. Click Next and the progress bar displays progress in the search for Malware, Adware, Key Loggers and other Parasites.

  4. To begin a new search, click New search.

  5. To automatically schedule, click Schedule.

  6. Click Exit.


Perform Quick Clean and Disinfection

To perform a Quick Clean and Disinfection:

  1. On the Operation Mode tab, in the Automatic section, select Quick Clean and Disinfection.

  2. To configure options for either Quick Clean or Deep Clean, click Options.

  3. Click Next and the progress bar displays progress in the search for Malware, Adware, Key Loggers and Other parasites.

  4. When the clean and disinfection process is complete, the Search Results box displays the following:

  5. Malware detected

  6. Adware detected

  7. Key loggers detected

  8. Other Parasites detected

  5. To begin a new search, click New search.

  6. To schedule automatic scheduling, click Schedule.

  7. Click Exit.


Automatic Spython Options

To configure automatic cleanup options for Quick Clean and Disinfection or Deep Clean and Disinfection:

  1. In the Parasite Removal section, select or clear the following check boxes accordingly:

  1. Automatically remove all detected parasites (default).

  2. Save undo information when removing parasites (default).

  2. To schedule automatic scheduling, click Schedule Automatic Cleanup and Repair and then select Quick Clean and Disinfection or Deep Clean and Disinfection.

  3. Click OK.


Spython Quick Clean Complete

  1. When the clean and disinfection process is complete, the Search Results box displays the following:

  2. Malware detected

  3. Adware detected

  4. Key loggers detected

  5. Other Parasites detected

  2. To perform another search, click New Search.

  3. To schedule automatic scheduling, click Schedule.


Spython Deep Clean - More Info

The Deep Clean and Disinfection mode performs a comprehensive search on your system for files, folders, and System Registry items pertaining to PC parasites. This mode is designed to allow for thorough system analysis and automatic parasite removal in all areas of infiltration. The nature of this search means that it may take some time while performing the in-depth analysis.

To perform a Deep Clean and Disinfection:

  1. On the Operation Mode tab, in the Automatic section, select Deep Clean and Disinfection.

  2. To configure options for either Quick Clean or Deep Clean, click Options.

  3. Click Next and the progress bar displays progress in the search for Malware, Adware, Key Loggers and other parasites.

  4. When the clean and disinfection process is complete, the Search Results box displays the following:

  5. Malware detected

  6. Adware detected

  7. Key loggers detected

  8. Other Parasites detected

  5. To begin a new search, click New search.

  6. To automatically schedule, click Schedule.

  7. Click Exit.


Perform Spython Deep Clean and Disinfection

To perform a Deep Clean and Disinfection:

  1. On the Operation Mode tab, in the Automatic section, select Deep Clean and Disinfection.

  2. To configure options for either Quick Clean or Deep Clean, click Options.

  3. Click Next and the progress bar displays progress in the search for Malware, Adware, Key Loggers and Other parasites.

  4. When the clean and disinfection process is complete, the Search Results box displays the following:

  5. Malware detected

  6. Adware detected

  7. Key loggers detected

  8. Other Parasites detected

  5. To begin a new search, click New search.

  6. To automatically schedule, click Schedule.

  7. Click Exit.


Spython Deep Clean Complete

  1. When the clean and disinfection process is complete, the Search Results box displays the following:

  2. Malware detected

  3. Adware detected

  4. Key loggers detected

  5. Other Parasites detected

  2. To perform another search, click New Search.

  3. To automatically schedule, click Schedule.


Custom Search and Disinfection - More Info

Custom Search and Disinfection allows you to set up all criteria and options before a parasite scan is performed. The tool displays any found parasites at the end, if specified or it auto-removes them if alternately specified.

To perform a Custom Clean and Disinfection:

  1. On the Operation Mode tab, in the Automatic section, select Custom Search and Disinfection.

  2. Configure Options.

  3. The Searching for parasite process is tracked by the progress bar. Click Cancel to stop, if needed.

  4. Disinfect parasites.


Perform Custom Search and Disinfection

To perform Custom Search and Disinfection:

  1. On the Operation Mode tab, in the Automatic section, select Custom Search and Disinfection.

  2. Configure Options.

  3. The Searching for parasite process is tracked by the progress bar. Click Cancel to stop, if needed.

  4. Disinfect parasites.


Configure Spython Custom Options

To configure options:

  1. Under Scan Mode, select or clear the Perform deep system scan to detect all parasite remnants (may take some time) check box.

  2. In the Parasites Excluded from Detection box, you can click the parasite name link excluded from previous detection for information from the Spython Web site.

  3. Under Disinfection, select or clear the Save undo information (default).

  4. Click Next.


Disinfect Parasites

The Searching for parasites progress bar tracks progress and when complete the Search Options window displays information about infections detected.

To disinfect your PC:

  1. To sort the infections, click Sort By and select either Name, Threat Level or Status.

  2. To configure removal options, click Disinfect, select Removal options and then check Save undo information or Add reference to Startup Guard when removing.

  3. To disinfect all infections in a group, click the Disinfect link and answer Yes to the Confirmation message.

  4. Expand the Infection category to view individual infections.

  1. Click the Infection Name link to see information from the Spython Web site.

  2. Note the Description and Threat level of the infection.

  3. To remove the parasite, click the Disinfect link.

  4. To see the components affected by the parasite, click Show Details.

  5. To remove parasites, click Disinfect and select one of these options: Remove selected parasite, Remove checked parasites and Remove all parasites. Answer Yes to the confirmation message.

Note: You can also select the check box next to a parasite or highlight it, then right-click and select Remove selected parasite, Remove checked parasites and Remove all parasites and answer Yes to the confirmation message.

To use Tools to disinfect your PC:

  1. To get additional information about the infection, select the check box next to the infection or highlight it, click Tools and select View more information about selected parasite on Spython.com, or Ask Google ® about selected parasite.

Note: You can also select the check box next to a parasite or highlight it, then right-click and select View more information about selected parasite on Spython.com, or Ask Google ® about selected parasite.

  2. To not disinfect a parasite, highlight the parasite item, right-click and then select Ignore (do not disinfect this parasite).

  3. To automatically schedule, click Schedule.

  4. Click Exit.


Deep Scan Remnants - More Info

If you chose to do a deep system scan, Spython will scan all parts of your system for any parasite remnants not removed by other means. Selecting this option allows for thorough system and parasite analysis in all areas of infiltration. Clearing this option allows for a much quicker search, but limits the scan to only specific areas of the system.


Block with Startup Guard - More Info

Startup Guard will stop reinfection if used with the Block reinfection with Startup Guard upon parasite removal option.


Start with Startup Guard - More Info

To prevent reinfection, Startup Guard will add the detected parasites to its Black list preventing them from loading when Windows starts.


Detect High-risk Holes - More Info

This option will have other tools in System Mechanic detect and repair security holes that may be used to load parasites onto your system.


Hard Drive Repair Tool Introduction

The Hard Drive Repair tool finds and fixes hard drive problems.

Modes

The Hard Drive Repair tool has three modes: Quick Search and Repair, Deep Search and Repair, and Custom Search and Repair.

  1. To search all drives for errors without a surface scan and fixes the errors, select Quick Search and Repair from the Operation Mode tab.

  2. To search all drives for errors,and perform a surface scan and fixes the errors, select Deep Search and Repair from the Operation Mode tab..

  3. To select the hard drives to test and configure options and automatic scheduling for either Quick Clean or Deep Clean, go to Automatic Search and Repair Options.

  4. To select hard drives to search, perform a surface scan or not, and automatically fix problems or not, select Custom Search and Repair from the Operation Mode tab.


Drive Medic Quick Search and Repair - More Info

Quick Search searches all drives for errors without a surface scan and optionally automatically fixes the errors.

To perform a Quick Search and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Quick Search and Repair.

  2. To select the drives to search and repair, click Options.

  3. Then click Next.

The tool searches your computer for drive problems and then identifies and/or fixes them.


Perform Hard Drive Quick Search and Repair

To perform a Quick Search and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Quick Search.

  2. If drives were locked and an analysis and repair is scheduled at the next restart, you can clear the drive check boxes to cancel the repair.

  3. Click Options to select the drives to search and repair.

  4. Then click Next.

The tool searches your computer for drive errors displaying a progress bar.

  4. Click Cancel to terminate the operation, if needed.

  5. At the end of the search, the Test and Repairs complete window displays the Drive, Test Description and Status.

  6. To do another search, click Perform another Search and Repair.


Automatic Hard Drive Search and Repair Options

When you select Quick Search and Repair or a Deep Clean Search and Repair on the Operation Mode tab, you can configure automatic search and repair options.

To configure automatic cleanup options:

  1. In the Automatic section, select Quick Clean and then click Options.

  2. Under Hard Disk Drives to Test, select which hard drives to search.

  3. Under Automatic Fix, select or clear the following check boxes:

  1. Automatically repair all detected problems (recommended) for automatic fix.

  2. Automatically run analysis on reboot if drive is locked (recommended).

  3. Under Scheduling, click Schedule Automatic Search and Repair and select either Quick Search and Repair or a Deep Clean Search and Repair for automatic scheduling.

  4. Click OK.


Drive Medic Quick Search and Repair Complete

  1. At the end of the search, the Test and repairs complete window displays the Drive, Test Description and Status.

Status includes the following messages:

  • Not tested: Drive locked by another application

  • Problems detected. Repairs are required.

  • Problems detected. Successfully repaired.

  • No problems detected. Drive is healthy.

  2. To do another search, click Perform another Search and Repair.

  3. To automatically schedule, click Schedule.

  4. For a locked drive, click the link: Click here to analyze and repair drive during next restart.

  5. Click Exit, if finished.


Deep Search and Repair - More Info

The Deep Search and Repair tests all drives for errors, performs a surface scan and optionally automatically fixes the errors.

To perform a Deep Quick Search and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Deep Search.

  2. Click Options to select the drives to search and repair.

  3. Then click Next.

The tool searches your computer for hard drive problems and optionally fixes them.


Perform Drive Medic Deep Search and Repair

To perform a Deep Search and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Deep Search.

  2. Click Options to select the drives to search and repair.

  3. Then click Next.

The tool searches your computer for hard drive problems to repair.


Drive Medic Deep Search and Repair Complete

  1. At the end of the search, the Test and repairs complete window displays the Drive, Test Description and Status.

Status includes the following messages:

  • Not tested: Drive locked by another application

  • Problems detected. Repairs are required.

  • Problems detected. Successfully repaired.

  • No problems detected. Drive is healthy.

  2. To do another search, click Perform another Search and Repair.

  3. To automatically schedule, click Schedule.

  4. For a locked drive, click the link: Click here to analyze and repair drive during next restart.

  5. Click Exit, if finished.


Drive Medic Custom Search and Repair - More Info

The Custom Search and Repair provides the option to perform a surface scan.

To perform a Custom Search and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Custom Search and Repair and then click Next.

  2. Select Drives to Test.

  3. Search and Repair.


Perform a Drive Medic Custom Search and Repair

To perform a Custom Search and Repair:

  1. On the Operation Mode tab, in the Advanced section, select Custom Search and Repair and then click Next.

  2. If drives were locked and an analysis and repair is scheduled at the next restart, you can clear the drive check boxes to cancel the repair.

  3. Select drives to test.

  4. Search and Repair.

  5. If drives were locked and an analysis and repair is scheduled at the next restart, you can clear the drive check boxes to cancel the repair.


Select Drives to Test

To select drives to test:

  1. From the Options tab, select or clear the drives to test.

  2. Select Perform full surface scan, if necessary. See Surface Scan More Info.

  3. Select Automatically fix problems (recommended).

  4. Select Automatically run analysis on reboot if drive is locked (recommended).

  5. Click Next to continue.


Perform Full Surface Scan - More Info

Performing a full surface scan can be time-consuming since it scans selected drives for bad sectors. Bad sectors may cause data loss and files may become corrupt because of unreadable sectors.


Drive Medic Custom Search and Repair Done

  1. At the end of the search, the Test and repairs complete window displays the Drive, Test Description and Status.

Status includes the following messages:

  • Not tested: Drive locked by another application

  • Problems detected. Repairs are required.

  • Problems detected. Successfully repaired.

  • No problems detected. Drive is healthy.

  2. To cancel scheduled repairs on a locked drive, click here to cancel scheduled repairs on next restart link.

  3. To do another search, click Perform another Search and Repair.

  4. To automatically schedule, click Schedule.

  5. Click Exit, if finished.


Disaster Recovery Introduction

The System Mechanic Disaster Recovery tool allows you to rebuild your PC after a devastating disaster. You can fix your hard drives or partitions, rescue unbootable systems, restore data access, and repair an unstable operating system.

To use the tool:

  1. Click Next and the Symptoms window appears.

  2. Select either Highly Unstable Operating System or Unable to Start Windows.


Disaster Recovery Symptoms

Describe your symptoms.

  1. If your system is unstable, select Highly Unstable Operating System and then click Next.

  2. If you cannot start Windows, select Unable to Start Windows and then click Next.


Solutions

If your system is unstable:

  1. Select one of the Recommended Solutions:

  2. Run the PC Repair Wizard

  3. Open Windows Restore Points

  4. Open Registry Backup Tool

  2. You are directed to the selected too or action.

If you cannot start Windows:

  1. Use the Recovery Console to use a bootable CD-ROM or floppy diskette to restore your system. Select either:

  2. To boot from a floppy diskette or CD-ROM, click Restart the Computer Now.

  3. To create a disaster recovery diskette, click Create Disaster Recovery Diskette now.

  2. You are directed to the selected tool or action.


Create Drive Medic Recovery Diskette

  1. Select the floppy drive to use. Drive A is the default.

  2. Then click Create Disk.

  3. Insert the floppy disk in the floppy drive and answer OK to the Install Drive Medic message.

  4. To test the recovery diskette, click Restart Now. Close all open programs and answer OK to the warning message.

  5. To create another disk, click Create another disk.

  6. Click Exit, when finished.


Shortcut Repair Tool Introduction

Windows shortcuts are separate links to files and documents stored in other places on your system including the Windows Start Menu. Double clicking or otherwise invoking a shortcut automatically opens its corresponding application or document. Sometimes, the targets of these shortcuts are moved or deleted, pointing to a file or location that no longer exists. The orphaned shortcuts can be confusing when they do not operate properly. They also clutter the hard drive with unnecessary or defunct debris.

The Shortcut Repair tool is a convenient way to deal with these orphaned files by scanning your system for them, and then optionally looking for the files to which they are supposed to link. If the previously linked file is still on your system, you can automatically update the shortcut with the new information, or choose to permanently remove broken shortcuts that are no longer necessary.

Modes

The Shortcut Repair tool has three modes: Quick Cleanup and Repair, Deep Cleanup and Repair and Custom Search and Repair.

  1. To find and fix broken shortcuts on the Start Menu and the Desktop, select Quick Cleanup and Repair from the Operation Mode tab.

  2. To find and fix broken shortcuts on all drives and locations, select Deep Cleanup and Repair from the Operation Mode tab.

  3. To configure options for either Quick Clean or Deep Clean, go to Configure Automatic Cleanup Options.

  4. To customize how the tool looks for broken shortcuts, select Custom Search and Repair from the Operation Mode tab.


Quick Cleanup and Repair -More Info

Quick Cleanup and Repair finds and fixes broken shortcuts on the Start Menu and the Desktop.

To perform a Quick Cleanup and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Quick Cleanup and Repair.

  2. To configure options for either Quick Clean or Deep Clean, click Options.

  3. Click Next.

The tool finds and fixes the broken shortcuts.

  3. To begin a new search, click New search.

  4. To automatically schedule, click Schedule.


Perform a Quick Cleanup and Repair

To perform a Quick Cleanup and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Quick Cleanup and Repair.

  2. To configure options for either Quick Cleanup and Repair or Deep Cleanup and Repair, click Options.

  3. Click Next and the tool displays a Search Progress bar where you can click Cancel, if necessary.

  4. When the removal process is finished, the Search Results box displays the Items Found, Items Removed, Items Repaired and Space Freed.

  5. To begin a new search, click New search.

  6. To automatically schedule, click Schedule.


Automatic Shortcut Cleanup Options

To configure automatic cleanup options for Quick Cleanup and Repair or Deep Cleanup and Repair:

  1. In the Repair Mode section, select either Search for and assign new targets to broken shortcuts.

  2. To configure removal options, select one of the following:

  1. Delete– save undo information

  2. Delete – do not save undo information

  3. Move to Recycle Bin

  3. To schedule automatic scheduling, click Schedule Automatic Cleanup and Repair and then select Quick Cleanup and Repair or Deep Cleanup and Repair.

  4. Click OK.


Shortcut Removal Process Complete

  1. When the removal process is complete, the Search Results box displays the following:

  2. Items Found

  3. Items Removed

  4. Items Repaired

  5. Space Freed

  2. To perform another search, click New Search.

  3. To automatically schedule, click Schedule.


Shortcuts Deep Cleanup and Repair - More Info

Deep Cleanup and Repair finds and fixes broken shortcuts on all drives and locations.

To perform a Deep Cleanup and Repair:

  1. On the Operation Mode tab, in the Automatic section, select Deep Cleanup and Repair.

  2. To configure options for either Quick Clean or Deep Clean, click Options.

  3. Click Next and the tool finds and fixes the broken shortcuts.

  4. To begin a new search, click New search.

  5. To automatically schedule, click Schedule.


Perform a Shortcut Deep Cleanup and Repair

To perform a Deep Cleanup and Repair:

  1. From the Operation Mode tab, select Deep Cleanup and Repair.

  2. To configure options for either Quick Clean or Deep Clean, click Options.

  3. Click Next and the tool displays a Search Progress bar where you can click Cancel, if necessary.

When the removal process is finished, the Search Results box displays the Items Found, Items Removed, Items Repaired and Space Freed.

  4. To begin a new search, click New search.

  5. To automatically schedule, click Schedule.


Custom Shortcut Cleanup and Repair - More Info

Custom Shortcut Cleanup and Repair – More Info

The Custom Search and Repair lets you customize how the tool looks for broken shortcuts. You can select to exclude shortcut located on removable media and either automatically or manually search for replacement targets for broken shortcuts.

Go to Perform a Custom Cleanup and Repair.


Perform a Custom Shortcuts Cleanup and Repair

To perform a Custom Cleanup and Repair:

  1. On the Operation Mode tab, in the Advanced section, select Custom Cleanup and Repair.

  2. Click Next.

  3. Configure Options.

  4. Inspect and Repair Broken Shortcuts


Configure Shortcuts Options

The first step is to determine options.

To configure options:

  1. To exclude removable media from the search, select Exclude shortcuts referring to locations on removable drives or media (recommended).

  2. To search for replacement targets, select Automatically search for replacement targets for broken shortcuts (may take some time).


Shortcuts Repair and Remove

The Repair and Removal tab contains three buttons at the top of the window: Repair, Tools, and Schedule. Rows of broken shortcuts are listed underneath the buttons. The first line contains the shortcut name, the second line contains the Original Target link and the third line contains the Repair Action link which shows possible repair actions.

To use the Repair button:

  1. Select or clear the box next to the shortcut, use right-click options or Tools options to make selections.

  2. Using the Repair button, you can select Repair selected, Repair checked or Repair all.

  3. To set the removal method, select Removal method; and the select one of the following options:

  4. Delete - save undo information

  5. Delete - do not save undo information

  6. Move to Recycle Bin

To use the Tools button:

  1. Click Tools and select one of the following:

The selections depend on what is selected or cleared in the broken shortcut rows.

Select | How and when to use
Browser for new target | Select a specific shortcut and an Open window appears where you can navigate to find the new target.
Open folder containing shortcut | Select a specific shortcut and the folder where the shortcut may be located opens. Double-click the shortcut and answer Yes to delete the shortcut message.
Open folder containing original target | Select a specific shortcut and the original folder where the target was located opens. Then you can restore the target or make a new shortcut.
Open folder containing new target | This option is only available if there is a new target. Select the shortcut and the folder where the new target is located opens.
Select all Invert selection Check all Invert checked states | These options are used to make mass selections.
Shortcut properties | Select Shortcut properties to view the shortcut properties window.
New target properties | Select Shortcut properties to view the shortcut properties window.

To repair an individual shortcut:

  1. Click the link next to the Original Target line to see the location of the original target.

  2. Select the desired shortcut and on the Repair Action line, click the Options link.

  1. Select Remove shortcut to remove it, or

  2. Select the Replace with location, if available.

  3. Select Browse for new target, if appropriate. An Open dialog box appears where you can navigate for a new shortcut target.

  4. Then click Repair selected.


Security Optimizer Introduction

Repair Security Vulnerabilities Introduction

The Repair Security Vulnerabilities tool performs a system-wide search for potential security vulnerabilities, reports and repairs detected flaws allowing you to optimize security.

Modes

The Repair Security Vulnerabilities tool has three modes: Quick Security Optimization, Complete Security Optimization and Custom Inspection and Report.

  1. To do most common security tests, select Quick Security Optimization from the Operation Mode tab.

  2. To specify all security tests, select Complete Security Optimization from the Operation Mode tab.

  3. To configure options for either Quick Security Optimization or Complete Security Optimization,click Options.

  4. To specify tests and options, select Custom Inspection and Report.


Quick Security Optimization - More Info

The Quick Security Optimization wizard tests for the following areas:

  • Windows Automatic Updates

  • Windows Remote Registry Service

  • Windows Messenger Service

  • Web Content Zone Security Settings – Internet

  • Web Content Zone Security Settings – Local Intranet

  • Web Content Zone Security Settings – Trusted Sites

  • Web Content Zone Security Settings – Restricted Sites

  • Trusted Sites

  • Trusted Publishers

  • Null Sessions

  • Denial of Service Attack

  • Hosts File Redirection

  • Dangerous File Types

It does not test the Default Home Page and Default Search Page or do a check for Anti-virus software or Firewall software, as the Complete Optimization mode does.


Perform a Quick Security Optimization

To perform a Quick Security Optimization:

  1. On the Operation Mode tab, in the Automatic section, select Quick Security Optimization.

  2. To configure options for either Quick Security Optimization or Complete Security Optimization, click Options.

  3. Click Next and the tool displays a Search Progress bar where you can click Cancel, if necessary.

  4. When the tests and repairs are finished, the Test Description box displays a summary of found vulnerabilities and suggestions for repair.

  5. Click View and select any or all Passed, Failed, Repaired, and/or Untested

  6. For Failed items, click the link under the Failed caption to manually fix the vulnerability or click Repair to have the tool automatically repair the vulnerability.

  7. To fix all vulnerabilities automatically, click Fix All.

  8. To automatically schedule, click Schedule.

  9. Then click Exit.


Configure Automatic Optimization and Repair Options

Automatic Optimization and Repair Options

These options apply to security optimization actions for both Quick Security Optimization and Complete Security Optimization.

To configure automatic optimization and repair options:

  1. To automatically fix detected problems, select the Automatically fix all detected security problems (recommended) check box.

  2. To save undo information, select the Save information required to undo fixes (recommended) check box.

  3. If you previously ignored a vulnerability when you ran a Security optimization, you can click Clear Ignore Lists and answer Yes to the confirmation message.

  4. Click Schedule Automatic Security Optimization to schedule an automatic security optimization and repair.

  5. Click OK.


Security Tests and Repairs Complete

  1. When the tests and repairs are finished, the Test and Repairs Summary window displays the Test Description report with a summary of found vulnerabilities and suggestions for repair.

  2. Click View and select any or all Passed, Failed, Repaired, and/or Untested.

  3. For Failed items, click the link under the Failed caption to change manually fix the vulnerability or click Repair to have the tool automatically repair the vulnerability.

  4. To fix all vulnerabilities automatically, click Fix All.

  5. To automatically schedule, click Schedule.

  6. Then click Exit.


Complete Security Optimization - More Info

The Complete Security Optimization allows you to select the tests to perform. They are in the following areas:

  • Windows Automatic Updates

  • Windows Remote Registry Service

  • Windows Messenger Service

  • Null Sessions

  • Denial of Service Attack

  • Hosts File Redirection

  • Web Content Zone Security Settings – Internet

  • Web Content Zone Security Settings – Local Intranet

  • Web Content Zone Security Settings – Trusted Sites

  • Web Content Zone Security Settings – Restricted Sites

  • Trusted Sites

  • Trusted Publishers

  • Default Home Page

  • Default Search Page

  • Dangerous File Type

  • Firewall Check

  • Antivirus Check


Perform a Complete Security Optimization

To perform a Complete Security Optimization:

  1. On the Operation Mode tab, in the Automatic section, select Complete Security Optimization.

  2. To configure options for either Quick Security Optimization or Complete Security Optimization, click Options.

  3. To determine which tests to perform, click the Configure link.

  4. The list of tests is displayed where you can select or clear where you can click Cancel, if necessary.

  5. When the tests and repairs are finished, the Test and Repairs Summary window displays the vulnerabilities that passed, were repaired, and items not repaired with suggestions for manual repair.

  1. Click View and select or clear: Passed, Failed, Repaired, and Untested.

  2. For Failed items, click the link under the Failed caption to manually fix the vulnerability or click Repair to have the tool automatically repair the vulnerability.

  3. Click Fix All to fix all problems.

  4. To individually fix problems, click the Repair link or other link to manually fix the problem.

  6. To automatically schedule, click Schedule.


Configure Specific Security Tests

The Security Optimizer window displays five categories: Windows Services, Network Settings, Internet Explorer, Recommendations and File Associations to be tested.

  1. Expand the categories to view each test. Select or clear the check boxes for the entire category or specific items within the category.

  2. For the File Associations Dangerous File Types, click the Customize link to select or clear specific file types.

  3. Then click OK.

  4. Go to Tests and Repairs Complete.


Dangerous File Types - Customize

The Customize Test window displays potentially dangerous file types to include in your security tests. These file types may be used to distribute malicious code such as Viruses, Worms, and Spyware.

  1. Select or clear the check box to the left of the file extension.

If you select a file type, System Mechanic ensures that files with this extension are only opened by Notepad, the default Windows text editor. This prevents any accidental execution of harmful files to your PC.

  2. To restore Dangerous File Types default, click the Restore Default Settings link and answer Yes to the confirmation message.

  3. Click OK.

Dangerous File Types Descriptions

ade (Microsoft Access Project Extension)

.ade files provide added tools and features for use with Microsoft Access database files. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.adp (Microsoft Access Project)

.adp files contain database details pertaining to data currently being indexed by Microsoft Access. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.bat (MS-DOS Batch File)

Batch Files provide support for automated tasks initialized by applications without user interface or intervention. They contain a set of commands that, when initialized, execute sequentially to perform a task.

.cmd (Command Script)

Command scripts are used to initialize commands in a command prompt environment.

.com (MS-DOS Application)

MS-DOS applications run without using the Windows interface and are used for gaming, system configuration, and maintenance. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.crt (Security Certificate)

Security Certificates hold information regarding trusted sites and publishers. Launching them may unknowingly add permissions for files and programs to be automatically installed on your computer.

.hta (HTML Application)

.hta files are programs delivered as a combination of Web pages and script. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.inf (Setup Information)

.inf files can hold information about anything from system settings to application code. Launching them may inadvertently change system settings without your knowledge or consent.

.ins (Internet Communication Settings)

.ins files generally contain information about network settings and preferences. Launching them may inadvertently change system settings without your knowledge or consent.

.isp (Internet Communication Settings)

.isp files generally contain information regarding network settings and preferences. Launching them may inadvertently change system settings without your knowledge or consent.

.js (JScript Script File)

.js files are written as standalone JavaScript handlers that typically render graphics and/or perform specific functions in applications or Web sites. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.jse (JScript Encoded Script File)

.jse files are written as standalone JavaScript handlers that typically render graphics and/or perform specific functions in applications or Web sites. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.mdb (Microsoft Access Database)

.mdb files contain database details pertaining to data currently being indexed by Microsoft Access. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.mde (Microsoft Access MDE Database)

.mde files contain database details pertaining to data currently being indexed by Microsoft Access. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.msi (Windows Installer Package)

.msi files are used by the Windows Installer to initialize and manage automated program installations or updates. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.msp (Windows Installer Patch)

.msp files are used by the Windows Installer to initialize and manage automated program installations or updates. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.pif (Shortcut to MS-DOS Program)

.pif files contain shortcut information to launch MS-DOS applications. MS-DOS applications run without using the Windows interface and are used for routine maintenance tasks, system configuration, and maintenance. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.reg (Registration Entries)

.reg files contain scripts for adding keys and values to your System Registry. Launching them may inadvertently change system settings without your knowledge or consent.

.scr (Screen Saver)

.scr files typically contain information about screen savers. However, these files may also house malicious code such as Viruses, Worms, and Spyware. Launching these file types may inadvertently change system settings without your knowledge or consent.

.sct (Windows Script Component)

.sct files contain Windows Scripts that interact with the file system and installed programs. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.shs (Scrap Object)

.shs files are MS Windows OLE/2 files capable of containing any range of data. The data may include code to delete files or execute programs.

.shb (Shortcut into a Document)

.shb files typically contain shortcut information for specific areas within a document. However, these files may also include code for performing other unintended tasks. Launching these file types may inadvertently change system settings without your knowledge or consent.

.vbe (VBScript Encoded File)

.vbe files contain scripts developed by a Visual Basic coding editor. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.vbs (VBScript File)

.vbe files contain scripts developed by a Visual Basic coding editor. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.wsc (Windows Script Component)

.wsc files contain Windows Scripts that interact with the file system and installed programs. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.wsf (Windows Script Component)

.wsf files contain Windows Scripts that interact with the file system and installed programs. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.wsh (Windows Script Host Settings)

.wsh files contain Windows Scripts that interact with the file system and installed programs. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.


Custom Inspection and Report - More Info

The Custom Inspection and Report tool allows you to select the tests and options when performing a custom optimization.

Tests

The tests include:

  • Windows Services

  • Windows Automatic Updates

  • Windows Remote Registry Service

  • Windows Messenger Service

  • Network Settings

  • Null Sessions

  • Denial of Service Attack

  • Hosts File Redirection

  • Internet Explorer

  • Default Home Page

  • Default Search Page

  • Trusted Publishers

  • Trusted Sites

  • Web Content Zone Security Settings – Internet

  • Web Content Zone Security Settings – Local Intranet

  • Web Content Zone Security Settings – Trusted Sites

  • Web Content Zone Security Settings – Restricted Sites

  • Recommendations

  • Firewall Check

  • Antivirus Check

  • File Associations

  • Dangerous File Types

Options

The options include:

  • Display detected problems and repair, or Automatically repair

  • Save undo information


Perform Custom Security inspection and report

To perform a Customer Inspection and report Optimization:

  1. On the Operation Mode tab, in the Automatic section, select Custom inspection and report Optimization.

  2. Click Next and the Tests tab appears.

  3. Select Tests.

  4. Select Options.

  5. Inspect and Optimize.


Configure Security Tests

To select which tests to perform:

  1. Select or clear the category for the test to enable. See More Info for details about categories and specific tests.

  2. Click the + sign to expand the category to see the underlying item.

  3. Select or clear the check box for the specific test to enable.

  4. For the File Associations Dangerous File Types, click the Customize link to select or clear specific file types.

  5. Then click Next.

  6. Go to Configure Options.


Configure Security Options

To configure options:

  1. To display and repair, select Display all detected security problems and allow advanced repair check box. This is the default selection.

  2. To automatically fix detected problems, select the Automatically fix all detected security problems that can be fixed immediately check box.

  3. To save undo information, select the Save information required to undo fixes (recommended) check box.

  4. To clear items that you previously set to ignore, click Clear Ignore List.

  5. Click Next.

  6. Go to Inspect and Optimize.


Security Inspect and Optimize

  1. When the tests and repairs are finished, the Inspect and Optimize tab shows the vulnerabilities found.

  2. Click Sort by and select Problem name, Problem threat level, or Problem repair status.

  3. Click Tools to manage selection (check, select, etc.) You can also-right-click to manage selections.

  4. To repair a vulnerability, click Repair and select Repair checked or Repair selected. If these options are unavailable, click the Repair link next to the specific vulnerability to repair it.

  5. To ignore a vulnerability, click Tools or right-click a vulnerability and select Ignore Selected and then either This session or Permanently.

  6. To clear the Ignore list, click Tools and select Clear Ignore List.

  7. To automatically schedule, click Schedule.

  8. To return to the Protect tab, click Exit.


Internet Properties - More Info

The Internet Properties dialog box allows you manage your Internet settings. For more information, refer to your Microsoft documentation.


Windows Messenger Service - More Info

Windows Messenger Services is a handy tool for communicating with other users over a network but it can also be used by the unscrupulous to send messages you don’t need or want to see.


Windows Remote Registry Service - More Info

The Windows Remote registry service was designed to allow Microsoft support staff access to the Windows System Registry allowing them to find and fix operating system and application program problems. It's a good idea but it can also be used for unscrupulous attacks on your system. Unless you are having problems and Microsoft is in the process servicing your computer, it should be disabled.


Windows Automatic Updates - More Info

Windows automatic update service contacts Microsoft over the Internet and downloads security patches, program and operating system updates keeping your Windows operating system and Microsoft applications current and safe.


Hosts File Redirections - More Info

Many Spyware and Adware programs try to redirect your web browsing to sites of their choosing. One trick that Spyware programs use is to modify your Hosts file. The Hosts file does have legitimate purposes. Normally, if you try to access a network resource when domain name services (DNS) doesn't work, a Host file translates an name address such as server2 to an IP address. However, this file can be abused so that access to www.cnn.com, www.ebay.com, and www.paypal.com, for example, end up going to other lesser-known or rogue Web sites.


Null Sessions - More Info

A Null session connection is an unauthenticated connection to a machine. Selecting Null Sessions may potentially disable network sharing on Local Area Networks.

The Fix Security Vulnerabilities tool fixes a security vulnerability in Windows ® by disabling Null Sessions to disallow the enumeration of Security Accounts Manager (SAM) accounts and shares. A Null session connection is an unauthenticated connection to Windows NT, Windows 2000 or Windows XP machines and is the number one method for hackers to enumerate information about the machine and gain unauthorized access. From a Null session, intruders can use internal Windows functions, such as Remote Procedure Calls, to enumerate information such the true administrator account and password, provide information on passwords, groups, services, users and even active processors. Null session access can also be used for escalating privileges and performing DoS (Denial of Service) attacks.

The best way to prevent this is to disallow Null sessions to the fullest extent possible by restricting anonymous users from enumerating SAM accounts and shares on Windows XP, or restricting all anonymous access unless explicitly granted on Windows 2000.


Trusted Publishers - More Info

A Trusted Publisher Web site is certified and allowed to install ActiveX applications on your computer without warning. You should only allow sites you know well to be Trusted Publishers. ActiveX applications can be used for many malicious purposes such as stealing personal information, using your PC as a zombie in a Denial of service attack, and logging keystrokes to steal passwords, user names, and many others.


Default Search Page - More Info

Some unscrupulous Web sites and programs may try to change you default search page sending you somewhere on the Internet you do not want to go. The site you are sent to may try to load viruses, adware, key loggers, and many others in an attempt to steal personal data, infect other computers, or control your computer for their purposes.


Default Home Page - More Info

Some unscrupulous Web sites and programs may try to change you default home page sending you somewhere on the internet you do not want to go. The site you are sent to may try to load viruses, adware, key loggers, and many others in an attempt to steal personal data, infect other computers, or control your computer for their purposes


Web Content Zone - More Info

With the Web becoming more dangerous all the time, t is important to keep security settings at high levels.


Internet Explorer Trusted Sites - More Info

Trusted Sites are allowed to perform several high-security operations in Internet Explorer, making it possible for the trusted web site to gather information or install software on your computer.


Dead Gateway - More Info

Dead Gateway detection is used by the TCP component of Windows TCP/IP to detect the failure of the default gateway and to adjust the IP routing table to use the next default gateway (if there are indeed multiple default gateways configured). Although helpful in specific circumstances, this sort of automated detection and subsequent compensation is often not required and may even put your system at risk for unwanted IP re-routes as a direct result of attacks from remote hackers. This can amount to intermittent or even entirely inactive Internet connectivity.

Using System Mechanic, you can safely disable Dead Gateway Detection to limit unnecessary network changes and eliminate system vulnerability.


Denial of Service Attack - More Infor

Denial of Service Attack - More Info

The Denial of Service test looks for the following vulnerabilities:

  • Dead Gateway Detection is enabled

  • TCP Keep-alive setting is dangerous

  • Name release on demand is enabled

  • Your computer is vulnerable to SYN attacks


Keep Alive Time - More Info

The Keep Alive Time reduces how often TCP attempts to verify that an idle connection is still intact by sending a keep-alive packet. If your PC is used in a Denial of Service attack, the system ports may become exhausted.

These settings control how Windows manages connection keep alive transmissions, including the time out before keep alives are sent and the interval between keep alive transmissions.


Name Release on Demand - More Info

An attacker can instruct your computer to release its NetBIOS name, preventing clients from accessing your computer.


Optimize TCP/IP Retransmissions - More Info

This parameter determines the number of times TCP will retransmit a connect request (SYN) before aborting the attempt. The retransmission time out is doubled with each successive retransmission in a given connect attempt. An attacker can flood your PC with TCP SYN requests in a Denial of Service attack.


Dangerous File Types - More Info

Dangerous file type association are files with executable code that may be able to run on your computer without warning or your knowledge. These files can be used by the unscrupulous for many purposes. Examples are virus infection, key logging, malware, adware, using your computer as a zombie in a Denial of Service attack, stealing personal information, and many others. Unless you know and understand what the file is going to do, use the specified repair.

For detailed information, see Dangerous File Types - Customize.


Firewall Check - More Info

With today’s fast Internet connections, it is more important than ever to have a firewall to protect your computer. With fast broadband and dial-up connections, an attacker could be in and out of you computer in seconds stealing personal data, loading a virus or causing critical system damage.


Antivirus Check - More Info

With more viruses written every day, it is very important to have a good virus scanner installed and running.


Desktop Incinerator Introduction

The Incinerator is a Recycle Bin-like icon on the desktop, seamlessly integrated with Windows to extend secure file removal functionality. You can drag single or multiple files and folders to the desktop Incinerator icon or to corresponding locations in Windows Explorer, or select any number of items and right click to access a quick and convenient Send to Incinerator option.

To configure incinerator options:

  1. Click Install Incinerator or Uninstall Incinerator to turn the Incinerator on or off.

  2. Click Modify the Incinerator to modify how many times to overwrite the files and how it appears on the desktop.

  1. Under Incinerator Options, move the slider to specify how many times files are overwritten.

  2. Select or clear the Show progress indicator while incinerating check box.

  3. Select or clear Add "Send to Incinerator" option to right-click context menus check box.

  4. Select or clear Add Incinerator option under "Send To" context menu check box.

  5. To view files in the Incinerator, click View files within Incinerator.

  6. Then click Exit.


Incinerator Introduction

File Incinerator Introduction

We all create, view, use, or find something while using our PCs that we prefer no one else sees such as confidential contracts or other documents. Deleting files and folders from the Windows Recycle Bin presumably removes them from prying eyes. However, deleted files can be retrieved after deletion because Windows does not actually erase the drive's physical data, it only marks the first byte of the drive sector as available space for operating system use. With simple, free software, anyone can view a list of all files, folders, pictures, and documents you attempted to delete, and often can restore and view those files. This is where System Mechanic Incinerator tool comes in.

To incinerate a file:

  1. Click Add Files and the Add Files window appears. Navigate to the file to incinerate, highlight it and then click Open. The file is displayed in the Files and Folders section with Name, Size, Type and Date Modified.

  2. Click Add Folder and the Browse for Folder window appears. Navigate to the folder to incinerate, highlight it and then click OK. The file is displayed in the Files and Folders section with Name, Size, Type and Date Modified.

  3. To remove the file from the Incinerator, click Remove Selected and it is removed.

  4. Click Next.

  5. From the Incineration Options window, move the slider to specify the numbers of times to overwrite incinerated files.

  6. Click Next.

  7. Highlight the files and folders to incinerate and then click Incinerate Now.

  8. Answer Yes to the Warning message: Once incinerated, files cannot be recovered by any means.

  9. Click Exit to return to the Protect tab.

Incinerator deletion of items is permanent and incinerated files cannot be retrieved. Incinerator uses better than US government strength security, so you can be sure that what you remove is safe from scrutiny. Incinerator uses many time-tested and US government accepted security methods. The methods include renaming the item to a random value, overwriting it with random data up to 10 times, and truncating the item length to zero, making it impossible to tell where the file data starts and stops, and preventing manual retrieval via electromagnetic scanning.


Incinerator - More Information

Incinerator - More Info

Sending items to the Incinerator holding tank

There are two methods for sending files and folders to the Incinerator for holding (where they stay until actual incineration is performed). A "glowing" Incinerator holding tank indicates the Incinerator contains sensitive data. The methods for sending items to the tank are:

Dragging items to the Incinerator desktop icon

  1. Select the items to move to the Incinerator holding tank.

  2. Drag and drop the files into the desktop Incinerator icon.

  3. Confirm the action.

Using the Send to Incinerator menu option

  1. Right click the items to move to the Incinerator holding tank.

  2. Select Send to Incinerator in the menu.

  3. Confirm the action.

Restoring items from the Incinerator holding tank

Items in the Incinerator are held in a holding tank until actually incinerated (similar to the Recycle Bin). Items in the Incinerator holding tank can still be restored to their original location, since they have not been physically incinerated yet.

Automatically restoring items to their original location

To restore any of the items held within the Incinerator to their location before being sent to the Incinerator:

  1. Open the Incinerator holding tank by double clicking the Incinerator icon on your desktop or by selecting its corresponding icon in Windows Explorer.

  2. Right click the items you would like to restore.

  3. Select Restore in the menus.

Dragging the file out of the Incinerator

  1. Open the Incinerator holding tank by double clicking on the Incinerator icon on your desktop or by selecting its corresponding icon in Windows Explorer.

  2. Select the items to restore.

  3. Drag the items out of Incinerator to another location such as your Desktop or a folder.

  4. The items are restored from the Incinerator to the location specified.

To incinerate all of the items within the Incinerator holding tank:

Once you have moved items to the Incinerator holding tank, they are kept within until you perform the actual incineration. Incineration executes the physical process of securely deleting the items within Incinerator. Incinerated files cannot be recovered.

  1. Right click the Incinerator icon and select Incinerate from the menu.

  2. Confirm your action (this is your last chance to stop – please take care and be sure) to complete the incineration process.

To incinerate items held within the Incinerator tank selectively (not all at once):

  1. Double click the Incinerator icon on your desktop to open the holding tank window.

  2. You see a list of items held within Incinerator, waiting to be incinerated. Select the items you wish to permanently destroy.

  3. Right click the selected items and select Incinerate Selected in the menu.

  4. Confirm your action.

Moving items between the Recycle Bin and the Incinerator

If you would like to move items from the Incinerator to the Recycle Bin, it is recommended that you move them to a standard folder location on your computer first, and then to the Recycle Bin. (Files that are moved from the Incinerator holding tank directly to the Recycle Bin lose their original filenames.)

If you would like to move items from the Recycle Bin to the Incinerator, simply drag the files to the Incinerator icon or window and drop them there.


Incinerator Options

The Incinerator operates like the Windows Recycle Bin. If you are comfortable with Recycle Bin, you should feel right at home with System Mechanic Incinerator.

  1. From the Incineration Options window, move the slider to specify the numbers of times to overwrite incinerated files.

  2. Click Next.


Incinerate Confirmation

The Confirm and Incinerate window is displayed with a list of the files and folders you intend to incinerate.

To confirm the incinerate action:

  1. Highlight the files and folders to incinerate and then click Incinerate Now.

  2. To incinerate all files and folders, click Incinerate Now.

  3. Answer Yes to the Warning message: Once incinerated, files cannot be recovered by any means.


Incineration Complete

The Incineration Complete window displays the files and folders that were incinerated.

  1. To incinerate some more, click Choose more files to incinerate.

  2. To return to the Protect tab, click Exit.


System Guard Introduction

The System Guard tool allows you to manage and protect your startup items, system processes, Internet Home page, and Search page. Under the Options tab, select the Enable Startup Guard™ check box.

Note: You can block an application from ever starting again that you found by running the Startup Optimizer in custom mode. At the removal step, use the Disable and block selected using Startup Guard command.

To manage the Startup Guard Black List:

  1. First click the Startup Guard tab to manage the Black List programs and the list of black-listed items is displayed in the right-hand pane.

  2. To add a new program to the Black List, click Add.

  3. To remove a program, click Remove and then select Selected or All Items.

  4. To edit a Black List program, highlight the file name, and then click Edit.

  5. To manage items, click Tools and you can enable/disable all items or selected items and select all or invert selection.

To manage the Startup Guard White List:

  1. Click the Startup Guard tab and then the White List tab to manage the White List programs and the list of white-listed items is displayed in the right-hand pane.

  2. To add a new program to the White List, click Add.

  3. To remove a program, click Remove and then select Selected or All Items.

  4. To edit a White List program, highlight the file name, and then click Edit.

  5. To manage items, click Tools and you can enable/disable all items or selected items and select all or invert selection.

To manage the Process Guard Black List:

  1. Click the Process Guard tab and then the Black List tab to manage the Black List programs and the list of black-listed items is displayed in the right-hand pane.

  2. To add a new program to the Black List, click Add.

  3. To remove a program, click Remove and then select Selected or All Items.

  4. To edit a Black List program, highlight the file name, and then click Edit.

  5. To manage items, click Tools and you can enable/disable all items or selected items and select all or invert selection.

To configure System Guard options:

  1. To toggle icon visibility, select Show System icon in the System Tray.

  2. For Automatic time-out response, select either Allow change to proceed or Prevent change from proceeding.

  3. Configure the Automatically respond to changes after using the arrow to select number of seconds.


Add Program to Black List

  1. From the Startup Guard Black List window, type a phrase or program name into the box, or click Browse to navigate to the program location. Select the program name and then click Open.

  2. Then click OK.


Edit Black List Program

  1. From the Edit selected Black List item window, type a phrase or program name into the box, or click Browse to navigate to the program location. Select the program name and then click Open.

  2. Then click OK.


Add Program to White List

  1. From the Startup Guard White List window, type a phrase or program name into the box, or click Browse to navigate to the program location. Select the program name and then click Open.

  2. Then click OK.


Edit White List Program

  1. From the Edit selected White List item window, type a phrase or program name into the box, or click Browse to navigate to the program location. Select the program name and then click Open.

  2. Then click OK.


Add Process Guard Program to Black List

Add Program to Process Guard Black List

  1. From the Process Guard Black List window, type a phrase or program name into the box, or click Browse to navigate to the program location. Select the program name and then click Open.

  2. Then click OK.


Edit Process Guard Black List Program

  1. From the Edit selected Black List item window, type a phrase or program name into the box, or click Browse to navigate to the program location. Select the program name and then click Open.

  2. Then click OK.


Homepage Guard

Enabling Homepage Guard will keep your Internet home page from changing without your knowledge.

  1. Select or clear the Enable Homepage Guard check box.

  2. Select either Lock homepage (always block changes) or Prompt me for authorization when homepage changes are detected.


Searchpage Guard

Enabling Searchpage will keep your Internet home page from changing without your knowledge.

  1. Select or clear the Enable Searchpage Guard check box.

  2. Select either Lock search page (always block changes) or Prompt me for authorization when search page changes are detected.


Enable Startup Guard - More Info

Many of today’s programs as well as virus and Trojans use various places within Windows to load themselves when Windows starts. While most of these programs are necessary or benign, some are not. Startup Guard will recognize and stop the unnecessary and malicious startup items, keeping your system fast and secure.


Block All Items Categorized as Dangerous - More Info

Checking this box allows Startup Guard to block all dangerous startups. Examples are viruses, Trojans, malware, adware and many others. Blocking these malicious files from starting keeps them from infecting your system, stealing your personal information, taking control of your system, and infecting other systems through your system and system instability.


Block All Items Categorized as Unnecessary - More Info

Checking this box allows Startup Guard to block all unnecessary startups. Blocking these unnecessary startups keeps your system running faster and with greater stability.


Homepage Guard - More Info

Enabling Homepage Guard will keep your Internet home page from changing without your knowledge. It stops malware, adware, viruses and other Web sites from taking you anywhere you do not want to go.


Search Page Guard - More Info

Enabling Search Page Guard keeps your Internet search page from changing without your knowledge. It stops malware, adware, viruses and other Web sites from taking you anywhere you do not want to go.


System Snapshots Introduction

Whenever you install software, the system contents and configuration change: adding files, or extensively modifying System Registry, and other core Windows configuration files.

A new software installation may destabilize the PC by inadvertently changing critical configuration data, or causing application incompatibilities. When this happens, simply uninstalling software may not correct the problem. If an original file or data is no longer available, there is no safe way to automatically roll-back to the previous system state before installation.

In this case, the best insight into the issue is to know exactly what was added, modified, and deleted when the application in question was installed, or when the operation performed.

Note: When your system is healthy, take a snapshot. For example, when you first install a new operating system or when you first install System Mechanic 6. If you start to have problems with your system after installing software or make a change in configuration, do a compare. When the problem is fixed and your system is once again healthy, take another snapshot.

To take a snapshot of your current system state:

  1. To configure options, click Options.

  2. Select the Save current system state for future comparison check box and the Saving System state progress bar tracks progress. A summary of Registry values, file signatures and .ini values stored is displayed.

  3. To see an existing report, click Open Existing Report and then navigate to its location to select it.

The Report is only available after you first run the Save current state mode and then run Compare current system to previous system state.

Use the report generated to help fix the problem. You can save, export and print the report.

  4. To see differences, click Compare Now to run Compare current system state to previous system state.

  5. To automatically schedule System Snapshots, click Schedule.


Configure System Snapshot Options

The System Snapshot Options dialog box has two tabs: System State Storage and Automatic Options.

To configure the System State Storage tab:

  1. To save registry configuration data, select the Save all registry configuration data check box.

  2. To monitor a drive for changes, select the drive check box.

  3. Under Storage Method, select either Use disk contents or Use file times.

  4. Under Store state information from these .ini files, click Add to add an .ini file to the list to save.

By default, the Windows system.ini and windows.ini are in the list

  5. To edit an .ini file, click Edit.

  6. To delete an .ini entry, highlight the entry and then click Delete. Answer Yes to the confirmation message.

  7. To revert to the default, click Default and then answer Yes to the confirmation message.

To configure the Automatic Options tab:

  1. To schedule, click Automatically store system state at set intervals.

  2. Then click OK.


View Comparison Report

The View Comparison Report window displays the folders where files were changed.

  1. To open the report, click Open Report and select the report from the Open window.

  2. To see what changed, expand a folder and then click the corresponding link.

  3. Click Tools and select one of the following options, if available: Open containing folder, File Properties, Find, Expand all, or Collapse all.

  4. To save the report, click Save and name the file in the Save As box.

  5. To export, click Export.

  6. To sort items, click Sort Items.


Save Current System State - More Info

The System Snapshot tool empowers you with a comprehensive reporting mechanism so you to can take a full system snapshot before installing software or performing questionable operations. The tool then generates a full report afterward, explaining exactly what took place at the system level.


Compare current system state - More Info

Whenever you install software, the system contents and configuration change: adding files, or extensively modifying system registry and other core Windows configuration files. The System Snapshot tool allows you to compare your current system state to the previous system state to diagnose problems.


Add .ini file

  1. From the System State Storage tab, click Add to add an .in file to the list

  2. From the Choose .ini file window, navigate to find the desired .ini file

  3. Click Open and the .ini file appears in the list.

  4. Click OK.


Edit .ini file

  1. From the System State Storage tab, click Edit to edit an .ini file to the list

  2. From the Choose .ini file window, navigate to find the desired .ini file.

  3. Click Open and the .ini file appears in the list.

  4. Click OK.


Use Disk Contents - More Info

Disk contents comparison is used to obtain information about your entire drive contents, which is stored and then as a criteria when comparing for changes. This method is slightly slower than file time comparison, but it can track a greater scope of changes.


File Time - More Info

File time comparison uses the last modified and last access date and time attributes of each file on your system as criteria when comparing for changes. This method is the quickest, but may not be as accurate as a full disk contents comparison.


Virus Protection

Kaspersky Antivirus, provided with System Mechanic Professional, provides powerful protection against viruses.

To use Kaspersky Anti-Virus:

  1. From the dashboard select the Protect tab and then click the Virus Protection link.

  2. To use and configure Anti-Virus, click Open Antivirus Tool Options.

  3. To update your Anti-Virus database, click Download Virus Updates Now.

  4. To run an Anti-Virus scan, click Perform Full System Now.

  5. To return to the Protect tab, click Exit.


Block Internet Threats

Kaspersky Anti-Hacker is a personal firewall that is designed to safeguard PCs running Micorsoft Windows. It protects against unauthorized access to PC data and external hacker attacks.

Note: The built-in Windows firewall is not considered to be strong enough by many technical experts, and thus a commercial third party firewall is recommended.

To use Kaspersky Anti-Hacker:

  1. From the dashboard select the Protect tab and then click the Block Internet Threats link.

  2. To use and configure Anti-Hacker, click Open Firewall Options..

  3. To return to the Protect tab, click Exit.


Scheduled Tasks Introduction

With the Scheduled Tasks tool, you can to schedule actions to take place automatically at certain intervals. You can operate various vital system maintenance operations in a "set-it-and-forget-it" manner, keeping your system in top shape without you having to remember to perform the maintenance yourself.

To schedule maintenance:

  1. From the dashboard, click the Maintain tab and then click the Scheduled Tasks link.

  2. To add a task, click New Task and the Scheduled Task window appears.

  3. First select an Action Group category and then select a tool from the Schedulable Tasks pane on the right and then click Next.

  4. The Configure Task Options displays the Operation Mode, if appropriate, and Scheduling Options. To see progress during operation, select the Display progress window during operation check box.

  5. Click Next and the Establish Schedule window is displayed.

  6. Then click Finish.

To edit maintenance:

  1. Highlight a scheduled task in the upper pane and the Configure Task Options window appears for the corresponding tool or wizard and then click Edit.

  2. The Configure Task Options window appears. Go to Configure Task Options.

  3. To disable or enable a scheduled task, click Disable or Enable.

  4. To delete a scheduled task, click Delete and answer Yes to the confirmation message.


Scheduled Tasks Selection

The Scheduled Task window contains the Action Groups on the left pane and the corresponding Schedulable Task in the right-pane.

To configure scheduled tasks:

  1. First select an Action Group category and then select a tool from the Schedulable Tasks pane on the right.

  2. Click Next and the Configure Task Options displays the Operation Mode, if appropriate, and Scheduling Options. To see progress during operation, select the Display progress window during operation check box.

  3. For more information about the Operation Modes, refer to the corresponding Help topic.


Configure Task Options

  1. The Configure Task Options tab displays the Operation Mode, if appropriate and Scheduling Options. To see progress during operation, select the Display progress window during operation check box.

  2. Click Next and the Establish Schedule window is displayed where you enter automatic scheduling options. Go to Automatic Scheduling.

  3. Then click Finish.


Manage Tasks Schedule tab

For more information about the specific tools, refer to the tool.

To schedule automatically:

  1. In Desired Schedule, click Disable or Set Recommended.

  2. From the Interval type list, select an interval type: Minutes, Hours, Days, Weeks, Months.

  3. In the Interval setting box, type the number of intervals, or use the arrows to increase or decrease the number.

  4. In the Start date box, click the down arrow and a calendar appears. Use the left and right arrows to move between months, and then click a date to set the start date.

  5. In the Start time box, click the hour to highlight it, and then use the arrows to increase or decrease the number.

  1. Highlight the minutes, and use the arrows to increase or decrease the number.

  2. Highlight the seconds to highlight them, and use the arrows to increase or decrease the number.

  1. Highlight AM or PM, and then click the up arrow to switch between them.

  2. From the If late box, select one of the following to occur if late . For example, your computer is off when Defrag is scheduled to run:

    • Run immediately

    • Run at next scheduled time

    • Disable

  7. Click OK.


Software Relocator Introduction

The Software Relocator tool moves an application from one drive or folder to another on your system. The relocation process seamlessly finds and moves all specified application elements so you can continue using the application as before. Use the tool to move applications to a new drive or partition, install or format a new partition or drive, or when you need more space on a drive.

The Seamlessly Move Applications window contains two tabs: Listed Applications and Specify Manually.

To use the relocator:

  1. From the dashboard, select the Maintain tab and then click Relocate Software.

  2. Under the Listed Applications tab, highlight the desired the item from the list and then click Next.

  3. Configure Relocation Options.

  4. To relocate an application not in the list, click Specify Manually. Go to Specify Manually.

  5. Perform Relocation Actions.


Configure Relocation Options

The Configure Relocation Options window allows you to configure how to find application elements to move.

To configure options:

  1. In the Root Destination Folder section, click Browse to navigate to the new program location. Then click OK and the path appears in the text box.

The root destination folder does not need to exist before the relocation. All folder items are moved into the new folder, and any subfolder items are moved into identically named subfolders, depending on the Relocation Depth parameters.

  2. In the Relocation Depth section, select one of the following options:

  1. Only relocate the specified application file, ignoring any associated elements

  2. Relocate specified application file and all elements contained in its folder

  3. In the Relocation Scope section, select one of the following options:

  1. Move files and folders

  2. Update associated shortcuts

  3. Update registry data

  4. Update entries from system configuration files

  4. When finished with the configuration, click Next.

  5. Go to Perform Relocation Actions.


Specify Relocate Manually

To specify manual options:

  1. If you know the location of the main executable file, select Relocate application by main executable, or

  2. To specify the application by main program folder, select Relocate application by main program folder.

  3. To specify the file name, click Browse to locate the executable file or main program folder and after you select the executable file, click Open. Then click Next.

  4. Go to Configure Relocation Options.


Perform Relocation Actions

After the search is complete, the Perform Relocation Actions window is displayed with two panes: Item Categories on the left and buttons and the Item list on the right. Item Categories include Files and Folders, Registry Items , Shortcuts , and Configuration.

Note: By default, all items are marked for relocation.

To relocate Files and Folders:

  1. Click File and Folders and the details appear in the right pane.

  2. To view the associated list of files and folders, highlight the entry, click Tools and select Open selected location in Windows Explorer.

  3. To view Windows properties, highlight the entry, click Tools and select Properties. Then click OK.

  4. Click Options and select Save Undo Information..

To relocate Registry Items:

  1. Click Registry Items and the details appear in the right pane.

  2. To view a Registry entry, highlight the entry, click Tools and select Open selected location in Windows Registry Editor.

  3. Click Options and select Save Undo Information.

To relocate shortcuts:

  1. Click Shortcuts and the details appear in the right pane.

  2. To view a Shortcut entry, highlight the entry, click Tools and select Open shortcut location in Windows Explorer, Open shortcut target location in Windows Explorer, Shortcut properties or Shortcut target properties.

  3. Click Options and select Save Undo Information.

To relocate configuration files:

  1. Click Configuration and the details appear in the right pane.

  2. To view the view a Configuration entry, highlight the entry, click Tools and select Open configuration file location in Windows Explorer, Open configuration file location in Notepad, or Configuration file properties.

  3. Click Options and select Save Undo Information.

To mark or unmark files for relocation for all categories:

  1. To mark or unmark items to relocate, click Edit and select the appropriate option.

  2. To unmark items in unmarked locations, click Options and select Automatically unmark items contained within unmarked locations.

Note: For example, use this option when you unmark a folder location and want the items also to be automatically unmarked, instead of manually finding and unmarking them individually.

  3. To relocate items, click Relocate and then select either Marked items in this section or All marked items in all sections.


System Inspector Introduction

The System Inspector tool allows you to view information about your PC hardware, configuration, and running processes and its configuration.

  1. From the dashboard, select the Maintain tab and then click the System Information Report link.

The System Inspector window displays two panes: Processor on the left and Parameter and Description on the right. You can also access the information using the buttons at the top of the window.

  1. Expand the entries on the left by clicking the + (plus) sign. Then click a sub-entry and details appear on the right pane

  2. To see comprehensive system information in a tabular format, click Summary.

  1. To save information in an XML report, click Save Report and then select either All Topics or Current Topic.

  2. To update tab information, click Refresh.

  3. Click OK to close.

  3. Use the View button to select the following functions:

  1. Refresh the page.

  2. Processes to see the Windows processes currently running.

  3. Devices to see Windows Devices and Device Resources.

  4. Full Expand to expand all entries.

  5. Full Collapse to collapse all entries.

  4. To generate reports, click Report and select one of the following options:

  1. Save to XML and navigate to the location to save the XML document.

  2. Export Overview where you see a System Overview Export window. Click Close.

  5. To view processes, click Processes.

  1. To update the window, click Refresh.

  2. To close the window, click OK.

  6. To view devices, click Devices.

  1. To view specific resources or properties, expand a device name, highlight it and then click Resources or Properties. Then click OK.

  2. To update the window, click Refresh.


SafetyNet Introduction

By using System Mechanic, you are able to make many changes to your system, including removing or relocating files, eliminating registry data, updating configuration information, and more. While it is prudent to only initiate such changes if you are sure about the results, there are times when an action causes an unexpected or unwanted result. In these cases, it is desirable to reverse the action and revert to the previous system state.

SafetyNet keep tracks of the changes made by the other tools, and provides a central interface to manage these actions by undoing them, or administering the archives that hold the data used to undo performed actions. With SafetyNet, working in System Mechanic is a safe and reliable experience that results in the maximum level of system optimization, performance, and stability.

The SafetyNet Event Log window contains three panes:

  • The left pane contains a list of the Tools used and the number of Events logged for the tool or wizard. An event may contain multiple actions.

  • The upper right pane contains the Type (Information or Action), Date, and Event.

  • The lower left pane contains Action Details.

To undo events and actions:

  1. Highlight an Action type in the upper right pane, and then click Undo selected events. You can also click the link next to the Action to reverse all actions performed within the selected event. Answer Yes to the confirmation message.

  2. Highlight an Action in the lower right Action Details pane and then click Undo selected actions. You can also click the Undo Action link next to the Action. Answer Yes to the confirmation message.

  3. To view additional details, click Properties. You can also undo from here by clicking Undo Action.

To manage the tool log:

  1. To purge entries, click Purge and then either:

  1. Highlight single or multiple entries and then select Purge Selected Event, or

  2. Select Purge all events.

  2. Click Refresh to update the window.


Webupdate

Update

To keep your software up-to-date, use the convenient and easy to use WebUpdate™ tool to manage product revisions and patches. WebUpdate automatically connects to an iolo Internet update server to check for available product updates for your product version. When updates are found, WebUpdate installs them on your computer, seamlessly and painlessly replacing your existing version with the very latest update. With iolo WebUpdate, staying up-to-date is as simple as clicking a few buttons.

To use WebUpdate:

  1. Click the Update button at the bottom of any window or from the Maintain tab, click Download Updates.

  2. Click Install and the download begins.

  3. When the installation is complete, click OK.


Automatic Scheduling

For more information about the specific tools, refer to the tool.

To schedule automatically:

  1. In Desired Schedule, click Disable or Set Recommended.

  2. From the Interval type list, select an interval type: Minutes, Hours, Days, Weeks, Months.

  3. In the Interval setting box, type the number of intervals, or use the arrows to increase or decrease the number.

  4. In the Start date box, click the down arrow and a calendar appears. Use the left and right arrows to move between months, and then click a date to set the start date.

  5. In the Start time box, click the hour to highlight it, and then use the arrows to increase or decrease the number.

  1. Highlight the minutes, and use the arrows to increase or decrease the number.

  2. Highlight the seconds to highlight them, and use the arrows to increase or decrease the number.

  1. Highlight AM or PM, and then click the up arrow to switch between them.

  2. From the If late box, select one of the following to occur if late . For example, your computer is off when Defrag is scheduled to run:

    • Run immediately

    • Run at next scheduled time

    • Disable

  7. Click OK.


General Preferences Introduction

The General Preferences dialog box has four tabs: System Analysis, Updates, PC Configuration and Preferences.

To configure general options for System Mechanic:

System Analysis tab

  1. Under Automatic Analysis, select or clear the check boxes for the following options:

  2. Analyze system health and security when System Mechanic starts

  3. Perform periodic silent analysis when System Mechanic is running

  4. Perform periodic silent analysis when System Mechanic is not running

  2. Select a thread priority for manual and silent analyses: Normal, Below Normal (default), or Low.

  3. Under Alerts, select or clear the check boxes for the following options:

  4. I want to be notified of general system health changes

  5. I want to be notified of critical system health changes

  4. To restore defaults, click Load Defaults.

Updates tab

  1. Under Silent, if you check the Automatically check for updates silently, select one of the following options:

  1. Automatically download and install updates

  2. Download updates and then prompt me to install

  3. Notify me when an update is available and prompt for action.

  2. Under Application Start, select or clear the Automatically check for updates when application starts.

  3. To restore defaults, click Load Defaults.

PC Configuration tab

  1. Under Internet Connection, select your connection type:

  1. Broadband (cable, DSL, satellite, ISDN, T1, etc.)

  2. Broadband over PPoE

  3. Dial-up

  2. If you use a proxy server, select the I connect using a proxy server and fill in the Server Name, User Name and Password.

  3. To restore defaults, click Load Defaults.

Preferences

  1. Under Preferences, select or clear the Enable display of tool usage hints and tips.

  2. Under Scheduled Maintenance, select either Perform scheduled maintenance actions immediately when they are due or Only perform...when due and the system has been idle for [X] minutes.

  3. To restore defaults, click Load Defaults.


Thread Priority for Manual Analyses - More Info

Today’s PCs and Windows programs are designed to do more than one thing at a time, this is called multitasking. A good example is an Internet browser. With the browser, you can scroll the main browser window even as a Web page is downloading. Each of these tasks, downloading and scrolling, is giving a “thread” used by the program and the Windows operating system to keep track of what is going on.

The operating system and programs do not actually run more the one task at a time but, using threads, switch back and forth very quickly so quickly, that in fact this switching is seldom noticed by the user. Some tasks are more important the others so each thread is given a priority. Priorities are used to decide the order tasks are run. The higher the priority, the closer to the front of the line. In the case of manual analysis, you will probably want to choose normal priority.


Thread Priority for Silent Analyses - More Info

Today’s PCs and Windows programs are designed to do more than one thing at a time, this is called multitasking. A good example is an Internet browser. With the browser, you can scroll the main browser window even as a Web page is downloading. Each of these tasks, downloading and scrolling, is giving a “thread” used by the program and the Windows operating system to keep track of what is going on.

The operating system and programs do not actually run more the one task at a time but, using threads, switch back and forth very quickly so quickly, that in fact this switching is seldom noticed by the user. Some tasks are more important the others so each thread is given a priority. Priorities are used to decide the order tasks are run. The higher the priority, the closer to the front of the line. In the case of silent analysis, you will probably want to choose below normal or low priority.


Broadband over PPPoE - More Info

PPPoE (Point-to-Point Protocol over Ethernet) is used by many DSL Internet providers. If you have DSL and use a user name and password your connection is probably PPPoE. If you are unsure, please check with your internet provider before using this selection.


OP_Schedule Maintenance - More Info

Scheduled Maintenance - More Info

If you select the Only perform scheduled actions when they are due, and the system has been idle for [X] minutes, you can make sure the scheduled action will not interfere with your current PC activities. The default is 10 minutes.


Enter License

To enter the license number:

  1. In the User ID box, type the User ID number provided on the registration card in System Mechanic CD case or in your e-mail containing the license information.

  2. In the Serial # box, type the Serial # number provided on the registration card in System Mechanic CD case or in your e-mail containing the license information.

  3. Make sure you completely type all letters, numbers, and hyphens exactly as shown.

  4. Then click OK.

Common mistakes when licensing

  1. Spaces anywhere in the User ID or Serial Number results in an error.

Correct Example: 12345-P5123-1234567890

Incorrect Example: 12 345 – p5 123 – 123456 7890

  2. The only letters in the serial number are S, P, or M. Every other character is a number. The User ID is not case sensitive.

  3. The User ID may include a "-" and a number at the end. This information is necessary.

Correct Example: johndoe@domain.com-3

Incorrect Examples: johndoe

John Doe - 3

johndoe@domain.com

jo h nd oe @ domain .com - 3

Note: If you purchased System Mechanic from a reseller, this User ID does not appear as an e-mail address.

  4. If your User ID appears as an e-mail address, it must be the e-mail address shown in your invoice, usually followed by a hyphen (dash) and a number. You may not substitute your current e-mail address for the address shown in the original invoice unless you were issued an updated User ID and corresponding serial number.

  5. After following these step you still receive a message indicating incorrect or invalid licensing information, please double-check the steps and verify you typed information exactly as shown on your invoice.

Note: Your licensing information is unique to your purchase of this product. Please keep this information private and safe.


Batch Files

With batch files, simple routine or repetitive tasks can be automated. Batch files are executable files, usually with .bat, .cmd, or .nt extensions. Virus writers often embed malicious code in batch files to infect your PC.


Configure Automatic Search Options

When you select a search mode on the Search Mode tab of the Duplicate File Inspector tool, you can configure automatic search options. These options only apply to a Quick Search or a Deep Search.

To configure automatic search options:

  1. In the Automatic section, select Deep Search, and then click Options.

  2. To automatically estimate the space occupied by duplicate files using the Quick Search, in the Preemptive Analysis section, select the Automatically estimate size of duplicate file pool using quick search check box.

  3. Click OK.


Inspect Duplicate Files

After you run the Duplicate File Inspector, carefully inspect the duplicate files that were found.

Warning: Not all files you find are candidates for removal. Be sure to carefully scrutinize each set of duplicated files before deciding to remove any of them. It is always recommended that you have a current backup of your system before performing intensive operations with this tool.

To inspect duplicate files:

  1. To view found files of a duplicate pool, click the + symbol to expand the duplicate pool contents.

  2. To sort the files, expand a duplicate pool contents, click Sort by, and then select one of the following:

  3. Name

  4. Size

  5. Type

  6. Location

  7. Creation date

  8. Modified date

  9. Access date

  4. To open the folder that contains a file, highlight a file, click Tools, and then select Open containing folder.

  5. To view file properties, highlight a file, click Tools, and then select Properties.

Note: You can also exclude folders, files, and duplicate pools from a future search as well as remove duplicate files.

  6. To begin a new search, click New Search.

Exclude

To exclude a folder from a future search:

  1. To view files, click the + symbol to expand a duplicate pool contents.

  2. Highlight a file whose folder you want to exclude.

  3. Click Exclude, and then select Selected folder from future searches.

The New Folder Location dialog box displays file folder location in the Location box.

  4. If you want to change the folder path in the Location box, click Browse.

The Browse for folder dialog box appears.

  5. To navigate the folder structure, click the + symbols, and highlight the folder.

  6. Click OK and the folder location appears in the Location box.

  7. To include subfolders in the search, select the Include Subfolders check box.

  8. Click OK.

To exclude a file name from a future search:

  1. To view files, click the + symbol to expand a duplicate pool contents.

  2. Highlight the file.

  3. Click Exclude, and then select Selected file from future searches.

The New File Pattern dialog box appears.

  4. In the File pattern box, type the pattern.

Note: You can use the ? and * wildcards in the box.

  5. In the Description box, type a description for the file pattern.

  6. Click OK.

To exclude a duplicate pool from a future search:

  1. Highlight a duplicate pool.

  2. Click Exclude, and then select Selected duplicate pool from future searches.

The New File Pattern dialog box appears.

  3. In the File pattern box, type the pattern.

Note: You can use the ? and * wildcards in the box.

  4. In the Description box, type a description for the junk file pattern.

  5. Click OK.

Remove

To remove files:

  1. To view files, click the + symbol to expand a duplicate pool contents.

  2. To remove files, do the following:

To remove

Do this

A selected file

  1. Highlight a file name.

  2. Click Remove, and then select Remove selected.

  3. Answer Yes to the confirmation message.

All files in a duplicate pool except the selected file

  1. Highlight a file name.

  2. Click Remove, and then select Keep selected and remove all other items in the pool.

  3. Answer Yes to the confirmation message.


Junk File Removal Process Complete

After you perform a Deep Cleanup and the files are automatically removed, the number of junk files removed and the freed space are displayed on the Removal tab.

  1. To perform another search, click New search.

  2. To automatically schedule, click Schedule.


Duplicate Files Deep Search

Deep Search

Deep Search searches all of your drives for files with the same creation date, same name, same size, and CRC32 compression in order for you to inspect the duplicate files on your computer.


Basic Acceleration

The Basic Acceleration mode of the PC Accelerator wizard optimizes Internet and download performance, optimizes Windows startup, recovers and defragments system memory and compacts the registry.


G_Batch Files

Batch Files

Batch Files provide support for automated tasks initialized by applications without user interface or intervention. Such files contain a set of commands that, when initialized, execute sequentially to perform the task. This typically allows for better system resource management as well as overall system performance since commands are stored and executed only when specifically called for. However, too many batch files may contribute to system clutter and general system slowdown. Using System Mechanic, you can manage batch files in your system startup so that only those you need or wish to have will be loaded after every reboot.


G_Complete Optimization

Complete Optimization

The Complete Optimization and Repair tool looks for invalid data in the following setting categories: folder and filename references, uninstallers, Help files, shared Dynamic Link libraries, fonts, sounds, auto-run programs, drivers, services, and unused software keys, and then deletes all the invalid data including bad Registry keys.


Comprehensive Acceleration

The Comprehensive Acceleration mode of the PC Accelerator wizard allows you to select which operations to perform: optimize Internet and download performance, optimize Windows startup, recover and defragment system memory, defragment hard drives, and compact the registry.


Custom Search

The Custom Search defines what types of files and locations to search for and then displays the found files. Then you can inspect the files to remove.


Custom Defragmentation

CCustom Defragmentation

Custom Defragmentation will allow you to control when, where, and how your drives are defragmented. This gives the advanced user the most complete defragmentation possible. You can specify an optimized defragmentation or a very comprehensive low level scan that may take up to two days based on processor speed, hard drive size, and amount of RAM.


Custom Optimization and Repair

The Custom Optimization and Repair tool allows you to customize which Registry tests to run.


Deep Clean—Junk File Wizard

The Deep Clean in the Junk File Wizard scans all fixed drives and Windows temporary folders and automatically removes junk files from them.


Deep Defragmentation

Deep defragmentation will defragment your hard drive and move your files to the most efficient part of your hard drive for faster access.


G_DLL

.DLL file

A dynamic-link library (DLL) file is an executable file that allows programs to share code and other resources necessary to perform particular tasks. DLL files contain functions and resources that allow Windows-based programs to operate in the Windows environment.


Duplicate Pool

A group of files that appear to be duplicates. You view a duplicate pool when you inspect duplicate files after you run the Locate Duplicate Files wizard.


G_IE Browser Extensions

Internet Explorer Browser Extensions

Browser Extensions

Browser Extensions provide convenient and often useful functions for use within a running Web browser. Such extensions provide support for third party applications that work in direct correlation with the browser to provide relevant tools and features. However, too many loaded browser extensions can slow your browser as well as take up unnecessary system resources. Using System Mechanic, you can manage your browser extensions so that only those you need or wish to have will be loaded whenever you launch your Web browser.

Toolbars

Toolbars provide quick access to tools and functions from an interface loaded directly within your Web browser. These toolbars are typically displayed towards the top of the browser window and often include buttons and search fields that allow for a customized Web browsing experience. However, having too many loaded toolbars can slow your browser or unnecessarily clutter your browser window. Using System Mechanic, you can manage your browser toolbars so that only those you need or wish to have are loaded whenever your browser is launched

Browser Helper Object

Browser Helper Objects, otherwise known as BHOs, provide convenient and often useful functions for use within a running Web browser. Such items typically provide support for third party applications that work in direct correlation with your browser to provide relevant tools and features. However, too many loaded Browser Helper Objects can slow your browser as well as take up unnecessary system resources. Using System Mechanic, you can manage your Browser Helper Objects so that only those you need or wish to have will be loaded whenever you launch your Web browser.

Menu Extensions

Menu extensions provide easy access to tools and functions via right-click context menus within Internet Explorer. Such extensions often support multiple tasks, etc, available through several third party applications and may prove useful depending on your needs. However, too many menu extensions can clutter your right-click menu, leaving the list large and difficult to navigate. Using System Mechanic, you can manage your Menu Extensions and tailor them to meet your specific needs.


Incinerator

The Incinerator works like the Recycle Bin, and an Incinerator icon appears on the Desktop. Drag files to the Incinerator icon, or right-click files, and select Send to Incinerator from the context menu. You can then permanently delete files from the Incinerator.

Caution! You cannot recover files that you incinerate.


G_INI Files

INI Files

.INI Files in your system startup contain information about file locations, procedures, and miscellaneous data relevant to the internal Windows operating environment startup. Files listed here are started just before the user logs on to the PC and only after Startup items listed in the registry have been started. Using System Mechanic, you can safely manage which programs you would like to keep listed in the .INI files and which you would like to remove or disable.

It is important to note that items listed in startup .INI Files are loaded after items in the Registry Autorun locations.


Custom Cleanup—Junk File Removal Tool

With the Junk File Removal Tool Custom Cleanup, you can define what types of files and locations to scan and then inspect the found files, and you can select the files to remove.


Junk File Patterns

The Junk File Removal Tool searches for junk file patterns that can be removed from your computer, reducing wasted space. You can add junk file patterns that the wizard searches for during a Custom Cleanup. You can also exclude specific junk file patterns from a Custom Cleanup search. An example of a junk file pattern is errorlog.txt.


Main executable

An application main executable file is the file that Windows uses to launch the main interface of the program. The file extension is usually .exe and is located in the top level folder where the application is installed.


Deep Clean

The Deep Clean mode in the PC Cleanup wizard allows you to select the following operations to perform removes temporary Windows files, Internet cache files and cookies, unused downloaded Internet program files, empties the Recycle bin, and removes temporary and off-line files.


Quick Clean

The Quick Clean mode in the PC Cleanup wizard removes temporary Windows files, Internet cache files and cookies, unused downloaded Internet program files, empties the Recycle bin, and removes temporary and off-line files.


Comprehensive Repair

The Comprehensive Repair in the PC Repair wizard allows you to select which operations to perform: repairs hard drive problems, fixes registry errors, eliminates Spyware, removes invalid program uninstallers, and repairs broken shortcuts,


Quick Repair

The Quick Repair in the PC Repair wizard repairs hard drive problems, fixes registry errors, eliminates Spyware, removes invalid program uninstallers, and repairs broken shortcuts.


Prefetch cache folder

Windows XP and later stores expendable copies of frequently-used items in a location to speed up access time. The prefetch cache folder often contains obsolete or old copies of files, documents, and other Windows elements that occupy considerable disk space.

The prefetch cache folder items are expendable "copies" so it safe to empty it, freeing disk space and allowing Windows to organize the folder contents more effectively.


Quick Search

Quick Search searches the root drive (usually C): for files with the same creation date, same name, and same size so you can inspect duplicate files on your computer.


Quick Clean—Junk File Wizard

The Quick Clean in the Junk File Wizard scans Windows temporary folders and automatically removes junk files from them.


Quick Defragmentation

Quick Defragmentationn

The Quick Defragmentation action defragments the drive in the fastest possible way. All files are defragmented. Data is not packed or all files relocated or are steps performed to reduce future file fragmentation.


Quick Optimization and Repair

The Quick Optimization and Repair tool searches the registry for problems. It performs all tests of the Registry Cleaner, except for the Invalid Folder and Filename References and the Unused Registry Keys tests. You can select to automatically repair the problems, or you can view them.


Quick Optimization and Repair

The Quick Optimization and Repair looks for invalid data in the following setting categories: uninstallers, Help files, shared Dynamic Link libraries, fonts, sounds, auto-run programs, drivers, services, and unused software keys, and then deletes all the invalid data including bad Registry keys. The Invalid Folder and Filename References and Unused Software Keys are not tested.


Quick Security Optimization

Windows Automatic Updates

Windows Remote Registry Service

Windows Messenger Service

Web Content Zone Security Settings – Internet

Web Content Zone Security Settings – Local Intranet

Web Content Zone Security Settings – Trusted Sites

Web Content Zone Security Settings – Restricted Sites

Trusted Sites

Trusted Publishers

Null Sessions

Denial of Service Attack

Hosts File Redirection

Dangerous File Types


G_Registry Autorun

Registry Autorun

Registry Autorun locations hold process names and paths to load at each Windows startup. Such listings may be useful for automatically loading programs and processes at startup that you frequently use. However, over time or without your awareness, programs and processes listed in the Registry Autorun may create unnecessary bottlenecks at system startup that slow boot times and adversely affect general system operation.

Using System Mechanic, you can safely manage which programs to keep in your Registry Autorun and which to disable.

Note: These items are started only after Services are initialized.


G_Registry Hives

Registry Hive

A Registry Hive is a group of keys, subkeys, and values in the System Registry that has a set of supporting files containing backups of its data.


Relocation Depth

Relocation depth relates to how far down in a hierarchical set of folder structures to go when searching for items to relocate.


Relocation Scope

Relocation scope defines the types of items related to the specified application that the Relocater searches for and optionally relocates from your system.


G_Services

Services

Services provide core operating system tool functionality to the PC. Such processes are often directly affiliated with Windows and are vital for proper initialization and operation of the system. However, third party applications may install other services that you may not need or require, thereby slowing system startup while soaking system resources.

A good example is the Automatic Update service. If you enable automatic updating, this service constantly runs in the background, and periodically connects to Microsoft to seek new updates and patches. When found, the service either notifies you or it automatically downloads and installs the updates, depending on your system configuration.

Using System Mechanic, you can safely root out unnecessary services so that your system boots faster and runs more efficiently.

Note: Services are the first items to be loaded at system startup.


Spython Custom Search and Disinfection

Custom Search and Disinfection allows you to set up all criteria and options before a parasite scan is performed and displays any found parasites at the end. If specified, you remove or it automatically removes them if alternately specified.


Spython Deep Clean and Disinfection

Deep Clean and Disinfection performs a search for all parasites throughout the hard drives and registry, searching for specific file names file patterns, and registry data.


Spython Quick Clean

Quick performs a fast search for all parasites using their known common locations.


G_Startup Folders

Startup Folders

The Startup Folder is a directory located within user profiles that loads programs specific to the settings of the user currently logged on to the PC. The folder contains direct shortcuts to programs that start only after the specific user has logged in. Although helpful, having too many items in this folder could lead to slow system startup as well as overall system slowdown. Using System Mechanic, you can safely manage which programs you would like to keep in your Startup Folder and which you would like to disable.

There are two types of Startup Folders. The Current User Startup Folder contains links to programs that launch on startup as specified by the currently logged user. The All Users Startup Folder contains links to programs that launch on startup for every user that logs on to the computer in addition to any items in the Current User Startup Folder.

Note: Items located in the Startup Folder are loaded after and only after all other services and startup items listed in the registry are started.


Startup Guard

Startup Guard

The Startup Manager tool is designed to list and administer all items currently configured to load each time Windows starts up. It allows you to enable and disable items, create, load, and save startup profiles, and adjust startup settings on remote computers across a network.

The Startup Guard™ tool , available for Windows XP, Windows 2000 , and Windows NT gives you ultimate proactive control over your startup configuration. When activated, it detects any attempt by any application to configure a new program to load the next time Windows does. When an attempt is intercepted, Startup Guard can handle it in a number of useful ways, such as allowing items on a white list to always be added, silently preventing items contained on a black list from ever succeeding, or prompting you for a specific and individual course of action.


Surface Scan - More Info

Surface Scan - More Info - More Info

A surface scan looks for physically damaged areas of the drive referred to as bad sectors and attempts to relocate data that exists therein to another healthy area of the drive.


G_System Page File

System Page File

The System Page file (Pagefile.sys) is a hidden file on your PC hard disk that Windows XP uses as if it were random access memory (RAM).


Wildcard

When you are searching by file name, you can perform wildcard searches. These searches can return a larger number of files. You can use the following wildcards:

  • Question mark (?): Adding a question mark indicates that the search string is missing a single unknown character. For example, if you entered "N?TE.TXT," the search would return the following deleted files: NOTE.TXT and NATE.TXT.

  • Asterisk (*): Adding an asterisk indicates that the search string is missing one or more unknown characters. For example, if you entered "S*P.*," the search would return: STOP.DOC, STOP.HTM, and SOP.TXT.

  • Semi-colon (;): You can separate multiple terms in the search string with a semi-colon. When you add two strings separated by a semi-colon, the search find deleted files that match either of the strings. For example, if you entered "STOP;NOTE," the search would return the following deleted files: STOP.DOC, STOP.HTM, and NOTE.TXT.


Windows Temp Files

All Windows systems have a directory (or set of directories) commonly referred to as the Temp folder where temporary files and data are stored by applications and the operating system. The files and subfolders contained in this folder are all transitory and may be safely removed.


Zero-Length File

Zero-length files are created when an application creates a new document or other file and places no data within it. It can also happen when you create a new file and forget to save it or the system crashed before your work is saved. Since these files contain no data, they can be safely removed, eliminating clutter from your computer with the Junk File Wizard.


AfterTCfinishesMoreInfo

When PC TotalCare finishes - More Info

After the PC TotalCare wizard optimizations are complete, you can select what to do next. The options are:

Display a summary of optimizations performed

This is the default option. The Results of the optimizations wizard are displayed.

Shut down System Mechanic

If you are doing other tasks on the PC, you might minimize System Mechanic and want it to close when the PC TotalCare wizard is done.

Restart my computer automatically

For most of the repairs and optimizations, a restart is required for the changes to take effect.

Shut down my computer automatically

You might want to shut down the PC after it finishes when:

  • You start the PC TotalCare wizard on your home PC before going to sleep

  • You start the PC TotalCare wizard on your home PC before going to work

  • You start the PC TotalCare wizard on your work PC before leaving work

Note: This option is only available for Windows XP and Windows 2000.


Display suggested actions

Display Summary of Suggested Actions - More Info

The Power Tools allow you to select the Display a summary of suggested actions prior to execution check box. After you click Next, System Mechanic searches for the required repair, cleanup, or optimization actions. An analysis report displays the action descriptions and recommendation where you can select recommended, select all, or choose your own selections.

This confirmation process may increase the time it takes to run the tool.


Optimization Complete

When the optimization process is complete, the Optimizations Complete window displays the Optimization Report containing a description and status of the optimization.

  1. To see details of the optimization task, click Details.

  2. To do another optimization, click Perform another Acceleration.

  3. To automatically schedule, click Schedule.

  4. For optimizations to take effect, click the Restart Now link, if present.

  5. Click Exit.


PC Deep Cleanup Complete

When the cleanup process is complete, the Cleanup Complete window displays the Cleanup Report which contains descriptions and total space freed.

  1. For optimizations to take effect, click the Restart Now link, if present.

  1. To do another cleanup, click Perform another Cleanup.

  2. To automatically schedule, click Schedule.

  3. Click Exit.


Quick PC Repair Complete

  1. To automatically schedule, click Schedule.

  2. To do another repair, click Perform another Repair.

  3. Click Exit.


Security Optimization Complete

The Security Optimizations Complete window displays the Security Optimization Report which displays the Description and Status of the repairs.

  1. To do another cleanup, click Perform another Repair.

  2. To automatically schedule, click Schedule.

  3. Click Exit.


Statistics

Statistics - More Info

The System Mechanic Dashboard collect statistics about the state of your PC and displays it for you.


PC TotalCare Quick Tune-up Complete

The Tune-Up Complete window displays the Action Description and Status for each category: Cleanup, Repair, Security, and Speed.

  1. To do another PC TotalCare Operation, click Perform another TotalCare Operation.

  2. To automatically schedule, click Schedule.

  3. Click Exit.


Navigating in System Mechanic

System Mechanic Dashboard

When you open System Mechanic, the Home page appears.

ool Category Tabs

The tool category tabs are arranged vertically along the left side of the Dashboard. They represent the various divisions of System Mechanic which contain tools relevant to each category. To investigate the collection of tools contained within a particular category, select the corresponding tab in System Mechanic’s main Dashboard with your mouse.

There are four buttons of the Dashboard Welcome page and the menu pages with additional menu options. These buttons are not available in the wizards, in Advanced Deleted File Search, or the Email Recovery Tool.

When System Mechanic is started it presents its interface in a Dashboard style. System Mechanic’s Dashboard is arranged in such a way as to provide the most efficient navigational capacity, while maintaining the integration of all tool components in a single-document metaphor.

The Dashboard has the following components:

To view help, click the question mark (?) button.

To minimize the Dashboard page, click the (—) button.

To restore, click the third button.

To close the Dashboard page and exit Search and Recover, click the exit (X) button.

Lower-right Buttons

These buttons appear on the Dashboard Welcome page and the menu pages.

To download the latest update of Search and Recover, click WEBUPDATE.

To go to the iolo web site, click WWW.IOLO.COM.

To purchase the Search and Recover program, click PURCHASE.


New Topic

  1. When the tests and repairs are finished, the Inspect and Optimize tab shows the vulnerabilities found.

  2. Click Sort by and select Problem name, Problem threat level, or Problem repair status.

  3. Click Tools to manage selection (check, select, etc.) You can also-right-click to manage selections.

  4. To repair a vulnerability, click Repair and select Repair checked or Repair selected. If these options are unavailable, click the Repair link next to the specific vulnerability to repair it.

  5. To ignore a vulnerability, click Tools or right-click a vulnerability and select either This session or Permanently.

  6. To clear the Ignore list, click Tools and select Clear Ignore List.

  7. To automatically schedule, click Schedule.

  8. To return to the Protect tab, click Exit.


Defrag Filter Report

To filter the files, click Filter and the Filter Analysis Report dialog box is displayed. Select one of the following options:

  • Display top (number) most fragmented files

  • Display top (number) largest files

  • Display all fragmented files (Warning: This may take a long time)


Pending Boot-time Defragmentaion

Pending boot-time defragmentation

Pending boot-time defragmentation tab

  1. To schedule a boot-time defragmentation, click Select and then select either Check All, Select All, Invert checked states or Invert selection.

  2. To cancel, click Cancel Pending and then select either Cancel Pending, Cancel checked or Cancel all.

  3. Close the window.


Report_to not defrag

Fragmentation Report Analysis Report tabs

Not fragmented tab

  1. Click Select and then select either Check All, Select All, Invert checked states or Invert selection.

  2. To defragment at boot-time, select an item or select all and the Pending boot-time defragmentation tab appears.

Pending boot-time defragmentation tab

  1. To schedule a boot-time defragmentation, click Select and then select either Check All, Select All, Invert checked states or Invert selection.

  2. To cancel, click Cancel Pending and then select either Cancel Pending, Cancel checked or Cancel all.

  3. Close the window.


NetBooster Original Settings Restored

  1. The Original Settings Successfully Restored window is displayed

  2. To restart now, click the Restart Now link

  3. To restart later, click Exit.


Popup Blocker Black List

The Black List allows you to add, remove, edit, import and export Window titles and Server addresses for popups you never want to see. The default rules lists are extensive, but are only a beginning. As new advertising servers are brought online or new marketing strategies developed, some advertisements may slip by the Popup Stopper, and you need to add these popups to your Black List.

If you experience problems accessing a Web page because a Popup Stopper title rule matches a legitimate Web page title, you can remove it so it appears on subsequent visits.

To work with the Window Titles on the Black List:

  1. Click the Window Titles tab to manage popups and the list of black-listed items is displayed in the right-hand pane.

  2. To add a new popup window title rule, click Add.

  3. To remove a window title rule, click Remove and answer Yes to the confirmation message.

  4. To broaden a popup window title rule through the use of a wildcard character, or narrow it if it is matching legitimate page titles, highlight a title and then click Edit.

  1. In the Black List - Edit window title rule box, edit the name (wildcards allowed).

  2. Click OK.

  5. To export all or part of the blacklisted titles list to a .trl file for the purposes of sharing with another user or storing as backup, click Export and then select Export Selected or Export All. Then navigate in the Save As window to save the Title Rule list.

Note: Importable lists must be generated using the export function.

  6. To import window title rules, click Import and then navigate in the Open window to find the title to import. Then click Open.

Note: Importing a new Title Rules List will only add new rules contained in the imported list to the existing list. No rules in your existing list are replaced, and duplicate entries are ignored.


White List-Window titles

The White List allows you to add, remove, edit, import and export Window titles and Server addresses for popups you want to see.

To work with the Window Titles on the White List:

  1. Click Window Titles to manage popups and the list of black-listed items is displayed in the right-hand pane.

  2. To add a new popup window title rule, click Add.

  3. To remove a window title rule, click Remove and answer Yes to the confirmation message.

  4. To edit a popup window title rule, highlight a title and then click Edit.

  1. In the White List - Edit window title rule box,edit the name (wildcards allowed).

  2. Click OK.

  5. To import window titles, click Import and then navigate in the Open window to find the title to import. Then click Open.

  6. To export window titles, click Export and then select Export Selected or Export All. Then navigate in the Save As window to save the Title Rule list.


Process Manager - Managed Blocked Processes

Processes can only be blocked in Expert mode. Unless you are a Windows internals expert, use the Standard Mode. Blocking critical processes can create an unstable system.

To manage blocked processes:

  1. Click Block and the Manage Blocked Processes window appears.

  2. To add a new process to block, click New.

  3. To edit the blocked process, click Edit.

  4. To remove the blocked process, click Remove and then answer Yes to the confirmation message.

  5. To export a blocked process, click Export.

  6. To import a blocked process, click Import.

  7. Then click OK.


Edit a Blocked Process

  1. From the Manage Blocked Processes window, click New.

  2. From the Edit Blocked Process box, click Browse and navigate to the location of the blocked process.

  1. To add to the Startup Guard Black List, select the associated check box.

  2. To prompt before blocking, select the Prompt before blocking check box.

  3. Then click OK.


Add New Blocked Process

  1. From the Manage Blocked Processes window, click New.

  2. From the New Blocked Process box, click Browse and navigate to the location of the blocked process.

  1. To add to the Startup Guard Black List, select the associated check box.

  2. To prompt before blocking, select the Prompt before blocking check box.

  3. Then click OK.


Configure Automatic Optimizer Options

When you select Quick Optimization or a Deep Optimization on the Operation Mode tab, you can configure automatic cleanup options. You can also configure removal options, schedule an automatic cleanup, and automatically estimate the space to be freed using Quick Clean.

To configure automatic cleanup options:

  1. In the Automatic section, select either or Deep Clean, and then click Options.

  2. To configure removal options select one of the following:

To | Select
Delete files while saving undo information, allowing the action to be undone by SafetyNet™ | Delete - save undo information
Delete files while not saving undo information | Delete - do not save undo information

  3. To automatically estimate quick optimization results, in the Preemptive Analysis section, select the Automatically estimate quick optimization results check box.

  4. To schedule an automatic cleanup, click Schedule Automatic Optimization.

  5. Click OK.


Deep Startup Optimization Removal

  1. The Perform Optimization tab displays the number of Unnecessary Items Removed and the number of Dangerous Items Removed. To see details, click the View Details link.

  2. To hide details, click the Hide Removal Details.

  3. To automatically schedule, click Schedule.

  4. To do another optimization, click Perform Another Optimization.

  5. Click Finished.


System Snapshot Finished

The System State Successfully Stored window displays Registry Values Stored, File Signatures Stored and .ini Values Stored.

  1. To see, Click Compare Now and the comparing progress bar appears.

  2. To schedule another, click Perform another action with this tool.


Perform System Snapshots

System Snapshots report changes to your PC between two points in time.

To take a snapshot of your current system state:

  1. Select the Save current system state for future comparison check box and the Saving System state progress bar tracks progress.

  2. Click Compare Now to run Compare current system state to previous system state.

  3. To perform another Snapshot, click Perform another action with this tool.

  4. To automatically schedule, click Schedule.


Manage Startup Guard Black List

To manage the Startup Guard Black List:

  1. Click the Startup Guard tab to manage the Black List popups and the list of black-listed items is displayed in the right-hand pane.

  2. To add a new popup window title rule, click Add.

  3. To remove a window title rule, click Remove and answer Yes to the confirmation message.

  4. To broaden a popup window title rule through the use of a wildcard character, or narrow it if it is matching legitimate page titles, highlight a title and then click Edit.

  1. In the Black List - Edit window title rule box, edit the name (wildcards allowed).

  2. Click OK.

  5. To export all or part of the blacklisted titles list to a .trl file for the purposes of sharing with another user or storing as backup, click Export and then select Export Selected or Export All. Then navigate in the Save As window to save the Title Rule list.

Note: Importable lists must be generated using the export function.

  6. To import window title rules, click Import and then navigate in the Open window to find the title to import. Then click Open.


Aggressive Mode - More Info

Active by default, the Popup Stopper includes a checklist of rules that apply to many common pop up types. In Aggressive mode, Popup Stopper checks any new windows against these guidelines, and closes windows if they meet any of the criteria (for example, size or window position). While this mode is the most effective in blocking incoming popup windows, because it does not follow the server or title lists, it may also block out valid content. Disable this option if you find that legitimate windows are being closed.


Limit Explorer Windows- More Info

Select the Limit check box to specify the maximum number of Explorer windows that can be open at once, and specify the number by entering it in the field to the right of the box. Any windows that attempt to open once the limit has been reached are automatically shut down.

Note: The limit to option applies to the cumulative number of both Windows Explorer and Internet Explorer windows that may be open at one time.


PS_Selective Blocking

Selective Blocking

Ppreemptively block certain parts of a web page from loading, based on the address of the server is hosting these elements. Most graphical advertisements such as banners, buttons (and the like), are actually being "served" from a different source location than the web site content you see. If a web page is served from a different location/address than its embedded advertising graphics, you may use the Popup Stopper tool to literally filter out items within a web page so that your browser actually ignores and omits the graphical advertisement items and does not display them, yet still displays the web page content in its entirety. This can dramatically increase the web surfing performance by eliminating the unnecessary and inordinate amount of advertising clutter that is on most popular web pages.

The key to configuring an ad server rule for the graphical advertising web page elements finding the server address on which that these elements are located.

Obtaining a source ad server ad dress from within Internet Explorer

  1. Locate the graphical element of the page to filter.

  2. Point the mouse over the element, right-click and select Properties.

  3. dialog will appear containing miscellaneous information. To the right of the Address (URL) text will be the graphical element’s server location. Usually this address will be quite long, however, it is only necessary to obtain enough of a uniquely identifying factor so as to differentiate this ad server from any legitimate websites. For example, if the address/URL text contained the following information:http://m2.doubleclick.net/viewad/698862/210x111_BB_banner.gifyou would only need the following text to identify the advertisement source:m2.doubleclick.net

  4. Point to highlight the uniquely identifying source text.

  5. Right-click on the highlighted portion of the address text, and select Copy.

  6. Right-click on the Popup Stopper main system tray menu and select Add New Rule, and then select the option labeled Ad Server Filter.

  7. 8. In the server filter box, paste the copied ad server text by either pressing Ctrl+V on your keyboard, or by right-clicking with your mouse within the box and selecting the option labeled Paste.

  8. 9. Select the button labeled OK to save the new ad server rule.

To test the new rule, refresh the web page that contains the graphical element to be filtered by pressing F5 on your keyboard, or by using the browser’s Refresh button. If the rule has been successfully implemented, the elements that are being served from the filtered location will no longer appear in the web page as it re-loads.


Drive Medic Search and Repair

Automatically Fix Problems - More Info

It is highly recommended to let System Mechanic automatically fix hard drive problems in order to ensure stability and integrity of the hard drives.


Add Registry Exclusions

The Edit Exclusions dialog box is used to add, edit or delete registry keys and registry values to be excluded in the search for problems and unoptimized settings. Configuring both a key and a value means that only matching keys and values are excluded.

  1. To add a registry key, select the Key name: check box and then click Browse.

  2. Navigate through the registry to find the desired key.

  1. Then highlight it and click Exclude Selected Key and the key is filled in the Key name: box.

  2. To clear the key, click Cancel.

  3. To add a registry key, select the Key value: check box and then click Browse.

  4. Navigate through the registry to find the desired key value.

  1. Then highlight it and click Exclude Selected Value and the key is filled in the Value name: box.

  2. To clear the key, click Cancel.

  5. To match on a partial text string, select the Partial text match OK checkbox.


Edit Registry Exclusions

The Edit Exclusions dialog box is used to add, edit or remove registry keys and registry values to be excluded in the search for problems and unoptimized settings. Configuring both a key and a value means that only matching keys and values are excluded.

  1. To edit a registry key, select the Key name: check box and then click Browse.

  2. Navigate through the registry to find the desired key.

  1. Then highlight it and click Exclude Selected Key and the key is filled in the Key name: box.

  2. To unselect the key, click Cancel.

  3. To add a registry key, select the Key value: check box and then click Browse.

  4. Navigate through the registry to find the desired key value.

  1. Then highlight it and click Exclude Selected Value and the key is filled in the vValue name: box.

  2. To unselect the key, click Cancel.

  5. To match on a partial text string, select the Partial text match OK check box.


Registry Tests and Repairs Summary

Tests and Repairs Summary

When the repair is finished, the Optimized Settings and Repair Problems window displays Test Descriptions and Status of detected problems.

To interpret the results:

  1. To fix problems, click Fix All and the problems are fixed. If you cancel the process, the fix button changes to Fix Remaining Problems.

  2. To filter the results, click View, and select Passed, Failed, Repaired and Untested to show all, some or none of the categories.

  3. Click Schedule to automatically schedule.

  4. To perform another optimization, click Perform another Registry Optimization.


System Mechanic

System Mechanic fixes stubborn PC problems, keeps systems running at peak performance, and maintains Windows so that problems don't reoccur. It's a complete arsenal of tools, including high-speed disk defragmentation, spyware and malware parasite protection, popup ad blocking, memory defragmentation, registry backup and compression, and more.

Use the System Mechanic tools to:

  • Find and remove junk and obsolete files

  • Clean up, repair, and optimize the system registry

  • Speed up your Internet connection up to 300% with NetBooster

  • Ensure your privacy, remove cookies, cache, and Internet debris

  • Manage the items that open when Windows starts

  • Find and remove duplicate files and drivers

  • Tweak and customize Windows settings

  • Find and fix broken Windows shortcuts

  • Remove invalid uninstaller links

  • Securely delete sensitive files with the Incinerator tool

  • Defragment hard drives

  • Cleanly and safely uninstall software

  • Move programs from one location to another

  • Optimize memory usage

  • Stop Internet popup windows

  • Block advertisements (Internet Explorer, version 5.01 or later)

  • Remove parasitic software, including spyware, adware, and key loggers

  • Perform routine system maintenance using an easy-to-understand wizard

  • Track and report all system changes

  • Receive updates automatically over the Internet

  • Schedule automatic system maintenance

  • Keep comprehensive tool action logs


System Mechanic Mobile Toolkit

The System Mechanic Mobile Toolkit edition is for consultants, Value-Added Resellers (VAR), Management Information Systems (MIS) managers, Information Technology (IT) managers, and anyone who wants the power of System Mechanic Professional in a clean portable package. System Mechanic's unlimited license allows one concurrent user to use the Mobile Toolkit on an unlimited number of computers.

Performance

  • Run System Mechanic directly from the CD. No need for installation

  • Use System Mechanic Mobile Toolkit on any number of computers

  • Perform maintenance directly on any computer by inserting the Mobile Toolkit CD. No installation is needed, and no files are left behind

  • Run System Mechanic Mobile Toolkit on any workstation from a shared network CD drive

Benefits

  • Technicians can maintain computers using System Mechanic’s powerful tools without installing a separate license on each machine.

  • The Mobile Toolkit runs directly from the CD, eliminating the possibility of inexperienced users misusing the software.

  • The Mobile Toolkit is cost effective for anyone who regularly maintains multiple machines, as long as the tools are not needed to run on more than one computer simultaneously.

Pricing:

System Mechanic Mobile Toolkit CD-ROM: $299.95

Each additional CD-ROM: $99.95

See also

How to Purchase System Mechanic


System Mechanic Professional

System Mechanic Professional is a totally integrated suite of powerful PC tools that keeps your system running smooth and error free. Fix stubborn errors; maintain peak performance; protect against viruses and Internet threats; eliminate spyware; ensure Internet security; recover deleted files and email; and more.

Six award-winning products comprise one authoritative solution:

  • System Mechanic®

  • Professional-strength Antivirus

  • Ultra-secure Firewall

  • Search and Recover™

  • System Shield® Professional

  • DriveScrubber® Professional

In addition to the features provided in System Mechanic, System Mechanic Professional lets you:

  • Automatically block viruses and disinfect or quarantine infected files

  • Protect your PC from hackers with a robust firewall

  • Find and recover files and data that have been deleted from your hard drives or removable media

  • Thoroughly erase all traces of data from a hard drive

  • Clean deleted file data so it cannot be recovered


Update System Mechanic

Free minor updates are available through System Mechanic’s WebUpdate feature.

Major version upgrades are available at special discount price rates for existing licensed users. For more information on special discount upgrade pricing, visit iolo’s Web site at http://www.iolo.com, or contact iolo.

For more than 4 copies, contact iolo for special upgrade and site license pricing.


WebUpdate

A button that allows you to connect with the iolo update server to keep System Mechanic up to date. .